Introducing ClipMate 6
Return to Introduction

Welcome to ClipMate 6.3, the latest edition of one of the most powerful and useful utilities of all time*.

ClipMate enhances the Windows Clipboard, making it a true power tool. The cut / copy / paste capability of Windows works well for transferring single items of data but is not useful if you want to move a lot of data or keep data longer than until your next cut or copy. Because Windows overwrites the Clipboard whether you were ready or not.
ClipMate works alongside the regular Windows Clipboard and remembers every piece of data (both text and graphics) that you cut or copy. Once your data is saved in ClipMate, you can select an item and it is automatically placed back on the Clipboard or directly into an application. Within ClipMate you can view, print, edit, reformat, convert to upper/lower case, search, rename, and reorder Clip Items. Our new Screen Capture functions supplement the windows screen capture by adding region and object capture capability, and of course, you can save, export, e-mail, and print your screen captures. And now with ClipMate 6, you can even encrypt sensitive data with ARC4 encryption.

You can create an unlimited number of collections to store your data, and you have full control over the retention rules so that your collections fit your personal work process. For example, you can use your "InBox" Collection as a catch-all and create "Safe" collections for topics like Tips & Tricks, Frequently Used Letter Closings, Clip Art, Hot Internet Web Pages, Project Research, or whatever you wish. Even if you decide to do nothing special with your clips - you'll always have the last 1000 clips at you disposal, ready to paste wherever you need them.

With the award-winning ClipMate as your Windows companion, you'll take the familiar underpowered Clipboard and turn it into an unexpectedly powerful time saver.

More:
· ClipMate Overview
· New Features in ClipMate6
· New Features in ClipMate6.1
· New Features In ClipMate 6.2
· New Features In ClipMate 6.3
· Differences From ClipMate 5
· Basic Operation
· The User Interface
· Using ClipMate Effectively
· Purchasing ClipMate
· How Do I...
· Tutorial

* ClipMate 1.0 began development in the fall of 1991, making it one of the most well-known and long-lived utilities for Windows.


ClipMate Overview
You can think of ClipMate as a multi-format database that is tightly integrated with the native clipboard capability in Windows. Everything that you copy to the clipboard is captured by ClipMate. You don't have to do anything special - just copy the data as you regularly would, from within the application that you're working in (usually with the Edit | Copy menu, Ctrl+C, right-click | Copy, etc..) See the "Capture" arrow below. When you are ready to use the data again, just select it in ClipMate, and it's placed back onto the clipboard, ready for pasting into any application. This is represented by the "Update System Clipboard" arrow below.

And ClipMate isn't just going to hold a dozen or two of these "clips". It can easily hold hundreds, even thousands of clips. Everything that you copied today, yesterday, and last week. You can organize your clips into "collections", for keeping important data at your fingertips, and organized efficiently. You have complete control over the data retention and purging, so that important data is kept, while less-important data is stored for a while, then placed in the trashcan, and eventually deleted.

You can also perform powerful editing directly on the data, such as removal of unwanted line-breaks, >>> marks that clutter E-Mail, or case conversion. You can even combine several small clips into one big clip, and there is also a great spell checker included. For the "heavy lifting" data manipulation tasks, we have "PowerPaste", which rapidly pastes a series of data into an application. This is great for moving data between applications that aren't integrated, but should be. Do you have 1000 addresses in a spreadsheet that need to be keyed into an online database? No problem! And if the data is already formatted with commas, tabs, or line-breaks, then the "Exploding PowerPaste" option will cut the job in half again!

ClipMate's powerful search engine (it's based on SQL, for you technical types) allows you to find what you're looking for, and our new ShortCut and QuickPick features let you access your most commonly used information, quickly.

Are you part of a workgroup that could benefit from a shared repository of data? Along with your own personal database, ClipMate can attach to a shared, workgroup database on a file server. You can all contribute clips in real-time, for everyone to use for pasting. This is great for customer support environments where consistency, accuracy, and efficiency are top priorities. Just pick a clip from the repository, and paste. It couldn't be easier. And ClipMate allows you to set the "garbage avoidance" flag on the shared collections, so that they don't fill up with inadvertent clutter.

Give ClipMate a try - free for 30 days of actual use. We think you'll find that it will change the way you think about cutting and pasting.

More:
· New Features in ClipMate6
· New Features in ClipMate6.1
· New Features In ClipMate 6.2
· New Features In ClipMate 6.3
· Differences From ClipMate 5
· Basic Operation
· The User Interface
· Using ClipMate Effectively
· Purchasing ClipMate
· How Do I...
· Tutorial


New Features In ClipMate 6.3
New Features
· Automatic Update - ClipMate can now (if you allow) check for program updates in the background and notify you when updates are available. See Automatic Update for full details.
· Comprehensive Database Recovery - eliminates database corruption more effectively than the repair feature in previous versions of ClipMate 6.
· Printing Enhancement - Bitmap Scaling - When you print small bitmaps, they can now be scaled up to use more of the paper, instead of printing at native printer resolution. The print routine will scale smaller bitmaps up, if there's room. If there isn't room, it will print as large as possible, given the space.
· New menu options: Expand All and Collapse All, allow you to quickly expand or collapse the collection tree, in ClipMate Explorer.

Other Enhancements
· Improved registration key input dialog box.
· URL Highlighting - The preview/edit window, which highlights URLS automatically, can now handle URLS longer than 255 characters (yes, we found examples of really, really, long URLs), and it can also handle URLs with quotes, periods, curly braces, etc.. Anything except spaces, tabs, or <> brackets.
· Improvements to the "KeepAlive" function, which automatically detects and corrects broken clipboard connections. Previous versions could cause problems (repeated captures or rejects) if the KeepAlive acted too quickly.
· The "show non-printing characters" option now is remembered between sessions.

See the New Features in ClipMate 6.
See the New Features in ClipMate 6.1
See the New Features In ClipMate 6.2


New Features In ClipMate 6.2
New Features
· Online Backup and Restore - Backup and Restore databases without having to restart the program.
· Dynamic logon/logoff for secondary databases - activate a "dormant" database or disconnect from a shared network database, without restarting.
· "Magnetic" borders of ClipMate Explorer and Classic will now "snap" to the screen edge when within 16 pixels. This allows easy positioning in the corners or near screen edges.

Other Enhancements
· Redesigned user interface for the Application Profile, along with underlying performance improvements to the Application Profile mechanism.
· Better support for international character sets, like Japanese Shift-JIS. All display font settings now include the "Script" option, enabling the display of Kanji characters, accents, and other attributes that depend on the character set being set correctly.
· The editor can now show the "non-printing characters", such as line-breaks, spaces, and tabs which will be shown as: ¶ · », respectively. See Show Non-Printing Characters.
· Component Upgrades - We've updated to the latest version of the database engine, spell check engine, printing engine, HTML Controls, and editor component. This will add stability.
· High DPI Displays - This version can more easily accommodate display settings that use very large fonts or non-standard DPI settings, without having odd scaling, overlapping controls, or menu wrapping problems. If you had to add buttons to the Classic toolbar to enable the menu to fit on one row, you will probably find that this is no longer necessary.
· Bitmap Viewing - the Scroll/Scale/Stretch options are now remembered from one session to the next.
· The Select Collection button on the main toolbar can now be used to advance to the next collection (like in ClipMate 5), OR bring up the Select Collection menu (like previous versions of v6).
· The Select Collection menu now accurately reflects the collection hierarchy and sort order.
· You can now access the "visibility" (always on top, normal, auto-hide) settings from the main and system tray menus.
· Alt+Enter now brings up the Clip Properties dialog.

See the New Features in ClipMate 6.
See the New Features in ClipMate 6.1


New Features In ClipMate 6.1
New Features
· Keyword Highlighting - You can highlight keywords in the editor. Just click the button, enter some keywords, and they highlight.
· Roget's Thesaurus is now integrated into ClipMate (if installed). Right-click on any word in the editor window, and you can look up alternate words. The file is a separate download, and you can find more information here.

Searching Improvements
· % Wildcard - this adds more flexibility to the searching, as you can use the % wildcard before, after, or within a search string. The old * wildcard was limited to the end of keywords. Users familiar with SQL databases will recognize this as the %like% operator.
· Collection Search - you can now restrict the searching to any collection.
· Keyword Highlighting - search criteria automatically populates the new Keyword Highlighting feature in the editor, allowing you to find the results within the clips themselves.

Other Enhancements
· Small Icons - Just like the small toolbar icons in Classic, you can now have small icons in Explorer and the Editor as well.
· Visually Impaired users will appreciate the ability to turn off the fancy HTML Tooltips, HTML Buttons, and menus with icons. Those features interfered with some screen reading programs.
· Word Count - A count of the Words, Characters, and Bytes in a Text clip is now displayed in the status bar of ClipMate Explorer. If you are using a floating editor, then the count appears in the titlebar. Trying to fill in a webform with a character or word limit? Now you can see the count as you type.
· Graphics in HTML - ClipMate can more reliably display images from your Internet Explorer cache, when displaying HTML clips.
· Sort Indicators on column headings - now they are oriented like they are in most other applications.
· QuickPick has been enhanced for better performance when filtering large collections. No filtering will actually take place until you've entered two consecutive search characters, therefore avoiding the glut of results when you first invoke the function.

See the New Features in ClipMate 6.


New Features in ClipMate 6

Capacity
· New relational database offers flexible searching, enormous capacity, and reliability.
· Configurable trashcan can retrieve deleted clips for days or even weeks later.

Power
· Search on title, content, type, source, date, etc., with our new SQL-based search engine.
· Multi-User capability with live network updates enables sharing of workgroup data.
· Screen capture by region - select an area with your mouse!
· QuickPaste Format Strings enable customization of pasted data - include tabs, date/time, URL, title, etc..

Security
· Powerful (but legal) ARC4 encryption keeps your sensitive data safe from prying eyes.

Convenience
· You can access your favorite clips more easily with QuickPick and ShortCuts.
· Updated User Interface to compliment XP (but still runs great on 95,98,ME,NT4,2000)!

Reliability
· Automatically detects and reconnects broken clipboard connection.
· New printing engine offers flexibility and reliable printing.
· PowerPaste Shield prevents other clipboard-aware programs from hijacking PowerPaste.
· Automatic database repair and built-in database backup help to keep your data safe during the worst of times.

Also see: New Features In ClipMate 6.2

Important! Existing users will want to read the Differences From ClipMate 5 page.


QuickPick and ShortCuts
Having access to thousands of previous clips is only a great thing if you can find the data that you're looking for, more easily than typing it again. Here is where QuickPick and ShortCuts come in.

With QuickPick, you can "filter" the titles in the current collection by merely typing the ? key, followed by some text (not case sensitive) that you expect to find in the title of a clip. As you enter each keystroke, the list is updated to show your "hits" up at the top. Keep typing to narrow down the search. In this example, we've entered "?pick", and have filtered out all clips with "pick" in the title.

quickpick

Shortcuts are even more powerful. Similar to QuickPick, the shortcut engine searches "nicknames" that you assign to important clips (such as your Visa card info). Here I am pulling my visa details up, by typing ".cc.v" (V for Visa, because I've also got M for MasterCard, and D for Discover, etc..). This data does not even reside in the "inbox" collection that I happened to be working in - ShortCuts work across collections, and even databases (if you use multiple databases).
nickpick

Both functions are fully integrated with QuickPaste, so in the example shown, you'd simply pick the item that you wanted (CC Number), press ENTER, and the data would be sent to NetCaptor (our favorite web browser). Invoke QuickPaste again, to paste the name, date, etc.. The selection remains "live" until you cancel it with the ESCape key.

For more information see: QuickPick and ShortCuts.


New Database Features
Without going into boring details about our extremely fast and flexible database, let's outline the benefits to you:

· Clips are saved to the database immediately when captured or edited. No more "auto-save" or "save all clips to disk" woes.
· Appreciable memory savings when you have large numbers of clips*.
· More efficient use of hard disk space. We use about a dozen files now, instead of hundreds or thousands of little files. Cluster waste is eliminated, as are "orphan" data files.
· Images are stored in the database as JPEG objects, further reducing space and speeding retrieval. (Note: "best quality" mode is used for JPEG compression)
· Searching is now very fast and much more flexible.
· Deleted clips are held in "trashcan" status for two weeks, allowing easy retrieval.
· Configuration is easy - no drivers, ODBC connections, DLLs, or connection strings.
· Will easily hold thousands of clips.
· ODBC support will be provided later this year, allowing advanced users to access or interface with the database directly. Our design will be made available to such users.

For more information see: Database

* We routinely test with upwards of 25,000 clips.


ARC4 Encryption
You can optionally encrypt sensitive clips with 56-bit ARC4 encryption. This is great for passwords, credit card numbers, etc., if your computer isn't always physically secure.
You can encrypt clips with a "blanket" encryption key, or you can encrypt each one individually. Do not forget your key! The security is good enough that we cannot break it, and there is no "back door".

lock3

For more information see: Using Encryption.


New Search Engine
You can now search on title, body text, the name of the creating application, the source URL, data types, dates, encryption status, deletion status, and more.
For example, you can search for all Bitmaps created by PaintShop Pro within the past 30 days. And you can SAVE that query, so that you can run it again some time.

Thanks to our new database design, the query runs quickly, and the result sets look just like a regular collection. You can print, delete, QuickPaste, etc., from the results. And if you view the results in ClipMate Explorer, you'll see a new column showing the collection that each clip is currently assigned to.
search1

For more information see: Searching


Multi-User

Although ClipMate 5 could share collections over the network, you really couldn't allow multiple users to update the data. Not any more. Secondary databases can now alert you when new data has arrived, and each user can contribute new clips in real-time. Here, we see a notification that user "Brenda" has updated data in a collection that we're monitoring for network updates.

netupdate2

For more information see: Multi-User Databases


Screen Capture

In addition to the standard windows screen capture keys (PrintScreen for the whole screen, Alt+PrintScreen for the current window), we've added two new screen capture options.
Area Screen Capture - this gives you a "rubber band" mouse selection, so you can specify an area of the screen to grab.
scrncap

Object Screen Capture - Similar to the above, but you simply click on any screen object, and that object is captured as an image. For example, click in a browser window and you'll get a picture of the contents of the window - but not the toolbar, menu, title bar, etc.. Click on the toolbar, and you'll get an image of the toolbar. Some will find it a bit odd - others will find it to be a lifesaver, as it can save a lot of clean-up that you'd otherwise get with an area capture.

For more information see: How do I Capture a Screen?


Automatic Clipboard Re-Connect
There's nothing more annoying than when some other mis-behaved application fouls the clipboard up so that ClipMate stops receiving updates.
We have found a way to have ClipMate detect this situation, and automatically re-connect itself to the clipboard.

That isn't to say that we're backing off of our stance that the other software publishers should clean up their programs - they still should. But you won't have to suffer while you wait for them to fix their programs.


New Printing Engine

The new printing engine will more reliably print to your printer. Period. Print Preview, access to standard windows print settings, etc.. You can now include the timestamp and URL of the clip. And the Print Options dialog now has a live preview, right on the form.

printpreview

For more information see: Print Options Dialog Box


Updated User Interface
ClipMate 6 features an updated user interface with many "XP-style" buttons, and dockable windows.

Here we see the new ClipMate Explorer which is now actually just a frame that contains a docked editor, a docked cliplist, and a docked collection tree.

Note the XP-Style buttons and docking bars.
newui


Differences From ClipMate 5
There are some important differences from ClipMate 5. ClipMate 5 users should be sure to read this page completely.

Data Storage
ClipMate 5 used a "flat file" data storage scheme, where ClipMate 6 uses a relational database. So when you first install version 6, it won't have your ClipMate 5 data. You will need to use File | Import to import your data. (This will leave your version 5 data untouched.)

PowerPaste Button
PowerPaste - instead of two buttons, there is now one multi-purpose button on the toolbar. Click once and you'll activate it, and an arrow will show you whether it's in UP or DOWN mode. Click again to invert.

Collections and Functions Have Been Renamed
This is for clarity, and to reflect the new data management capabilities.
Old
NEW
Short-Term
InBox
Long-Term
Safe
Traditional View
ClipMate Classic
Glue
Append
Auto-Glue
Auto-Append

Classic vs. Explorer Interaction
In version 5, ClipMate Classic (Traditional) and Explorer were the same window, in different configurations. This caused lots of problems, and made QuickPaste somewhat unreliable. So now there are two different windows. There is a button on the toolbar of each that will take you to the other one. Additionally you can bring up either one from the System Tray menu. Typically, you'll be using one or the other, so when you open one, the other hides. There may be an initial pause when loading Explorer, if it hasn't been used yet during the current session.

Closing doesn't really close
If you click the 'X' on any of the windows, that used to shut ClipMate down. Not any longer. It will only close that window (and free it from memory, release resources, etc.) But ClipMate can still be running in the background, gathering clips for you. Check the System Tray to see if it is running or not. To actually shut it down, use the File or System Tray menus. Ex: SysTray | Exit ClipMate.

OnTop - only affects Classic.
"Always on top" only affects Classic, and not ClipMate Explorer.

Overflow Collection
There is now an "overflow" collection, which is where clips go when
they fall off of the InBox. Typically, InBox will hold your 200
most recent clips. When they "age off" of InBox, they will go to
Overflow. When they "age off" of Overflow, they're in the Trashcan.
The Trashcan will typically have a two week retention. So it will
be really quite hard to accidentally lose important data.
Before, when clips "aged off" of Short-Term, they were gone.
Read all about the new data management capability.

Sounds
The sounds all "sound" the same, but they no longer rely on the registry being properly configured in order to work. ClipMate 5 was vulnerable to changes made to the "sound schemes" - ClipMate's sounds could be easily wiped out in the registry. ClipMate 6 stores the sounds right in the program, so that they can't be corrupted. They can be changed by adding your own sound files to the program directory.

Multi-User Databases
In ClipMate 5, you couldn't have multiple users writing to the same database. Now you can.
See: Multi-User Databases

Licensing
In ClipMate 5, you could use the same ClipMate license on more than one computer, as long as you were the primary user of each. This is modified somewhat in version 6. For version 6, you can use the same license on one computer plus one other that you are the primary user of. Such as a desktop and a laptop - but only if YOU are the primary user of each. If you have been letting your spouse, roommate or secretary "piggy-back" on your license, it's time for them to get their own.


Basic Operation

Assuming that you have installed ClipMate and that it is running (you'll see an icon in the system tray area), ClipMate is ready to start working for you. Most of ClipMate's work involves capturing data from applications (which it does automatically for you as you copy data to the clipboard), and pasting data into applications.

For more information see:
· Capturing
· Pasting
· Lesson 1: Basic Operation (tutorial)


Selecting Clips
When you select an item from one of ClipMate's ClipLists, it is automatically placed onto the clipboard. There is no "copy to clipboard" required - it's automatically done as the clip is selected. If you are in ClipMate Explorer, the list of clips is right there. If you are in ClipMate Classic, then there is a drop-down arrow that exposes the ClipList.

Multiple Selections
Sometimes you need to perform an action (deleting, printing, etc.) on more than one clip at a time. This is easily done by holding down the SHIFT key and clicking on two clips with the mouse. This selects the entire range of clips. Or you can use the CTRL key, and pick and choose the clips that you need.

Advanced
For quickly accessing clips that you use frequently, you will want to look into ShortCuts. To quickly access a clip where you know part of the title, you can recall it within the current collection with the QuickPick technique.


ShortCuts
Having access to thousands of previous clips is only a great thing if you can find the data that you're looking for, more easily than typing it again. Here is where ShortCuts come in. Similar in operation to QuickPick, ShortCuts are global "nicknames", (Mnemonics for you technical types) that you assign to clips that you need to access frequently. For years our users have been asking for the ability to assign "hotkeys" to individual clips. While we liked that idea (and did try it once), hotkeys are limited in number, are difficult to remember, and often conflict with keys used by other applications. The new ShortCut feature solves all of these problems as you can assign a shortcut to as many clips as you need to, they can be named and even structured to be easy to remember, and they won't cause conflicts or "steal keys" from other applications.

To use, first assign "nicknames" or meaningful codes to your clips. You can create a hierarchical structure with the "." (dot) character. The dot key is also used to enter the ShortCut mode. To assign a ShortCut, simply right-click on any clip, and select the "Change Title/ShortCut" menu option, or press Ctrl+R. You will be able to change the ShortCut and/or title. It is often useful to change both.

As soon as you press the "." key, ClipMate populates the top of the ClipList with all items that have a ShortCut. Similarly to QuickPick, the blue bar separates the ShortCut items from the regular items. But here, items can come from ANY collection or database. As you continue to type, the list is filtered so that only the matches remain. Hit the backspace to shorten the search string and relax the filtering.

In this example, I have associated nicknames with my credit card details. Since I have both a Visa and MasterCard, I have a structure in place to keep them separate. "cc" for "credit card", "v" or "m" for Visa or MasterCard (or Discover, Amex, Eurocard, etc.), and then the particular piece of data such as date, name, number, pin, etc..
So Now I've typed ".cc.v", and have pulled up the 3 pieces of Visa details.

Now I'm ready to QuickPaste the data into NetCaptor (a popular browser add-on), so NetCaptor appears as the QuickPaste target. So I would select the number, press ENTER, and it would be pasted into NetCaptor. If I QuickPaste again (for the Date, perhaps), my ShortCut selection is still in effect - I do NOT need to re-enter the ".cc.v" search string. The selection stays in place until I dismiss it with the ESCape key, or perform another search.

nickpick

NOTE: Shortcuts are available in both Classic and Explorer modes.

For more information see:
· Lesson 7: Shortcuts (tutorial)


QuickPick
QuickPick is a method for quickly selecting clips within a collection, and is available in Classic or QuickPaste modes. QuickPick "filters" the titles in the current collection, based on criteria that you type.

You "filter" the titles in the current collection by merely typing the ? key, followed by some text (not case sensitive) that you expect to find in the title of a clip. As you enter each keystroke, the list is updated to show your "hits" up at the top. Keep typing to narrow down the search. In the example below, the user typed: ?pick, so the four items in the list that contained "pick" were pulled to the top. Notice that the search characters are displayed on the status bar at the bottom of the screen.

When you see the clip that you're looking for, simply select it with the arrow keys or mouse, and it's just like selecting any other clip. If you are in QuickPaste, press ENTER or double-click the item to paste into the target application.

quickpick

Threshold
To improve performance with large collections, you must first cross the "threshold", which is currently 2 characters after the "?" key, before the results are shown. In the above example, no results are shown until you've typed "?jo", to prevent every clip containing "j" from flooding the results and wasting processor time. This feature is new in ClipMate 6.1

Modifying/Cancelling
Hit the Backspace key to remove characters from the search. If you backspace far enough, you'll cancel QuickPick, and the blue bar will disappear. Also, you can press the ESCape key at any time, to cancel QuickPick.

NOTE: QuickPick is available in both Classic and Explorer modes.

For more information see:
Lesson 6: QuickPick (tutorial)


Capturing

As you copy items from other applications, ClipMate will detect the data arriving on the System Clipboard, make a copy for itself, and place it into one of your Collections (similar to folders). This data is now known as a "clip".
Methods for copying from applications vary. Most applications allow you to select data with the mouse or keyboard, and copy to the Clipboard (and thus into ClipMate) with keyboard combinations such as Ctrl+C, Ctrl+Insert, or the Edit | Copy menu.
You can also perform a Screen Capture to obtain a bitmap of a window, the entire desktop, or any part of your desktop.

As you capture the data, you'll hear a little "pop" sound, to indicate that ClipMate has captured the data, and placed it into one of its collections. If you have ClipMate Classic or ClipMate Explorer on the screen, you will see the data appear.

Each clip is assigned an ID (a unique numerical identifier), a title, and is immediately saved into the database under a "Collection", such as "InBox".

Now that ClipMate has captured the data, how long does it stay? By default, ClipMate puts new "clips" into a collection called InBox, which holds the 200 most recent clips. When you shut down ClipMate, it performs some housekeeping which will trim the InBox down to its retention limit. The trimmed clips are sent to another collection called "Overflow". This area keeps 800 clips, and is likely to hold anything that has recently aged off of the InBox. It too, is subject to purging, so when items are purged from Overflow, they are sent to the trashcan.
But unlike previous versions of ClipMate, the trashcan does not get discarded when you quit the program. Instead, items in the trash will say there for 7 days (adjustable, of course), in the event that you wish to retrieve something. You can learn all about this process in the Data Management section.

You may have clips that you want to keep forever - so place those into another collection, with retention rules set to "never delete". The default "Safe" collection is one such collection. To view/set the retention rules of any collection, right-click on it and view the Collection Properties dialog.


Pasting

When it is time to paste the data into another application, you have several options, outlined below. In each of these methods, the basic rule is the same - as soon as you select an item in ClipMate, it is loaded onto the System Clipboard, and is ready to paste into any target application that accepts the data types contained within the Clip. There are 3 methods of pasting available:

More:

Pick, Flip, and Paste

QuickPaste

PowerPaste


Pick, Flip, and Paste
This is the most casual use of ClipMate. Simply activate ClipMate, either by clicking on it on the screen, activating its icon in the system tray or taskbar, or using the hotkey (defaults to Ctrl+Alt+C). Select a Clip in the drop-down ClipList (or if you're in "ClipMate Explorer" view, the ClipList is already visible) and it will be placed on the System Clipboard. Then "Flip" over to the target application (possibly with Alt+Tab, if you hot keyed into ClipMate, otherwise click on it with your mouse) and paste the data as you normally would.


QuickPaste
QuickPaste is a special mode of operation, and while it initially looks much like Classic View, in the "dropped-down" state, it has a very special behavior.
The purpose of QuickPaste is to provide rapid access to clips from WITHIN the application where you want to paste (known as the Target Application). Instead of the "pick and paste" method (first go to ClipMate, pick an item, go back to your application, and paste), you can use QuickPaste to simply select a clip, press ENTER, and keep going. You invoke QuickPaste from WITHIN the application where you are working, the data is pasted right at the cursor position, and you are then returned right back where you were.
This is very handy if you are typing – your hands don't have to leave the keyboard, and pasting a clip takes usually only 3-5 keystrokes.

Additionally, you can configure QuickPaste to give you access to two different collections. This is handy if you're currently working in one collection, but need to access data from another one. And QuickPick and ShortCuts help you find the information that you need quickly. And if you have special pasting needs, such as the ability to modify the keys sent to the target application, send TABs, or even other attributes of the clip such as the URL or Title, you can do so with QuickPaste Format Strings.

· Basic QuickPaste
· Advanced QuickPaste
· Using QuickPaste Format Strings
· Lesson 4: QuickPaste... (tutorial)


Basic QuickPaste
Step 1: Invoking QuickPaste
QuickPaste can only be invoked via the QuickPaste Hotkey sequence (Ctrl+Shift+Q by default), which must be pressed while you are working in the application that you want to paste into. For example, if you want to QuickPaste data into Microsoft Word, simply press Ctrl+Shift+Q, while you are still in Word. QuickPaste will spring to the foreground, showing the red "target" indicator, and the name of the target application on the status bar.

Step 2: Select a Clip

Scroll down with the arrow key, or use the mouse to pick a clip.

Step 3: Send the Clip to the target.

Press ENTER to send the clip to the target application, and end QuickPaste. Or, you can double-click with the mouse.

That is the basic functionality of QuickPaste. Bring it up with the hotkey, arrow down to the clip you want, and press ENTER. Zoom - it's right where you were working, and your hands don't have to leave the keyboard.

But wait, there's more! See:Advanced QuickPaste


Advanced QuickPaste
After you have mastered the basics, you will want to use some of QuickPaste's advanced features.
Dual ClipLists
For starters, you can configure it to show you TWO ClipLists instead of just one. On the "Classic" page of User Preferences, there is an option to show Dual ClipLists. Select that option, and close/re-start ClipMate Classic or re-start ClipMate. Now when you invoke QuickPaste, you'll have two ClipLists. The top one will always be your "active" collection. But the bottom one can be "tacked" to any other collection. And you can change it on the fly by clicking the title of the secondary collection (see "click to change" in the accompanying screen shot).

TAB and ENTER Buttons
The QuickPaste Toolbar has 2 command buttons plus a "tack". The Tack keeps you from dropping out of QuickPaste mode after the item is pasted into the target.
The Other two buttons will send a TAB or ENTER key to the target, respectively.

QuickPaste Format Strings
The drop-down list next to the Tab and Enter buttons controls what keystrokes are sent to the target application to not only cause the paste to occur, but to provide additional formatting. Such as keying in the URL, title, or timestamp of the clip. You can customize this to do just about anything that you need. See:Using QuickPaste Format Strings in the next topic for full details.

QuickPick / ShortCuts
QuickPick and ShortCuts are designed to be used when in QuickPaste. As you invoke QuickPick (with the "?" key) or ShortCuts (with the "." key), the search string will appear on the status bar, just to the left of the "target" icon. Read more about QuickPick and ShortCuts in their respective topics.

quickpaste


Using QuickPaste Format Strings
When QuickPaste sends data into the target application, it does so by placing data onto the system clipboard, and then sending some keystrokes to the application. Usually, Ctrl+V does just fine. But sometimes you find an application that works better if you use its own Edit menu, or you may find an older application that uses Shift+Insert instead of Ctrl+V. So we added this new feature to version 6, so that you can control what keys are sent.
While we were at it, we added the capability to insert other items into the keystrokes. The ENTER and TAB keys, were natural additions. Looking over our past suggestions from users, we found that people sometimes need the date/time, source URL, and clip title as well.

So this feature was designed to let you configure QuickPaste to handle just about any pasting task. Do you need to key in some static text like "user name:" before every clip? How about pasting the Source URL after the clip? Or the title? Maybe some TABs and ENTER keys need to be pressed? Don't worry, the QuickPaste Format Strings can handle all of that.
Here is a look at the formatting strings that are typically available by default. You have a drop-down list attached to the QuickPaste Toolbar, and the titles of the formatting strings are visible. Select one, and it'll be used on the subsequent paste operation. The default entry, simply sends Ctrl+V to the application. Then you have Shift+Insert and the Edit Menu paste (sends Alt+E, then P) for applications that prefer those methods of invoking their paste function.

Then you have the fancy ones. Paste with an Enter, Paste with a Tab, and Paste with a timestamp. If you go to User Preferences | Pasting, you'll see that the Timestamp paste actually sends the regular Ctrl+V, then the ENTER key, then"Captured At:" and then the date/time of the original capture.
qptoolbar

Title Triggers
Then there is the capability to automatically select a particular format string based on the title of the application that you are pasting into. The "Excel Paste" is like that. Excel hates it when ClipMate sends Ctrl+V, but doesn't mind if you paste from the Edit | Paste menu. So the Excel Paste is set to look for "Excel" in the title of the "target application", and will be selected automatically if you paste into Excel.

Custom Format Strings
You can add your own paste strings to handle just about any situation that you may have. See: QuickPaste Settings in the User Preferences section for information on how to configure the strings.

Sequences
You can have "sequences" in the format string, to type numbers such as 1,2,3, into the target application. If you have selected a format string with the word "Sequence" in the description, then you can reset the sequence by right-clicking on the format list.


PowerPaste
This very POWERFUL feature allows you to rapidly paste a series of items into an application. Once you have a series of items copied into ClipMate, simply select the starting clip, activate PowerPaste, switch back to the target application, and start pasting. As you paste each item, PowerPaste advances to the next Clip Item in your collection.
The PowerPaste has two "Modes", corresponding to the two modes of PowerPaste. The button can be found on the far left side of the ClipMate toolbar (either Classic or Explorer). From a given starting item, PowerPaste can either work its way up toward the top of the Collection, or down toward the bottom. So you will notice that the icon has an arrow that either points UP, or DOWN, depending on the direction of travel. If it is pointing the wrong way, simply click it again and it should "flip". Then it should remember your preferred direction for the next time you use it.

Starting PowerPaste
To start PowerPaste, first you want to pick the first clip in the series. For example, if you need to paste some records into a database, such as first name, middle initial, last name, etc., you'd start with the clip containing the "first name".
Then you click the PowerPaste button. Click it once, and an arrow should light up on the button, like this: . This indicates that PowerPaste is active, in the "UP" Direction. This means that PowerPaste will work its way UP the Cliplist. Click it again, and the arrow reverses. Use whichever direction suits the arrangement of the data in the Cliplist. Usually, you'll pick the oldest clip in the series, and PowerPaste UP the list, until you hit the top and run out of data, and then PowerPaste will terminate with a "beep"

To Cancel PowerPaste, just click the button until no arrow appears.

Note: The direction of PowerPaste determines whether you get the data in the order that you copied, or in reverse order.

Exploding PowerPaste

This special mode allows you to PowerPaste individual lines, words, or other "fragments" of a clip. Let's say you have some data like this:

January, 31
February, 28
March, 31
April, 30
May, 31
June, 30

And you need to paste into an application, as separate fields. I.e. paste January, then paste 31, then paste February, and so on. With standard PowerPaste, you'd have to copy each "fragment" as a separate clip. Not so with "Exploding" PowerPaste. Just copy the data as one big chunk. Turn on the "Explode Into Fragments" option under the Edit menu, and start pasting. PowerPaste will break the data into "fragments", giving you January, then 31, followed by February. It'll remove the commas for you, and strip the leading/trailing spaces. This is great for working with comma delimited data from spreadsheets!

To configure how PowerPaste "explodes" the data, see Config | User Preferences | Pasting.

Looping PowerPaste
Sometimes you would like PowerPaste to "loop" when it reaches the end of the collection (or extended selection). Turn the "PowerPaste Loop" option on under the Edit menu, and PowerPaste will "loop" back again after it reaches the end. So you can paste the same series of data, over and over. Simply click the PowerPaste button to turn it "off", when you finally are finished pasting.

Extended Selections
Like many operations, PowerPaste can operate on Extended Selections, where you have chosen multiple clips by holding down SHIFT or CTRL, as you click in the Cliplist. If you have made such a selection, then PowerPaste will act on those selected clips. Otherwise, it will assume that it is running from the selected clip to the end of the collection.

Real-Life PowerPaste Example

At Thornsoft, we use PowerPaste every time that we receive an order from our web site. As customers order ClipMate, we need to enter the orders into our in-house order-entry system so that we can create shipping labels, receipts, etc. The order information coming out of the web site isn't in the right format for our order entry system, so we use PowerPaste to automate the conversion of web orders into our system.
We simply copy the individual fields from the report (Name, Company, Street1, Street2, City, State, Zip, Country, Quantity, ID) into ClipMate. We do all of the orders at once, so there could be a lot of data (the more, the better!) To set our starting point, we pull down the Clip Item Selection List to select the first item of data that we want to paste (the customer name of the first order). Next, we press the PowerPaste Up button, as we want to paste the items in sequence from oldest to newest. Then, we go to the order-entry screen and tab to the "Customer Name" field. Paste the data, tab to "Company Name" field. Paste the data, and tab to the next field. Paste and tab, until the whole order is done. Begin a new order, and repeat the paste-tab process.

As you can see, this is much easier than switching back and forth to ClipMate in order to retrieve the data. And compared to keying-in all of this data, it is fantastic!

Arrow Behavior:
The first time you click the button, the arrow will indicate the direction that you used last time. If you paste some data, and click the button, the PowerPaste will simply turn off, and the arrow disappears. However, if you click the button without having pasted anything, then the arrow will flip, so that you can paste in the other direction.
So, if you PowerPaste in the same direction every time, it will remember the correct orientation, and you will only have to click it once to turn it on, and then once to turn it off.

About the new button:
Previous versions of ClipMate used a "split" button, which looked like an electrical outlet. With ClipMate's new "space saving" toolbar, the split design didn't work out, and the button was confusing. The new button design contains "gears", which are meant to imply "automation". The arrow provides "direction". We think you'll like the new button.

Alternate Access: PowerPaste Up/Down from Edit Menu, and SysTray Menu.

For more information see:
Lesson 2: PowerPaste (tutorial)


Installation...


Program Requirements
Platforms:
ClipMate 6 runs on:

· Windows 95, Windows 98, Windows ME, NT 4.0, Windows2000, or XP.
· Internet Explorer 4 or higher. (non-upgraded Win95 machines will not work)
· 16-bit color or higher (otherwise button colors will not look right)
· 25 mb free disk space for program and data.
· 8mb RAM (used by ClipMate).
· Any mouse or pointing device supported by Windows.

Note: NT 3.5 is not supported.

Windows 3.1?

ClipMate 6 does not run on 16-bit platforms. Instead, ClipMate 4.2 is available to users of Windows 3.1. It is not as feature-rich and uses the older ClipMate 4 user interface.


Installing ClipMate

Installing ClipMate is an easy matter. Simply run the SETUP program, and follow the prompts. If you have a prior version of ClipMate 6 already on the system, install into the same directory – do not uninstall the old one first.
NOTE: If you are upgrading from a version of ClipMate prior to 6.0, do NOT install into the same directory. You can use the File | Import option later to import your 4.x or 5.x data.

XCOPY Installation - Although the easy way is to run the setup - it's optional. The setup does not do anything significant besides copying the files and creating icons in the Start menu. There are no DLLs to install or register (except for psapi.dll on NT4), so you CAN just copy an existing program directory from one system to another. Just double-click the ClipMate program and it will run. If you want it to run at startup, there is an option in the User Preferences dialog, which inserts the proper entry into the RUN section of the registry.


Entering Your Registration Key
Your registration key will work with any 6.x version of ClipMate, which means that you can download new releases from our WWW site any time that one is available. From ClipMate's Help menu, select "Enter Registration Key". This opens the dialog box for entering your name and key. Only valid ClipMate 6.x registration keys will be accepted. If you are upgrading from a previous version, you will have the standard 30 days to evaluate the new release. If you successfully enter and validate your key, then a "thank you" message will appear, and the software will be registered to you, all features will be enabled, and the "registration reminder" screens will not appear again.

NOTE: If your key is less than 32 characters long then it is NOT a ClipMate 6 key, and will not work. You will need to purchase an upgrade license.

See Entering Your Registration Key - Step By Step


Entering Your Registration Key - Step By Step
ClipMate's registration key is really too long to type accurately, so we've made a "smart pasting" function where you can copy and paste from your order confirmation e-mail (sent to all registered users). We can re-send this e-mail upon request - just send a note to sales@thornsoft.com with "ClipMate Key" in the subject, and your name/address in the body.

The e-mail contains a "key block", similar to this:

This key block will save lots of typing, and eliminate typing mistakes.

Step by Step:
· Run ClipMate.
· Access your order confirmation e-mail, as shown above.
· Just highlight the key block as shown above, and Copy to the clipboard (right-click, Copy).
· In ClipMate, you'll see the menu along the top of either ClipMate Classic or Explorer. File, Edit, Config, View, and Help. Select Help, and from there, select "Enter Registration Key".
· Click the "paste key from clibpboard, and the name and key should be extracted from the key block, and inserted into the dialog, as shown below.
· Next, click Validate, and you should receive a message saying "congratulations, your key has been entered.

Note: This is not a valid key, and is only shown for sample purposes.
Note: No communication takes place with our servers - the program validates the key all on its own.
Note: There may be multiple keys present (6.0, 6.2, etc.) ClipMate will pick the one that is most appropriate. We don't always change our key schemes, so for example, there was no special key for v6.3, so it uses either the 6.2 or 6.0 keys.

Manual Entry:
If you are going to type the key (from a hardcopy perhaps), you only type the parts shown below in BOLD:
BEGIN LICENSE
[Registered To: ] Joe W. User Sr.
[ClipMate 5 Key:] G019876505288
[6.2 Key:] HQPRX3-GJ4HXP-P8H3QQ-Q45GW7-7U768P-E5XM4M-1PB5RK-RA05PZ
Number of Users:  1
END LICENSE


Upgrading from ClipMate 5

If you have ClipMate 5 on your system, then you will want to keep these things in mind:

1. Install ClipMate 6 into its own directory.
2. When you run ClipMate 6, it will prompt you for the location of the data directory. It should be a different location than your ClipMate 5 data. Do NOT force it to use the same directory as your ClipMate 5 data.
3. Once ClipMate 6 is up and running, you can use the File | Import operation to read your ClipMate 5 data into the new ClipMate 6 database.
4. After you are comfortable with ClipMate 6, and have verified that all of your data is intact, you can then uninstall version 5 and remove its data directory. You may want to make an archive of the old data on CD-ROM, ZIP disk, etc..

Note: Your ClipMate 5 registration key will not work - you must purchase an upgrade key from Thornsoft Development, or an authorized reseller.


The User Interface
ClipMate has two main windows - ClipMate Classic, which is essentially a toolbar with a drop-down list of clips with a preview area, and ClipMate Explorer, which has a 3-pane interface much like Windows Explorer or Outlook Express. ClipMate Classic is intended for quick access to your data, while Explorer is intended for heavy-duty editing and data management.
You can easily move back and forth between the two with the Ctrl+E key, or by selecting the appropriate toolbar icon. Classic has a toolbar icon to take you into Explorer, and Explorer has an icon to take you back to Classic.


ClipMate Classic

ClipMate Classic closely resembles previous versions of ClipMate, and takes up much less space than ClipMate Explorer. It features a menu, a toolbar, and a drop-down list of Clips (the ClipList). In the picture to the right, it is shown in the "dropped-down" state, where you see a ClipList and a slimmed-down version of the preview/edit window.

The ClipList gives you access to all of the Clips in the current Collection. As soon as you select a Clip, it is placed back onto the system Clipboard, and is ready for pasting into any application.

· When you click on the drop-down arrow in the lower-right, the window expands to show the ClipList (listing of the clips in the current collection) and a preview of the data.
· Unlike version 5, the ClipList in v6 will not immediately "roll-up" when you make a selection. This is to give you time to see the data in the preview area. As soon as you switch away to another application, the roll-up occurs automatically.
· Also, you may find that you want the window to stay in the "drop-down" mode. In that case, use the "pin" icon in the lower-left to pin the window open.
· At the bottom of the window (when in the drop-down mode) there is a "status" area, showing you the most recent clipboard or editing history. If you hover your mouse over it, you will see the recent history.
· The blue toolbar button (3rd from the right) that resembles a 3-panel window will close Classic, and take you to ClipMate Explorer, which is more suitable for editing and data management.

The toolbar shares many buttons in common with ClipMate Explorer, so the buttons are explained in the ClipMate Explorer Toolbar topic.


ClipMate Explorer

The ClipMate Explorer is well suited for data management and editing, as opposed to the quick access focus of Classic.
We've based ClipMate Explorer on the Microsoft Windows Explorer interface, and have incorporated drag 'n' drop support to speed data management tasks, and minimize the learning curve.
As you can see in the screen shot below, ClipMate Explorer is an expansion of the Traditional View, replacing the drop-down list with three new panes: Collection Tree on the left, ClipList on the right, and Edit/Preview beneath the ClipList. There are re sizable "splitter" bars between the panes, and there is a Status bar along the bottom.

Here is ClipMate Explorer. You can click in the various panels to find out more information about what goes on inside the panel.

explorer

Docking/Undocking
The 3 panels are "dockable", meaning that you can drag 'n' drop them OUTSIDE of Explorer, so that they become their own window.

Collection Tree Height
Starting with update 6.0.07, you can opt to have a full-height collection tree, making Explorer look like it did with version 5 (tall Collection Tree, narrow Editor). See the Explorer panel in the User Preferences dialog.

More:

· Toolbar Buttons...
· Collection Tree
· ClipList
· Preview/Edit Window


Toolbar Buttons...
ClipMate Explorer has lots of buttons which are used to access frequently-used functions.

· PowerPaste
· Delete Clips
· Print
· Append
· Copy Clips To Collection
· Move Clips To Collection
· Search
· Select Collection
· View Mode


PowerPaste
Initiates the PowerPaste feature, to automate pasting of a series of Clips into an application. When you have a lot of data to paste, and it's all in the right order, PowerPaste is the tool to use. As you paste a clip, PowerPaste will look either UP or DOWN in the ClipList, to pick the next item. It will then place it on the clipboard, ready for pasting. As you paste that item into a target application (using the normal clipboard conventions of that application), PowerPaste will select another item, and the cycle begins again.

See: PowerPaste Overview for more information on the use of PowerPaste.


Delete Clips
Deletes the currently selected item(s) from the current collection, and sends them into the trashcan. Depending on the settings of the database, the trashcan will keep the data for a week or so, before actually deleting. So you can rescue them from the trash, if you need to.

Note: ClipMate 4 had a "Delete All" option, which is not present in ClipMate 6. Instead, select all items in a collection with Ctrl+A, then Delete.

Alternate Access: Pressing the Delete Key when ClipList has focus, or using the Edit | Delete Item(s) menu.


Print
Prints the currently selected Clip(s). See the Print Options tab of User Preferences for configuring settings, including options for accessing Print Preview, automatically printing screen shots, printer selection, and customizing the output.

Alternate Access: Print from the File menu.


Append
Append will combine several text Clips into one big Clip. There are two ways to append data:

1. You can select several clips in the ClipList and glue them together, creating one big clip. Items are glued top-down, or bottom-up, depending on which direction the clips were chosen. Note that the specific ORDER is not preserved, but the general DIRECTION is.
2. If you turn Append on without selecting multiple clips, then it will enter the "Auto-Append" mode, where all new clips are appended to a new clip, that keeps on growing. Much like a giant snowball running downhill.

Using either method, items are appended according to the "Append Rules". See: Edit Rules .

· Note that this used to be called "Glue".
· Note that Glue is available only for TEXT items, and will not glue other formats such as Bitmap, Picture, Rich Text Format, etc.
· Note that when capturing items in Auto-Glue mode, there is a different "pop" sound, so that you know you're appending.
· Alternate Access: Edit | Append menu option.


Move Clips To Collection
Moves selected Clip(s) to another collection. This button is a special "drop-down" button, and is shown on most systems with a little down-arrow to the right. It is actually two separate buttons. The Drop-Down arrow will give a menu of available target collections. Select the target collection, and the selected items are moved.

Alternately, you can drag 'n' drop the clips with the RIGHT mouse button, and you will see a menu that allows you to either Move or Copy the clips.


Copy Clips To Collection
Copies selected Clip(s) to another collection. This button is a special "drop-down" button, and is shown on most systems with a little down-arrow to the right. It is actually two separate buttons. The Drop-Down arrow will give a menu of available target collections. Select the target collection, and the selected items copied.

Alternately, you can drag 'n' drop the clips with the RIGHT mouse button, and you will see a menu that allows you to either Move or Copy the clips.

Note: Copying a large number of clips is much slower than Moving them. Moving involves a simple database update. But copying requires each clip to be read into memory, "cloned", and then written out as a new record.


Select Collection
This is another split button like the Move/Copy buttons, which has a drop-down portion (the "down arrow"), and an icon. The icon represents the collection that is currently loaded, and clicking on it will bring up the next collection in the tree (if set to do so in the User Preferences | General dialog). Clicking on the drop-down arrow will show a menu of available collections. Simply select a collection, and it will be loaded into the ClipList.

This is the same as choosing a collection in the Collection Tree.


Search
Invokes ClipMate's Search facility.
See: Searching.


ClipMate Classic
This button closes Explorer, and opens ClipMate Classic.
You can use Ctrl+E to toggle back and forth, as well.


View Mode
This toggles the ClipList from "report view", where it shows columns such as title, date, creator, etc., to a "thumbnail" view.
Thumbnail view is very useful for working with clip art.


Collection Tree...

The Collection Tree shows the various databases and collections within. By default, you'll have a database called "My Clips", and this refers to a particular directory on your hard disk where all of the data is stored. Within the database, the clips are arranged in groups called "collections", Each collection can have its own retention rules (determines when, if ever, data is purged), title, and icon. By default, you'll have InBox, Overflow, and Safe. Plus two special collections: Trashcan and Search Results. Here you see we've added a bunch of collections that we consider "Important Stuff".

tree

Hierarchy:
The hierarchy is managed via drag 'n' drop, and collection properties can be accessed via a right-click popup menu. The collection tree interacts with the ClipList, as selecting a collection will cause the ClipList to display the Clips within that collection. Also, you can drag Clips from the ClipList into the Collection Tree, to move Clips between collections.

Sorting:
The contents of the tree are either sorted Alphabetically, or by a "Sort Key", which is the default. As collections are created, they are assigned a sort key, such as 100, 200, 300, etc.. If you right-click on a collection and select "Move Up" or "Move Down", then the sort key is changed, and the item is re-positioned. You can manually view/edit the sort key as well, by right-clicking on a collection and viewing the Properties dialog.
To choose between alphabetic and "key" sorting, go to Config | User Preferences | General. The default is Manual (Key) sorting.

Tip: If you prefer Alphabetic sorting (users with hundreds of collections often prefer this), but still want the InBox (or others) to still be at the top, you can trick the sort routine into doing what you want. Right-click on the collection, view the Properties. Then rename the collection so that it has a SPACE in front. "InBox" becomes " InBox". Note the space. Now it will sort to the top.

Docking:
Like any of the panels in Explorer, the Collection Tree can be undocked, and its undocked appearance is shown above.

Expand/Collapse:
New in version 6.3, you can right-click to expand or collapse the tree. Very handy if you have dozens, or hundreds of collections.


Special Icons And Markings
The Collection Tree visually shows you each Collection's specific properties or situations, using these icons and markings:

RED Red or Maroon text indicates that the collection is configured to reject new Clips from the Clipboard. Instead, they'll "bounce" to the first "open" (colored black) collection in the tree.
UNDER Underlined titles indicate that the collection is designated as "safe", meaning that auto-purge will NOT occur as the collection fills or the items age.


Keyboard Navigation of the Collection Tree
Although ClipMate Explorer is primarily a pointer-driven feature, it is possible to navigate with the keyboard. Use the arrow keys to navigate up and down. Left/right arrows collapse and expand parent folders. Tab takes you out, and over to the ClipList.


Collection Tree Pop up Menu
Right clicking on a Collection in the Collection Tree will bring up a menu of options (Shift+F10 is the keyboard shortcut).

· Properties - Brings up the Collection Properties Dialog.
· Move Up in Sort Order - Moves the Collection up one position in the Collection Tree, by adjusting the Sort Key. The top Collection in the tree is the one that opens by default when ClipMate loads.
Tip: You can also use the + key.
· Move Down in Sort Order - Moves the Collection down one position in the Collection Tree, by adjusting the Sort Key.
Tip: You can also use the - key.
· Add New Collection - Adds a new Collection to the tree. It will become a child of the currently selected Collection or Database.
· Delete Collection - Removes a Collection from the database. If it contains clip, you'll be prompted. Clips will be recoverable from the trashcan.


ClipList
The ClipList is the centerpiece of both ClipMate Explorer and ClipMate Classic, as it's docked into each of them. All of the Clips in the current collection are listed, with their various attributes (title, source, date/time of capture, available formats, etc.) listed in sortable columns. The ClipList supports a variety of drag and drop operations, for re-ordering Clips within the collection, for dragging Clips into the Preview/Edit pane, and for moving Clips to other collections by dragging into the Collection Tree.
The ClipList has two views within itself – Detail View and Thumbnail View. The two new icons at the right end of the main toolbar toggle back and forth between the two views.

cliplist
The ClipList can be sorted on any column. Read more about Sorting.


Sorting Clips
Click on a column heading to sort the Clips according to the data in the column. ClipMate understands alpha, numeric, and date sorts. Click again, to sort in the opposite direction. The direction and column of sorting can be different for each collection, so that you can have one collection sorted alphabetically, another sorted with new Clips on top, another with new Clips on the bottom.
One of the columns is the mysterious, but ever so important, "SortKey" column. This is used to sort the way YOU want. For example, if you have some Clips that you need at the top of the collection, you can re-order Clips by dragging and dropping them on one another, or using the right-click "move to top/bottom of sort order". OK, you've moved them, but now none of the usual sort criteria apply. Alphabetic is no good, neither is date or size. So we have this magical, mystical, user-defined sort column. As you move Clips around, the SortKey value changes, to reflect its position, relative to the two Clips that it falls between. If you drop a Clip between two Clips with SortKey values of 100 and 200, the dropped Clip will be assigned 150. So when you sort by SortKey, it comes up the way that you want it.

New Clips get assigned a new SortKey value of the Clip ID multiplied by 100. This means that the sequence grows automatically, and has lots of room between Clips. Don't worry, you won't run out of numbers! (The sortkey wraps around at a little over 2 billion.)

Tip: Sorting determines where new clips are placed. If you sort on the SortKey, ID, or Date/Time columns, then new clips will appear on the top, or bottom of the collection, depending on the direction of the sort.

Tip: For most uses, sorting by the SortKey column in descending order (largest on top) is the most useful, as it keeps the newest Clips on top and is sensitive to manual Clip movements within the collection.
Tip: To manually adjust the SortKey field you can right-click on a clip, and use the Property dialog to make the change. This is handy if you want to set a SortKey value to a very high number, so that the clip will be at the top of the sort order, every time that the collection is loaded.


Source URL
When copying from Netscape or Internet Explorer, the URL of the page that the data was copied from, is recorded in the Source URL field. In ClipMate Explorer, you can click on the URL, and launch the page in your default browser. Also, you can right-click on a clip, and select "Open Source URL in Browser", which is handy if you are in Traditional View, and would otherwise have to scroll excessively.

Tip – Place Source URL On Clipboard:

You can also place the source URL onto the clipboard – all by itself, by right-clicking on a clip and selecting "Place Source URL on Clipboard". It'll be placed onto the system clipboard, ready for you to paste into a document. It will NOT be re-captured by ClipMate though (to avoid clutter).


Detail View
If you click on the button at the far right of the ClipMate Explorer toolbar, you will go back and forth between Thumbnail View and Detail View. Detail View is the default, and presents the cliplist as a multi-column display, with sortable columns.

Item Type Icons

The first column can contain icons that tell you which formats are present in the Clip Item. Here is a key:
Icon Meaning
Bitmap Image
Picture (Metafile) Image
Text – Plain text with no formatting
Rich Text Format – contains font, alignment, color, etc.
HTML Format
HDROP – Contains a list of files, copied from Windows Explorer


Format Indicators
There are a series of columns that are used to indicate the presence of particular formats, such as Text, RTF, Bitmap, etc.. The presence is indicated by a blue dot, or y/n if you have opted to not display the item type indicators. By sorting on these columns, you can quickly find items containing certain formats. For example, to quickly review all of your bitmap clips, sort on the Bitmap presence column.


Thumbnail View
If you click on the button at the far right of the ClipMate Explorer toolbar, you will go back and forth between Thumbnail View and Detail View. Thumbnail View shows Bitmap and Text clips as graphic thumbnails, giving you a preview of the clip.

To configure the appearance of the thumbnails, see the "Explorer" tab of User Preferences.


Preview/Edit Window
The Preview/Edit Pane is where you can view Clips, and if they're text items, you can edit and reformat them. There are 6 tabs at the bottom of the pane, to display various formats of data (TEXT, Rich Text Format, Bitmap, Picture, HTML, and Binary). Not all will be present – only the ones that are applicable to the data contained within the Clip are displayed.

You will see two forms of the Preview/Edit window by default. One is docked into ClipMate Explorer, and the other is docked into the bottom portion of ClipMate Classic. When docked into ClipMate Classic, the toolbars are trimmed to save space, and the HTML pane is unavailable. This is to save space and memory, as Classic isn't meant for heavy duty editing.

Aside from being docked into Explorer and Classic, you can also have free-floating editor windows. This can be very helpful if you want to do some heavy-duty editing on a particular clip, or if you want to see the current clipboard contents, but don't want to clutter your screen. You can either un-dock an existing editor window, or summon one by pressing F2 from within either Classic or Explorer.

Here is the editor, shown floating on the desktop. Note the 3 tabs at the bottom, to view the data as Text, Rich Text, or Binary. If it had been a Graphic or Web Page, there would have been other tabs, as well.

See:
· Text Editor
· Text Editor Toolbar
· Rich Text Format Tab
· Bitmap Tab
· Picture Tab
· HTML Tab
· Binary Tab


Text/Edit Tab

Text Tab
This tab displays and edits TEXT items, and has a toolbar full of powerful editing buttons. You will find that the editing features will rival those of stand-alone editors (but it isn't really meant to replace your favorite editor - but it should compliment it nicely). You can type, drag 'n' drop, or use cut/copy/paste to edit the contents of TEXT items.

Click below to find out more:
· Editor Toolbar...
· Rectangular Selections


Drag 'n' Drop
ClipMate's Text Editor features drag and drop capability. You can drag and drop text within the editor to re-arrange data, and you can drag 'n' drop other Clips into a Clip, providing an on-the-fly composition of Clips from other Clips. Once you select the "tack" icon on the toolbar, you can drag and drop other Clips from the ClipList into the Clip that you're editing. For example, let's say that you have fragments of someone's name and address in the current collection, but you need to have them all combined into one Clip. You can simply create a new Clip, set the "tack" icon, and then Drag 'n' Drop the pieces of the address into the editor, composing the address on the fly. This is similar to the Glue feature, but offers more flexibility.

By default, Clips that you drag into the editor will be appended to the end of the Clip that's being composed. If you wish to insert into a different point, then you must first position the cursor before you start the drag operation.


Rectangular Selections
Sometimes you need to be able to select a rectangular area in the editor. To do so, turn OFF the Word-Wrap toolbar button, and hold down the ALT key as you drag. This is useful for deleting sections of text, or using the COPY button to make a new clip out of the rectangular selection. Do you have data with a column of numbers that you want to isolate? Use the rectangular selection, and then the Copy button. Now you have a new clip, with just that column of data.
Most of the toolbar buttons will not work with rectangular selections, and are greyed when performing this operation.


Editor Toolbar...
The Text Editor has a toolbar for accessing many of the editing functions. The same editor is used in both ClipMate Explorer and ClipMate Classic, but due to space constraints, the toolbar is hidden from view when docked into ClipMate Classic. So if you are in ClipMate Classic, and want to do some serious editing on a clip, you should open another editing window. It's easy. Just press F2, or right-click on the clip in the ClipList, and select "View Clip". Or,
you can undock the editor by clicking 'n' dragging the "gripper bar" with your mouse.

Click below to find out more:
· The Tack Icon
· UnDock
· Word-wrap
· New Clip
· Cut
· Copy
· Paste
· Shift Left
· Shift Right
· Remove Line Breaks
· Change Case
· Text Cleanup
· Undo
· Spell Check
· Active Spell
· Hilite HTML
· Encrypt / Decrypt


The Tack Icon
A very useful mode of operation when doing extensive editing on a clip is to "tack" the editor to the clip. Normally, each editor window will display the clip that is currently on the clipboard. That's usually ok, but what if you want to cut and paste within a clip? Or combine two clips? Then you will need to "tack" the editor to the clip that you are working on. Now you can cut/copy/paste, without the editor trying to display the current clipboard contents.


UnDock
This will undock the editor from Explorer. ClipMate assumes that you still want an editor within Explorer, so it builds a new one for you - now you have two.
Another way to undock is to drag the dock bar "gripper" with your mouse.
This what we mean by the gripper:

gripper
See also: How do I Undock A Window?


Word-wrap
Displays the text in a word-wrap fashion – has no effect on the data itself.

If you are in ClipMate Classic, and want the preview to wrap, you can access it from the right-click menu, when you click in the preview area. Note that this editor, and the one in Explorer, will remember their settings independently of each other.


Show Non-Printing Characters
The editor can now show the "non-printing characters", such as line-breaks, spaces, and tabs which will be shown as: ¶ · », respectively. This same feature and button appear in many editors and word processors - it works the same way. Press to toggle on/off.

Tip: This can be helpful in understanding data alignment problems, to see where the spaces, tabs, and linebreaks actually fall within the data.


New Clip
Creates a new, empty Clip in the editor. This is handy if you want to create data to paste somewhere without having to go into Notepad and create it.


Cut
Destructively copies the selected data to the Clipboard. Remember, ClipMate will capture the data, into a new Clip. So set the "tack" icon before cutting, unless you want to be looking at the new Clip.


Copy
Copies the selected data to the Clipboard. See the above warning, but then again, sometimes this is just what you want to do. For example, you might have a Clip containing several sentences, but you only want one. Highlight the one you want, hit the Copy button, and you will get a brand new Clip containing just the data that you need.


Paste
Paste from the Clipboard. Again, most useful if you've set the "tack" button, and therefore some other Clip is on the Clipboard, and you can paste it into the Clip that you're editing. Or, if you don't have the "tack" set, then you'll duplicate the current Clip into itself at the insertion point.


Shift Left
Removes the leading spaces in each line of text, one column at a time. If you have selected some text, it works just on the selection. If you hold down the CTRL key, it will remove ANY CHARACTER in the first column. Very handy for removing those annoying >> symbols from quoted E-Mail.


Shift Right
Adds one space to each line of text. If you have selected some text, it works just on the selection. Very handy for "indenting" data, such as when writing programs. It accomplishes its task by inserting a space at the beginning of each line.


Remove Line Breaks
Removes unwanted line breaks. Very often when you copy data from online sources, there will be hard-coded line breaks at the end of every line. This will remove those breaks.
Here is an example:

Now is the time for all
good men to
come to the aid of their
Country.

This would convert into:

Now is the time for all good men to come to the aid of their Country.

Notice that the text now wraps at the same margins as the rest of the document.

There are two modes – normally, it will look for a single line-break and remove it. If it sees two, however, that usually signals a paragraph boundary, so these are left intact. But if you want to force it to remove those as well, you can do so by holding down the CTRL key.


Change Case
Changes the case of the text in a variety of ways.

By clicking on the down-arrow, you can specify any of the following conversions:
Lower Case this is an example.
Upper Case THIS IS AN EXAMPLE.
Mixed Case This Is An Example.
Sentence Case This is an example.

This is a special "Drop-Down" button, usually displayed with a drop-down arrow. If the arrow is present, then it will bring up a menu of the four conversions. If you don't have the drop-down arrow present, then clicking on the button will always bring up the menu.


Text Cleanup
This function cleans up text by running it through a series of functions:

1. Strip - This removes characters, such as those ugly >>> marks that often appear in forwarded E-Mail or Newsgroup postings. You can specify that they be removed at the beginning or end of any line – plus an option for "anywhere". There are some popular pre-defined characters to be removed, or you can specify others in the "others" area.
2. Format Paragraphs - This invokes the Remove Linebreaks function. You can leave the data "as-is", remove the linebreaks within paragraphs, or remove ALL linebreaks. There is an additional option to add linebreaks back in, at a pre-determined column. It'll use intelligent word-wrapping, so the right-margin will be "ragged", as it wraps at the last opportunity before the indicated margin.
3. Case - This will use the Case Conversion function, just as if you'd invoked it by itself. It happens AFTER the first two steps, to take advantage of any corrections to sentence structure.
4. Re-Quote - This will add forwarding marks (>>) back into the text, after the clean-up is complete.

Note: This function, although powerful, may not always produce the intended result. If it makes a mess of things – hit the UNDO button, and try it again. It's meant to perform MOST of the clean-up work, not necessarily all of it, nor will it work in all situations. Sometimes a slight manual edit is all that it needs to be successful.


Undo
You can undo any of the next group of buttons (Shift Left, Shift Right, Remove Line Breaks, Change Case, Text Clean-Up Also, if you edit the text directly with the keyboard or mouse, you can also UNDO that as well.

The UNDO is one level only. For example, if you change the case and then remove the line-breaks, pressing UNDO will only UNDO the line-break removal. If this button is greyed out, then there is nothing to undo.


Active Spell
When Active Spell is turned on, the text is analyzed all the time. Mis-spelled words are underlined in a wavy-red manner. Right-click to change/ignore, or add to your custom dictionary.


Hilite Keywords

Highlite Keywords
You can enter keywords to highlight. Separate multiple keywords with commas. Wildcards are not used here, as partial matches will highlight automatically.
When you use the Search feature, the highlight keyword list is automatically populated. So you can use it to find the search string within the clips in the result set. The button above is provided for "stand-alone" use within the editor.

Here is a result of this help topic, with the keywords: key, highlight.

To use, just click on the toolbar button, and enter the keywords separated by commas. They'll be in effect until you change them, close the program, or perform a search.


Hilite HTML

Highlite HTML
This turns on the HTML Syntax Highlighting. Use this if you are working with raw HTML tags.


Encrypt

Encryption
Encrypt a clip using ARC4 encryption.
To permanently remove encryption, use the File menu.


Spell Check
This will spell check the current clip. It works like many other spell checkers, allowing you to accept/change/ignore a misspelled word, or add it to your custom dictionary.

For more information on configuring the spell checker, adding dictionaries for your language, etc.,
See: Spell check Configuration.


Rich Text Tab
Applications such as Word Processors speak a language known as Rich Text Format. It contains formatting information such as fonts, alignment, etc. ClipMate can display, but not edit, Rich Text data in this tab.


Bitmap Tab
Displays Bitmap items. You have several viewing options:

· Full size in a scrolling window
· Scaled to fit in the space provided, with 1:1 aspect ratio.
· Stretch to use all available space.

The X,Y dimensions of the item are also displayed here.

Tip: You can undock the Preview/Edit window to give you a larger viewing area - you can even Maximize an un-docked viewer. The quickest solution is to press F2 to open up a new Preview window, then Maximize if you need to see more. Close it when you're done (don't minimize - close it).


Picture Tab
Displays PICTURE or Metafile items. Picture data is usually used for mechanical drawings, Clip-art, and other things that are meant to look good when "stretched". It is useless (and usually way too big) for "real-life" images such as photographs and screen shots.


HTML Tab
This is where you will view HTML copied from web pages, or raw HTML tags copied from an editor. With data copied from Internet Explorer, the pages in ClipMate should look very similar to the original, complete with images.

ClipMate uses Internet Explorer to render the HTML, so you will need Internet Explorer 4 or higher, to use this feature.

Availability
Some applications copy data as a particular "HTML Format" data type. This format is designed for exchanging portions of HTML pages, with all formatting intact, except for the content of graphics. Not all applications support this format currently, but we expect it to become more popular, as Microsoft has documented it as a public data exchange format.

If you copy some textual data from a web page, ClipMate will capture the specific "HTML Format" data type, and display it in the HTML tab. It will look remarkably like the original text, with the appropriate fonts, tables, and colors. Hypertext Links are clickable, and will launch the target URL in your default browser.

Netscape Notes:
Prior to version 7, Netscape did not support the HTML Format data type. So ClipMate relied on Dynamic Data Exchange to converse with Netscape and obtain the "Source URL" that way. Netscape 7 DOES support the HTML Format data type. Unfortunately, they did not include the optional "Source URL" data, which is what allows ClipMate to determine the URL that the clip came from. So it's useless for determining the URL. Even more unfortunate, they have apparently gutted the DDE interface, so that we cannot even use the backup method (DDE conversation using topic: WWW_GetWindowInfo) of determining the URL. So although data from Netscape 7 will have the HTML Format data, and will look nice in ClipMate, there is no way to determine the Source URL.

Opera Notes:
Opera does not support the HTML Format data type. Reports vary on whether DDE works with Opera any more. ClipMate will try to use DDE, if enabled in Config | User Preferences | Advanced.

A Note About Graphics
When you copy HTML to the clipboard, only the HTML itself is present on the clipboard. Any Images are referenced by <IMG> tags, and are not actually on the clipboard. When you paste data containing <IMG> tags, the application that you paste into will re-download the images from the original site, or it may retrieve the images from your browser cache.
ClipMate6 can also retrieve images from your (IE) browser cache. So when you view HTML in ClipMate, you will often be able to view the original images, if they are still in the cache.

Displaying TEXT in the HTML Tab

Web page developers will appreciate the ability to view plain text in the HTML tab, where it is interpreted as HTML. Text without tags appears as regular text. But any tags are interpreted by Internet Explorer. For example, this text: <H1> Heading 1 </H1> would display as "heading 1" style, in the HTML viewer.

When TEXT is displayed in this tab, the caption on the tag changes to indicate "TEXT as HTML", so that you know that it is interpreting TEXT as HTML, rather than displaying the actual HTML format.

Revisit Source URL

When an application supports the complete "HTML Format" specification, it supplies the URL of the page that the data was copied from. This is particularly useful if you copy data from Internet Explorer. If you see a valid URL in the "Source URL" field, then the Revisit button will launch your web browser to go back to that page. This only works, of course, if the page is still on the server, and if you are connected. Note that not all applications will provide a meaningful Source URL. News articles, for example, are not usually launchable.

HTML Popup Menu

The HTML tab has a unique popup menu that is provided by Internet Explorer directly. It is the same menu that you get if you right-click inside Internet Explorer itself. Interesting items here are View Source, which will launch Notepad to show you the text representation of the HTML, and the Print feature. Again, the printing is performed by Internet Explorer, not ClipMate, so it will behave a bit differently than ClipMate printing.


Binary Tab
The Binary tab is useful for "peeking" inside some data formats that can't be displayed normally – such as "HDROP". It is also useful as an investigative tool, such as if you're wondering why you have an extra line-feed when copying from a certain application – this can show you, as you see all of the bytes in the data. You probably won't use this very often, but it is handy if you need it.

Note: This tab is disabled by default. Enable it in the Advanced tab of User Preferences.


Using ClipMate Effectively
Once you understand the basics, there are many advanced features and options that can make ClipMate even more convenient and powerful. Here we explain the various options, as well as database management, spell checking, screen capture, PowerPaste, exporting, and sharing data on a network.


Configuration and Preferences
Here is where you control the various settings that control everything from tooltips, to data storage, to avoiding conflicts at startup. There are several main areas:
· User Preferences Dialog
· Clipboard Diagnostics
· SQL Window
· Database Maintenance
· Spell check Configuration
· Startup/Recovery Menu

There are also several "stand-alone" options, found under the CONFIG menu.

· Auto Capture - this determines whether ClipMate is capturing new clipboard updates or not. If you want to permanently turn this off, see the "Advanced" tab of the User Preferences dialog.
· Reestablish Clipboard Connection - In case the clipboard connection is lost, it can be reset here. This shouldn't be necessary anymore with the "keepalive" function.

About the settings
All of the ClipMate settings are stored in the registry. If multiple user accounts are on the same system - each user has their own section of preferences. If for some reason the settings become terribly fouled up and you want to start over, you can do a registry reset by starting ClipMate with the CTRL+SHIFT keys held down, and ClipMate will ask if you would like to reset the registry.


User Preferences Dialog
ClipMate's User Preferences dialog is accessed from the Config menu, in ClipMate Classic or Explorer. Also, you can access it from the System tray menu. Many settings take effect immediately, but some will require you to re-start the program in order to see the effect.

See:
· General
· Classic
· Explorer
· Editor Configuration
· Pasting
· Hotkeys
· Sounds
· Database
· Application Profile
· Edit Rules
· Printing
· Advanced
· Logging


General
Run At Windows Startup?
This sets an entry in the registry so that ClipMate starts when you start Windows. This replaces the "startup folder" method that earlier versions used. In case you are interested, the key is: HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run
If you choose to "run ClipMate at Windows Startup" during the installation, this will be already set.

Start Minimized?
Normally, ClipMate will start showing either ClipMate Explorer or ClipMate Classic, depending on whichever one you were using last time. (Provided that they are set to auto-load) However, if you don't want to see either of them on the screen when you start, you can use this option to hide them.

Show Progress Dialog?
During lengthy operations like signing onto the database or logging off, ClipMate will show a blue "busy" dialog. You can turn it off here, if you don't want to see it. Note that this is not the same as the "loading..." dialog that shows while ClipMate is being launched.

Show Item Type Icons?
Show or hide the little indicator icons to the left of the clip titles in the ClipList.

Show Hints (Tooltips)?
Show or hide the tooltip hints that appear as you hover your mouse over various controls. You can also determine how long they stay visible.

Show Fancy Hints?
ClipMate normally uses "HTML-Enhanced" tooltips. If this is causing display problems (usually on Windows95), or if you are visually impaired and are using a screen reader, you should turn this option off.

Use Fancy Menus And Buttons
ClipMate normally shows icons in its menus and some of its buttons. If you prefer not to see them, or are visually impaired and are using a screen reader, you should turn this option off.

Confirm When Deleting Items From "Safe" Collections?
If you have a collection set to "never delete", you can have an extra measure of protection so that you don't inadvertently delete clips. You'll receive an "are you sure?" dialog.

Check for Updates?
When enabled, ClipMate will poll our server every 15 days to see if updates are available. If so, you'll be notified, and invited to run the AutoUpdate wizard to download and install the updates. This is a great way to make sure that you're running the latest ClipMate available. For more information, see Automatic Update.

Collection Sorting
This determines the order in which collections appear in the Collection Tree and on the Select Collection, and Move/Copy to Collection menus. They can be ordered alphabetically, or by "sort key". If you use "sort key", you will order the collections in the Collection Tree by moving them up/down with the menu or the +/- keys.

System Tray Title
The title of the system tray can contain either the title of the current clip, or the current collection. So you can hover your mouse over the system tray icon, and see what's on ClipMate.

System Tray Note:
In previous versions, you could optionally use the system tray, or the regular taskbar. This dual-mode caused lots of technical problems, usually in the form of multiple icons showing at once. So in the interest of saving screen space, we've gone with just the system tray icon.


Classic

ClipMate Classic
These settings apply to ClipMate Classic, and this tab will only be visible if Classic is loaded.
To make the window as small as possible, set it to use Small Buttons, Hide the main menu, and do not show the optional' "remove line breaks" button.

Load at Startup?
When ClipMate starts, it can pre-load Classic and/or Explorer so that you don't have to wait for them to load when you want to access them. If both Classic and Explorer are set to load, it will show you whichever one was used last time, but they are both loaded into memory.

Small Buttons?
ClipMate has two sets of buttons for the main toolbar - a 16x16 set that takes up a minimum amount of space, or the same 24x24 set that is used in ClipMate Explorer. You will need to close and re-start ClipMate Classic to see the change properly.

Hide Main Menu?
You can make the window smaller by hiding the main menu. Of course, you'd have to then go into ClipMate Explorer to access the menu.

Magnetic Borders?
When positioning the window near the screen edges, this causes it to "snap" to the edge when you are within 16 pixels. This makes it easy to align to the edge or corner of the screen, and is sometimes known as "WinAmp" style.

Enable Close Button?
This refers to the 'X' button in the upper-right of the window, standard on most applications. It can be disabled, to prevent accidental closing of the window.

Optional Toolbar Buttons
We've made the toolbar customizable so that you can choose the buttons that you want to see on the Classic toolbar. Be advised, however, that if you don't have enough buttons, then the main menu will "wrap", and the window won't look right. So use enough buttons to allow the entire main menu to fit. You will need to close (click the 'X' button) Classic and re-start it, to completely show the new layout.
Tip: Hover your mouse over each of the check boxes to see what the button looks like - it shows in the Hint.

Visibility
ClipMate Classic can be set to stay always on top. It can also be set to automatically hide (minimize) itself when you switch away from it. Or it can act "normal".


Explorer
Here are settings for ClipMate Explorer. This tab will only be visible if Explorer is loaded.

Load at Startup?
When ClipMate starts, it can pre-load Classic and/or Explorer so that you don't have to wait for them to load when you want to access them. If both Classic and Explorer are set to load, it will show you whichever one was used last time, but they are both loaded into memory.

Small Buttons?
Use this to display small (16x16) buttons on the Main Toolbar.

Magnetic Borders?
When positioning the window near the screen edges, this causes it to "snap" to the edge when you are within 16 pixels. This makes it easy to align to the edge or corner of the screen, and is sometimes known as "WinAmp" style.

Layout?
· Full Width Editor - The editor uses the full width of the Explorer window, forcing a shorter Collection Tree.
· Full Height Collection Tree - The Collection Tree uses the full height of the Explorer window, forcing a narrower Editor.

Enable Close Button?
This refers to the 'X' button in the upper-right of the window, standard on most applications. It can be disabled, to prevent accidental closing of the window.

Thumbnail Icons
This determines the size of the icons use to display clips as Thumbnails. If you haven't seen the thumbnails, investigate the toolbar icon to the extreme right of the Explorer toolbar.
The Cache Size determines how many icons to cache in memory. A higher value uses more memory, but boosts performance.


Editor Configuration
These options apply to the Preview/Edit window.

Show Line Numbers?
The editor can optionally show the line numbers along the left side of the editor. Only available when viewing TEXT clips.

Show Binary Tab?
Sometimes you need to get down to see the bits and bytes of a clip. For example, is there really a carriage return AND a line feed, or just a line feed? Or what sort of header is present in an HTML clip? With the binary view, you can see this type of information.

Small Buttons?
Use this to display small (16x16) buttons on the Editor Toolbar.

Tab Stops
If you copy data from an editor that assumes that tab stops are set a certain way, but ClipMate's editor doesn't agree, then the data can look odd. So here you can adjust your tabs to be 4, 5, 8, 10, or whatever you need. Note that this does NOT affect the data at all. It only affects how the data displays within ClipMate.


Pasting
Here is where you configure ClipMate's two specialized pasting methods - QuickPaste and PowerPaste.

QuickPaste Formatting
PowerPaste Settings


Configuring QuickPaste Formatting Strings
Here is where you can configure the QuickPaste Formatting Strings, which are used to determine what keystrokes are sent to the target application during the QuickPaste operation. This section will show you how configure each component of the formatting string. There is another topic under the "Using QuickPaste Format Strings" section that talks about how to USE this feature.

The formatting strings are used to send special, or additional keys to the target application during QuickPaste. Most applications are happy pasting with the standard Ctrl+V key. But some applications, particularly older ones, prefer Shift+Insert, or will only behave properly if the pasting is done via the Edit | Paste menu. So some special handling is needed in some cases. Since we had to build that mechanism, we decided to allow for just about anything to be keyed into the application, either before or after the paste takes place. This may seem rather odd, but we've had quite a few requests for some very odd things to be added to ClipMate, and this will take care of many of them rather nicely.

in the graphic above, you see the various components of the QuickPaste Format String. here are the components and their purposes:

Title
Just a title, to show the meaning of the special formatting instructions.

Preamble
Text to be inserted before the clip is pasted. ex:
Here is a nice clip: {TAB}

Paste Keystrokes
Keys used for pasting into the target app.
Typical Keys:
Ctrl+V: ^V
Shift+Insert: ~{INSERT}
Edit + Paste Menu: @e#PAUSE#p

Postamble
Text to be inserted after the clip has been pasted.

Title Trigger
This can be used to invoke a particular format to be used with a particular application.
Use application names or other strings that appear in the title of the target application, to trigger the use of a specific format.
For example, if you always use a specific format with "Notepad", then you can put Notepad in this field.

Meta Characters and Macros
There are many special keys and expandable macros used by the "sendkeys" processor.
^ | Ctrl (control) key. As in ^c for Ctrl+C
~ | Shift key. As in ~{INSERT} for Shift+INSERT
@ | Alt key. As in @e for Alt+E (often invokes Edit menu)
{TAB} | Tab key. Just as if you typed the TAB key on the keyboard.
{ENTER} | Enter key.
#DATE# | Date of clip capture.
#TIME# | Time of clip capture.
#CURRENTDATE# | The current date.
#CURRENTTIME# | The current time.
#URL# | The Source URL of the clip.
#CREATOR# | The application that created the clip.
#TITLE# | Clip Title.
#PAUSE# | 10ms pause.
#SEQUENCE# | A numeric sequence.
Any Literal a..z, A..Z, 0..9, space. | Any other text that you need.

Examples
· To place the title of a clip on a line before the clip itself, enter a preamble of: #TITLE#{ENTER}
· To cause the pasting to be done with the Edit | Paste menu, use a Paste Keystrokes of: @e p. Optionally, use a #PAUSE# to slow it down, as in @e#PAUSE#p.
· To display the source URL after a clip is pasted, use a postamble such as: Found on the WWW at: #URL#{ENTER}.


PowerPaste Settings
Exploding PowerPaste
While PowerPaste will normally paste one clip at a time, you may have text that is formatted such that ClipMate can pick it apart and paste the individual fields. For example, it may be "comma delimited". ClipMate's Exploding PowerPaste can break the data up into "fragments", and paste the individual chunks of the clip. For more information on how it works, see: PowerPaste.

To configure, you need to determine what characters determine a fragment. You will commonly use commas, tabs, line-breaks, or spaces. Tabs are denoted with a \t and linefeeds are \n.
For a space, just put a space in the delimiter. The default set of delimiters is: ,.;:\n\t

You can opt to have the delimiter stripped out, and there is an option to have spaces and control characters stripped out as well.

PowerPaste Loop
There is a new "loop" option for PowerPaste. But it's not on this dialog, it's on the main menu, under Edit. Click to toggle it on and off. If it is set to LOOP, then when you finish the PowerPaste sequence (either exploding or regular), it will start over instead of quitting.

PowerPaste Shield
If you have trouble with other applications interfering with PowerPaste, causing it to "fast-forward", then you can use this option to enable PowerPaste to operate in "stealth" mode, hiding the clipboard updates from other applications.
This allows PowerPaste to proceed normally, without the other applications being able to prematurely trigger the PowerPaste advancement. In rare cases, the application that you are pasting into (the target application) may rely on the clipboard notification, and this option may need to be turned off. But usually this should not be the case.

When PowerPaste ends, the regular clipboard notification is restored.


Fonts
All of the font settings have been consolidated onto this page.

ClipList Font
This is the font used to display the ClipList in both ClipMate Classic and Explorer.

Text Preview Font
This sets the font used to display TEXT clips in the editor, using the TEXT pane of the display.

Printing Font
Choose the font used to print TEXT clips. Tip: try to use a mono spaced font like Courier New. And try to keep the size small enough so that the data does not wrap prematurely by hitting the right margin before it reaches the line length in the original document.

All Other Controls
Use this if the dialog boxes look strange.

Tips:
Fonts do NOT affect the data. None of these font settings affect the data. It just makes it easier (or harder) to see and edit the data in ClipMate. For example, if you copy the data as Arial 10 pt, and then change the font of the editor to display as Times New Roman 14 pt bold, do not be surprised when it still pastes as Arial 10 pt (or even if it pastes as something completely different, as the font is really up to the application that you're pasting into, when it comes to TEXT data.)

Japanese/Shift-JIS/Kanji: For displaying Shift-JIS data in Japan, use a font that supports Shift-JIS such as MS Gothic, with the script set to Japanese. The "script" setting is new in ClipMate 6.2, and should take care of any non-conforming display problems with Japanese characters.


Hotkeys
There are several hotkeys that can activate ClipMate functions even when you are working in another application. These are known as Global Hotkeys. Since only one application can be assigned to a particular hotkey sequence, it is possible for conflicts to arise. For that reason, and for user convenience, the hotkeys are changeable in this dialog.

To change a hotkey, position the mouse within the desired hotkey control, and press the key sequence. Note that this is different than TYPING. For example, to assign "Activate QuickPaste" to Ctrl+Alt+Q, you would hold down the Ctrl, Alt, and Q keys simultaneously. This is quite different than typing "c t r l + a l t...."

Once you have set the hotkey, you must TEST the hotkey to see if ClipMate is able to reserve the hotkey in Windows. This is a "spot check" to see if there is a conflict with keys already reserved by applications that are running right now. (Unfortunately, it is impossible to test against applications that are not currently running.)

Show ClipMate Window
This will bring either ClipMate Classic or ClipMate Explorer to the foreground. It is essentially the same as clicking on the system tray icon.

Scroll To Next / Previous Item In Collection
Activates the next or previous clip in the current collection.

Activate QuickPaste
Brings ClipMate up in QuickPaste mode. See: QuickPaste for more information.

Region / Object Screen Capture
Initiate either of these two screen capture modes. See: Screen Capture for more information.

NOTE:
ClipMate does not have hotkey support for individual clips. Instead, use the Shortcut facility for assigning "key sequences" such as ".cc.v.n" to individual clips, accessible within QuickPaste.


Sounds
There are various events that can trigger a sound from ClipMate. Most users find the sounds to be useful, some do not. You can turn the sounds on/off here. There is currently no facility for end-user selection of the sound files to play for the various events. The "test" buttons are used to let you hear the particular event, so that you know what it sounds like. The various events are all self-explanatory:

· New Data Captured From Clipboard
· Clipboard Emptied By Another Application
· New Clipboard Data Ignored, due to duplicate or inappropriate data.
· PowerPaste Complete
· Append New Data Into Existing Clip
· Network Update (New or Updated Data)

Custom Sounds
If you don't like the default sounds, you can override them by placing your own sound files (.wav files) into the ClipMate6 program directory, and naming as follows:

· capture.wav - New Data Captured From Clipboard
· erase.wav - Clipboard Emptied By Another Application
· ignore.wav - New Clipboard Data Ignored
· complete.wav - PowerPaste Complete
· append.wav - Append
· sonar.wav - Network Update

Note that the default sounds are not present in the program directory, as they are compiled right into the program. And you do not have to provide a complete set. So if you have a file such as "doorbell.wav" that you want to use for the "New Clip Captured" sound, copy it into the \program files\ClipMate6 directory, rename to "capture.wav", and then it should take effect immediately.

Tip: Be sure to keep the files small! You don't want to tie up your CPU or disk drive by playing large sounds during clipboard events. 8-16KB is a good size.


Database

Database (Overall Properties)
Return to Introduction
Here is where you control what databases you want to connect to when ClipMate starts. By default, every ClipMate installation creates a database called "My Clips", stored on your local hard drive, set for single-user mode.
But you can add others, if you like. The most popular use for this is to enable multi-user sharing on a network. Other users may have secondary data sources on ZIP disks, or CD-ROM. Or you may want to keep old databases available for occasional use. Whatever the need, ClipMate can probably handle it.

Database Definitions
· Each database is listed here. The checkmark determines whether it will be loaded at startup or not. The individual fields are explained in detail on the Database Properties dialog.
· Add Button - creates a new entry and edits with the Database Properties dialog.
· Edit Button - edits the current entry with the Database Properties dialog.
· Delete Button - deletes the current entry.
· Open Folder In Windows Explorer - uses Windows Explorer to open the directory. You'll likely see the list of database files. ClipMate 6 uses a series of .DAT (Clip and COLL headers), .IDX (Database Indexes), and .BLB (The actual data) files. You'll have about 22 of them. If you have files ending in K, those are backups left over from database cleanup or repair, and can be deleted.

Database Maintenance
· Internal Backup Interval - how often to invoke the built-in database backup routine.
· Set Offline Daily - use this option to cause ClipMate to close the databases, to allow external disk utilities (backup programs, antivirus, compression, defrag, etc.) programs to access the database without running into "file in use" issues or errors.

About our database:
We're using the award-winning DBISAM by Elevatesoft. DBISAM is small, fast, and can scale to handle dozens of simultaneous users and thousands of clips.
built

Also See: Database Maintenance for detail on running backup, restore, and repair/compress.


Database Properties

Individual Database Properties
Here are the properties of the individual database definition(s). Think of it as an address book entry, that tells ClipMate where to find a database, whether to load at startup, whether it is multi-user, etc..

· Title - Title of the database. Shows up at the top level of the collection tree.
· Directory - path to the database. Must be on a local drive, or network drive mapped to a drive letter. You must have read/write access to the directory and files.
· Auto Load Data Source At Startup? - If a database is seldomly used, or is not available right now, you can tell ClipMate not to load it. (Beginning with v6.2, you can dynamically load any database after ClipMate has started.)
· Multi-User? - are other users updating this database at the same time that you are? If so, you should set this option.
· Allow this user to backup the database? - turn this OFF to suppress the weekly backup reminder for this database, while still allowing local databases to be backed up. See Database Backup
· Read-Only - This prevents ClipMate from trying to write or save any data into this database. You must have at least one "read/write" database though.
· Trashcan Retention Days - How long to keep items in the trashcan before deleting? 7-30 days are recommended. Setting to 0 won't necessarily make ClipMate more efficient, due to database allocation issues.
· Purging and Aging - This applies to the scheduling of the Overflow and Trashcan processing. If you are sharing this database on a network, you should have only ONE user set to perform this option. Otherwise, you have the choice of running this maintenance during startup, at shutdown, or continually (runs an hour after the last user activity). Most users should choose the "at startup" option. But if you keep your system up for weeks at a time, and process a lot of data, then perhaps the Hourly option is for you. You can also leave the automatic clean up turned off, and run the cleanup manually.
· Temp File Location - The database needs to open a few "temp" files, and this setting determines where they go. They can be placed beneath the database directory, in the directory identified as "TMP" in your system settings, or right in the program directory (\program files\clipmate6\temp). Prior versions of ClipMate 6 always stored those files system "TMP" directory, but some users ran into trouble, usually from "cleanup" programs that were clearing out the TMP directory. So now we have 3 options. You should use:
1. Database Directory - Best option - use unless the database is on a slow device (compact flash, CD, or network). Don't use this option if the datbase is on a network.
2. System TMP - Good performance, but can cause problems at windows startup (you'll see errors mentioning the temp directory) if other utilities are busy clearing out the temp directory while ClipMate is opening the databases.
3. Program Directory - use if the other two don't work for you.

Also See: Overall Database Settings Page.


Database Backup
ClipMate's database is very robust, and it can recover from many different types of problems. But you still need to make backups. If Windows crashes and trashes the part of the hard disk where ClipMate's database resides, your data will be gone. If a virus infects or destroys the database, your data will be gone. If your hard drive fails because the manufacturer engineered towards capacity instead of reliability, your data will be gone. (Note: we've recently noticed a trend in warranties from major hard disk manufacturers. Instead of a 3-year warranty, they are now changing to 1 year. What does that say about the future of hard drive reliability? Quite a lot, we think!)

We hear from customers EVERY DAY, who are rebuilding their systems due to hard drive failure, virus attack, theft, etc... You name it, we've heard it.

ClipMate's Backup Solution
ClipMate has a built-in ZIP-based backup facility, which will backup your database(s). Since the backup can take several minutes on large databases, it is not set to run automatically. Instead, it will prompt you at startup to let you confirm the location. If you don't want to backup, just click Cancel. Otherwise, click OK to start the backup. Each new backup file has the date in the filename, so you can keep several generations in the same directory. Here's an example file of the "My Clips" database, generated on October 16, 2002: D:\backups\ClipMate6_DB_My Clips_2002-10-16.ZIP

When to backup?
By default, it will prompt you to perform a backup every 7 days. You can change this in the Database tab of User Preferences, and also on the backup confirmation dialog. Backups normally happen as ClipMate loads - but you can also manually invoke backup by going to File | Backup Database.

Manual Backups?
You can run the backup manually, with File | Database Maintenance | Backup Database.

How do I get rid of the reminder message?
If you do NOT want to be prompted to perform the backup, set the "reminder interval" to 9999 days, or 0.

How do I have the backup run unattended?
On the backup confirmation dialog, there is an option to automatically OK the dialog. Enable the option, and set the countdown to 2 or 3 seconds. This still gives you enough time to intervene, if needed. Clicking on any control on the confirmation dialog cancels the countdown (but you can still click OK manually), allowing more time to make changes, or abort the operation.

Where to backup to?
If you back up to the same hard disk that has everything else on it, then you are still vulnerable - so you should consider backing up to another hard disk if you have one, or else transfer the resulting .ZIP file to CD-R, ZIP disk, etc.. For example, run the backup into your My Documents folder, but every month, burn the most recent backup onto a CD.

Multi-User Considerations? - you should not perform backups on databases that are being actively written to by multiple users. And you should not have everyone being nagged about backing up the group database every week. So there is an "Allow User To Backup This Database" option in the Database Properties dialog. Turn it OFF for everyone except the one user that you designate to run the backups. Unless you have a server-based backup solution (tape, etc.), in which case you set this flag off for all users.

What gets backed up?
All database files - .dat, .idx, .blb files, located in the data directory of any given database.

What about the old files?
Old backup files are currently not automatically deleted - so you should periodically delete unwanted backup files. If you will have need for archival data, you should consider keeping one backup from every month for several months, then maybe one for each end-of-year.

What if I have my own backup solution already?
Great! Just include each database directory in your regular backup scheme. Use the "Set Database Offline" option to schedule some ClipMate "downtime" to correspond to the backup schedule, so that ClipMate's databases will be "closed" when the backup program tries to access them.

Also See: Database Restore


Database Restore
Starting with v6.2, you can use the built-in database restore function. Use File | Database Mainteance | Restore Database, select the backup file (ex:ClipMate6_DB_My Clips_2002-10-16.ZIP), and it restores it into the current database.

IMPORTANT: If you have multiple databases defined and active within ClipMate, you should first select a collection within the database that you want to restore to. That sets this database as the "active" database, which will be the restoration target. There is a confirmation dialog box that will confirm the name and directory of the target database. It will warn you if the database name and backup filename do not appear to match.

Special Considerations For Database Restore:
· Preserve Interim Data - Let's say that you have an old backup that you want to restore, but don't want to overwrite your existing database. In that case, you should create a new database, activate it, and restore the backup into the second database. Then you can either continue to use both, or move important clips from one into the other, and then jettison the one that you don't need.
· Backup before you Restore - if you aren't sure that your old database is going to leave you in a better state than you are currently in, you should backup your existing database first before overwriting with the old backup. Since the backup files are dated (date in the file name), don't worry about overwriting the good backup file with a newer one.

Note: In versions prior to 6.2, you would simply use an UnZip program to extract the database files from the backup archive, into the database directory. In some situations (e.g. ClipMate won't start due to corrupt data), you may have to resort to this technique.

Also See: Database Backup


Application Profile
Application Profiles prevent ClipMate from being overwhelmed by a mountain of data that you don't want. Many applications can present the same data in a number of ways, such as Text, Rich Text Format, Bitmap, Picture, OLE, etc. Microsoft Excel, for example, can provide the same data in 21 different formats. This is wasteful of both time and space, so you definitely don't want to capture EVERYTHING.
ClipMate's Application Profiles allow you to determine which formats to capture, on an application-by-application basis. It will examine the data that is presented the first time that you copy from any application. When ClipMate sees a new application, it will build an entry in the list of Application Profiles, and record every format that it sees. It will then make assumptions regarding the data, and choose some default settings. You can override the settings at any time. For example, if you see that ClipMate captures Text, Rich Text Format, and Picture from your word processor, and you only need Text, then you should turn off the other formats to save storage space.

The Application Profile Dialog
Found in the User Preferences dialog, the Application Profile consists of a collapsible tree, with the names of the individual applications at the top level. Click to expand, and see the formats that ClipMate has seen from the application. Think of the applications as the "branches", and the individual data formats as the "leaves".
You have checkboxes at each level. Turn off a checkbox at the application level, and ClipMate will ignore all data from that application. Turn off at the data format level (leaf level), and ClipMate will ignore that data format, from the corresponding application.

As you select the branches and leaves, there may be hints appearing in the box to the right, if we have any particular guidance about certain applications or formats.

Note: This used to be represented in two separate lists, but was somewhat confusing, so it was re-written as a tree representation in ClipMate 6.2.

Fine Tuning / Diagnostics
You can use the Capture Special and Trace Paste features to see what applications are actually necessary to have in the Application Profile. For more information, see Trace Paste.

See:
Understanding Clipboard Formats


Edit Rules
Appending
When ClipMate Glues two Clips together with the Append command, you can control what goes between the individual Clips as they're combined. By default, a line-feed is inserted, but you can also use a tab character, or any other displayable character or set of characters. Use \t for tab, \n for line break.
If you select the Strip Trailing Line Feed option, ClipMate will look to see if the preceding Clip already has one or more linefeeds (this is common) and will remove them.

HDROP Expansion
When you copy from Windows Explorer, there is a format called HDROP that enables cut/copy/paste within Explorer – and possibly other applications that make use of the HDROP. But there's no human-readable listing of the files. However, there IS a listing of the files buried inside of the HDROP data.
Under the Edit menu, there is a command to extract the filenames and make a new TEXT component of the data.
If you find that you always want the TEXT to be generated automatically when HDROP is encountered, select the "Automatically expand HDROP…" option.

Automatically Change Clip Titles?
Normally, the clip title is made from the first 50 characters in a text clip. If you edit the clip, do you want the title to change, or stay as it was? Here is where you set that preference.
Note: If you manually enter a title for the clip with the Rename Title command, then that title will "stick", and the clip title will not be automatically updated due to editing, regardless of this setting.


Printing
Here is where you control ClipMate's printing engine. For your convenience, a preview is provided, and it will react to changes that you make. It always simulates printing the currently selected clip, so if you want the preview to reflect a bitmap, then choose a bitmap clip before bringing up the dialog.

By default, the printed page contains lots of useful information. It shows the "creator" of the clip (which application it came from), the clip title, the source URL (if it was captured from Internet Explorer), the timestamp of when the clip was captured, and on the footer, it shows the current date/time.
You can suppress the header or footer information, and you can add some additional text to the footer, such as "Printed by Mary B., in Document Prep.".

ClipMate can print either TEXT or Bitmap data, but not Rich Text Format, other graphics formats, or specialized formats.
Note: There is an interesting exception though, because HTML can be printed by viewing the HTML clip in the editor, right-clicking, and print from the right-click menu. This uses Internet Explorer's native printing support.

Here are the settings that you have:

Override Default Printer and Orientation
Here you can pick a printer from your list of installed printers, so that ClipMate always chooses a particular printer, and ignores the Windows Default setting. This is handy if you always want to route ClipMate reports to a particular printer, with a particular orientation.

Print Header?
Select to print a header containing the clip title, date/time of capture, source URL, and creator (where the clip came from). You can optionally set a title for the report, which defaults to "ClipMate Report".

Print Footer?
Select to print the footer containing the page number, the current timestamp, and some optional text. Some users use the optional text to identify the workstation or user printing the data, so that they don't need cover sheets on their network printer.

Automatically print screen shots?
Here you can have ClipMate output all screen shots captured with the PrintScr key, to the printer. Just like the good old DOS days!

QuickPrint
Normally, ClipMate will show a "print setup" dialog when you print, giving you the opportunity to select a printer, or view the Print Preview. If you don't need to see that, turn ON QuickPrint, and this step is bypassed, and the job prints without further interaction.

Font
Choose the font used to print TEXT clips. Tip: try to use a mono spaced font like Courier New. And try to keep the size small enough so that the data does not wrap prematurely by hitting the right margin before it reaches the line length in the original document.

Margins
Specify the margins in inches or CM. Note that if you switch back and forth, the conversion is made automatically. ex: 1 inch becomes 2.54 CM.

Update Preview
This button updates the preview to reflect any changes made to the settings.

Preview Toolbar
Here you can interact with some controls that the Print Preview provides. You can enter Print Setup from here, step through the pages of the job, and zoom.

Advanced
Here you can override the bitmap color depth. Only adjust if you are having trouble printing large bitmaps.

NOTE: While ClipMate can print a clip that spans multiple pages, it cannot print multiple (small) clips on a single page. This capability may be re-introduced in future release.


Advanced
Startup Delay
Causes ClipMate to pause for a set number of seconds before initializing. This can prevent conflicts with other applications during system startup, such as when two applications try to insert themselves into the Clipboard chain at the same time.

Capture Delay
Cause ClipMate to pause for a short time after you copy data, to let the copying application finish the copy operation. This avoids ClipMate "stepping on the toes" of the other application. Usually, 250 milliseconds (1/4 second) is plenty, but if you have large, complex applications, a slow computer, or are copying very large data types, then you can increase this time to avoid getting the "Can't open Clipboard" error messages.

Settle Time Between Captures
This setting defines the minimum amount of time to wait after capturing an item, before accepting new items. If you are experiencing missed copies when copying data in rapid succession, especially from macros or other automated programs, you can try to compensate by adjusting this setting to a shorter delay. Beware though, as it may cause conflicts with other applications that do not release the Clipboard quickly after copying.

PowerPaste Delay
Sets the delay period between when you paste an item and the re-load of the next item. If PowerPaste is having trouble, you can slow it down a little perhaps giving your target application time to process the data.

Pay Attention To Clipboard Ignore Flag?
This can be used to have ClipMate ignore updates from other clipboard-enabled programs, which wish to have ClipMate ignore their updates. Sometimes you need to turn it off, to solve certain bugs with other programs - contact tech support: support@thornsoft.com.

Use Internet Explorer To Display HTML?
ClipMate uses Internet Explorer (4 or later) to display HTML data internally. If you don't want it to display HTML, or if you are having problems with your internet connection failing to hang up when you close IE, you can try turning this off. The change will take effect upon restart.

Pre-Load IE Cache?
This has to do with displaying images in HTML. During testing of v6.0.06, we determined that pre-loading the cache did not seem to have any effect so we turned it off, but left this setting here in case we need to turn it back on.

Enable Auto Capture At Startup?
Normally, ClipMate captures everything. But if you don't want it to, you can turn it off here, and it won't be enabled the next time you startup.

Enable Cached Database Writes?
For performance reasons, ClipMate's database caches updates. Turning this option off guarantees that all database updates are immediately written to disk. However, you'll notice "disk chatter" and a slight delay, with every update. Only turn this off if you experience frequent crashes which lead to data loss.

Collection Menu Style
This will cause the Collection Menus to either scroll up/down or break into multiple columns. This is only apparent if you have too many collections to fit on the screen.

Reset All Settings To Defaults
If the settings become terribly fouled somehow, this provides a way to reset all settings to their defaults. A restart is required. If you have purchased a license, be aware that this will "un-register" your copy, and you'll need to re-enter your key when you restart.
Alternately, you can press Ctrl+Shift as ClipMate loads, which also gives you this option.

Clear Application Profile
If the Application Profile becomes corrupted, you can clear it with this button. It clears all entries, wiping the Application Profile completely clean. A restart is required afterward.


Logging
When trying to troubleshoot problems, our technical support may ask you to alter the Logging options which will cause certain information to be entered into a log file as ClipMate runs. You should not normally need to adjust these settings.
The logs are stored in the primary data source directory, which can be easily opened with the "Open" button on the Data tab of the User Preferences dialog. Normally, logs are kept for a week, and they're named with the creation date.


SpellCheck Configuration
You can configure the spell checker if you have the Check Spelling dialog open (usually when you're spellchecking a clip), or you can right-click within the editor, and select Spellcheck Configuration. You can also use the Config | Spellcheck Configuration menu.
Most of the options are self-explanatory.

Downloading Additional Dictionaries
Most of what you will use the dialog for is for selecting Dictionaries. If you speak something other than "American English", you will likely want to download an additional dictionary. We have a link here:
http://www.thornsoft.com/dictionaries.htm

Just download the dictionary, unzip with a tool such as WinZip, and place the resulting file(s) into the same directory that ClipMate is installed into (typically c:\program files\clipmate6). Then use the dictionary configuration dialog to activate it (and perhaps de-activate others). You can have multiple dictionaries in effect at the same time. For example, you can have the British and Legal dictionaries both active, if you happen to be a British Lawyer.

Thesaurus
The Thesaurus is a separate file, downloadable from our web site. http://www.thornsoft.com/dictionaries.htm
Just download, and place in the ClipMate6 program directory (typically c:\program files\clipmate6). If you have the CD edition, you can just copy the file (roget.adt) from the Dictionary directory on the CD.
Once in place, you can right-click on any word in ClipMate's edit window, and use the Thesaurus function.

Custom Dictionaries:
As you "add words" while spell checking, words will be added to your custom dictionary. The custom dictionaries are interesting in that you can have multiple dictionaries, and if you have an MS Office dictionary installed, it will be included in the check – but cannot be added to or edited. Your ClipMate dictionaries can be edited, however, and you can even include "auto-correct pairs", so that common mis-spellings like "hte" becomes "the".
To access the custom dictionary configuration, and to edit the dictionary contents, select "Dictionaries" from the main Dictionary Configuration menu.

Auto-Correct Dictionaries:
Do you often type hte instead of the? If you use ClipMate's editor to do a lot of typing, you can install one of the auto-correct dictionaries. You may need to "train" the editor for specific words, by using the regular spellcheck dialog box, and clicking the auto-correct button. Then, the editor will auto-correct that mistake as you type.

Location:
Typically, the standard dictionaries will reside in the program directory (where ClipMate is installed into) and your custom dictionary will reside in the data directory.


Database Maintenance
From time to time, you may need to perform some database maintenance. There are some checks made at startup to detect and correct database corruption (the sort that can occur in any database if the power gets cut at just the wrong time, or if Windows crashes during a buffer write). And as clips are deleted from the trash, the space is automatically re-used by new clips.
But you may wish to occasionally perform a thorough database check and compaction. We now have two options - the one that is built into the database engine, and one that we've recently built ourselves.

Comprehensive Database Repair
This is our new database repair function, technically known as a "database reorganization". This routine actually creates a new database (in the same directory), and copies all of your (valid) data into it. It will take several minutes to run, especially on large databases. If you find that you have database-related errors, or notice that your database directory or backup files are unexplainably large (ex: 100MB when you only have 100 clips), then run this function to clear it up. You'll find it under File | Database Maintenance | Comprehensive Database Repair. A database backup is automatically initiated at the beginning of the process, to avoid data loss should problems arise during this lengthy operation (such as a loss of power).
This routine will also empty the trash, and takes care of any database fragmentation issues.

Verify/Repair/Compact Database (legacy)
This is the repair function built into the database. We're leaving it in "just in case" we run into situations where our new routine can't deal with a particular situation.

Run Cleanup Now
This causes the purging and aging process to run right now, moving old clips from collections that have reached their "retention limit", into the Overflow. Then it purges the Overflow collection into the trash, if it has also reached its own retention limit. You may need to refresh any given collection (including Overflow) to see its actual contents.
The cleanup usually runs at startup, shutdown, or it may do a little bit during long periods of idle time. Occasionally, this can cause slowdowns or delays in startup/shutdown, so you can turn off the automatic cleanup, and just do it manually as required.
See Database Properties to see how your automatic database cleanup is configured.

Backup Files
As you run the database maintenance, a set of backup files may be created in the database directory. Each file in the data directory ending in a "K" is the backup. For example, BLOBTXT.BLB gets backed up to BLOBTXT.BBK. These files will be automatically deleted after two days.
Note that these do NOT mean that you no longer need to make regular backups of your data. This is just a safeguard in case the database maintenance is interrupted, or has some sort of unforeseen problem.

Exclusivity
Database maintenance requires exclusive access to the database files If you are in a multi-user environment, sharing a common database, then you need to have all other users close ClipMate (or de-activate the shared database). ClipMate will let you know if it attempts to perform database maintenance and cannot continue.


Clipboard Diagnostics
This dialog box gives useful information when troubleshooting problems such as when ClipMate fails to capture new data, or when PowerPaste seems to "go crazy". Since ClipMate 6 can automatically detect and repair broken clipboard connections, this dialog is not as important as it was in previous versions. But it may still be useful, so we left it in.

General Tab
This tab has many boring, boring, setting that are useful only to tech support. A couple of mildly interesting ones are:

Application That Last Updated Clipboard
Shows which application has most recently updated the Clipboard. This can be useful when trying to determine where a particular update is coming from.

Formats Currently On The Clipboard.
This is a list of formats that are presently available on the Clipboard.

Connection Tab
ClipMate relies on "clipboard event notifications" to detect new data being copied to the clipboard. Usually, this works just fine. But sometimes a mis-behaving application will interfere with the notification, and ClipMate won't be properly notified of new data. So that's why we need the tools on this screen.

Applications in the Clipboard Chain
These fields show the name of the applications (if they can be determined) of the first application in the viewer chain, and the one immediately following ClipMate. In case ClipMate has been recently cut-off from communication, this information, especially the "First Application", may be valuable in determining which application may have severed the connection.
Note that whenever an application registers itself to use the Clipboard chain, it is placed in the first position.
If the "Next Application" shows "ClipMate", then there is a serious problem, likely a "loop" in the chain. You'll need to re-start ClipMate to cure this.

Beep On Clipboard Update
This is a diagnostic aid that causes a beep to sound when ClipMate detects a Clipboard update - this includes ClipMate's own Pings. It also includes Clipboard erasures.
It is useful if you're trying to detect ping failures, as it gives an audible "ping, ping, ping" to let you know of ping successes.
It is also very useful in detecting when applications cause multiple Clipboard updates, as they're copying data. Ideally, when an application copies to the Clipboard, they're only causing one update - but if they are causing multiple "hits", this will let you know.
As useful as this is, it becomes annoying quickly if you're not troubleshooting - so we don't save this setting from session to session.

Ping Clipboard Now
Causes an immediate ping, displaying the results. It should return an "OK" message, listing a short time interval (0ms-100ms is normal). If it times out, then the connection is likely broken.

Re-Establish Clipboard Connection
This will remove ClipMate from the Clipboard chain at its current position, and re-insert it at the front of the chain. This will virtually guarantee that ClipMate will again be communicating with the Clipboard, but it doesn't guarantee that other applications may not have been severed, as well.

Enable KeepAlive
This is the new feature in ClipMate 6 that allows the auto-detect, auto-correct. Basically, if the connection is severed, ClipMate will detect, and correct. You'll be notified of the event by a notice in the status bar. It usually works fine, but if you find that you have a "loop", where the same clip is being copied hundreds of times, the you may need to turn this feature off. Contact Support for further advice.
Note: In version 6.3, this feature has been made less aggressive, so that it does several checks first, over a period of a minute or two, before performing the "Re-Establish Connection". We expect this to eliminate the looping problem.


SQL Window
This is not an area of ClipMate that end-users will generally access. But you may be asked by our technical support people to go to this window and enter a command, to troubleshoot or correct some unforeseen data problem (data problems that ARE foreseen, have already been corrected, of course!), or possibly optimize your database for a particular data type.

Unless you've been directed here by tech support, you should probably leave it alone.
Be careful - You can easily destroy all of your data with this function.

Note: If you are using multiple databases, you should first select a collection within the database that you're interested in. That'll set the "current database", and the SQL window will know which database you want to talk to. You can see the name of the current database in the upper-left of the window.


Startup/Recovery Menu
Sometimes things go wrong with any program. And this is a way to get out of trouble when you find that ClipMate won't start correctly.

The Start/Recovery Menu is accessed by holding down the SHIFT key as you start the program. For example, if the program locks up during database logon, shut it down with the Windows task manager, hold down the SHIFT key, as you start it with the Start | Programs | ClipMate6 menu.

You should be presented with the following options:

Action | Description
Proceed Normally | Just log on normally - I didn't mean to open this menu.
Backup Database * | You will be presented with the Backup dialog during database logon
Restore Database * | You will be presented with the Restore Database dialog during database logon
Repair/Compact Database (Simple Repair) * | Old (built-into database engine) repair. Don't use this, use the nice new one below.
Comprehensive Database Repair * | Invokes the new database repair (re-org) function during database logon.
Open SQL Window * | Opens a window to operate on the database using SQL.
Abort ClipMate | Aborts ClipMate startup. Useful if you are trying to abort startup programs during windows startup (as you probably have the SHIFT held down for that reason.)
Reset Size/Position settings | Clears all size/position/font settings in the ClipMate portion of the registry. This is helpful if ClipMate has gotten into an odd location, perhaps off-screen.
Reset ALL ClipMate registry settings | Clears ALL settings in the ClipMate portion of the registry. This is particularly useful when you want to "start over", or if the database is in an inaccessible location, such on a network drive that doesn't exist anymore. Note that no data is removed by this option - but ClipMate will "forget" where the database resides. You'll be prompted for a new database location when you re-start.
Open LOG Directory | Just opens the directory where the log files reside, then aborts. Useful if tech support asks for the log files.
Open DATABASE Directory | Just opens the database directory, then aborts. Useful for any sort of manual database maintenance (in other words, not very useful).

* These options will be invoked once for each database. For most users, this means just once, for the MyClips database. But if you have multiple databases defined, each one will trigger this action as the logon occurs.


Searching
ClipMate has a powerful, SQL-based search engine which can quickly retrieve clips based on several criteria such text appearing in the title, body, creator name, or source URL. It can filter by data format (text, HTML, Bitmap, etc.), date of capture, and whether the clip is encrypted. You can save queries for re-use. And if the provided search criteria isn't quite what you need, you can enter queries directly as SQL (this will obviously appeal more to people who know SQL already!)

To begin a search, click on the search icon on the main toolbar, use the View | Find menu, or the Ctrl+F shortcut key. You'll be presented with the ClipMate Search dialog box. There are two major sections to the dialog.

The "Clips Containing" section lets you search on particular text occurring in various fields of the clip. If you leave them all blank, then it will return all clips that aren't filtered out by the filtering criteria.

The "Filtering Criteria" section narrows the search further by first looking for certain criteria, such as date ranges, data formats, collection membership, etc..

Both sections are optional. If you don't specify anything, then it'll return everything.

Clips Containing
Enter some criteria in the Clips Containing... section.
You can specify the search criteria using 3 different methods:
· Whole Keywords: Enter whole words, separating by commas.
· * Wildcard: Use the * at the END of any keywords, such as: POWER* to return any instances of Power, PowerPoint, Powerful, etc.
· % Search String %: Can be used anywhere in the search string. For example, %ow% would return Powerpoint, lawmower, cow, own, etc.. %Winter Olympics% would return anything with Winter Olympics in it, as would %winter olympic% or %win%oly%.

Note: For those of you familiar with SQL, the % uses the "like" operator.

Keyword Highlighting: The keywords specified in the search criteria will be passed along to the Keyword Highlighting feature (new in 6.1). Any % or * operators will be removed.

Filtering Criteria
If you want to narrow the search to data of a particular format, date, etc., use the Filtering Criteria. The dates are considered 12:00AM (Midnight), so if you want to find items captured today, use the "captured after" = today's date. To find yesterday's clips, use captured after = yesterday, and captured before = today.

A new feature in v6.1 is the ability to narrow the search by collection. This can also dramatically speed up long-running queries on the Clip TEXT field. 6.1 also has a filter for "shortcut" clips.

Performance Note: Expect searches that use the "Clip TEXT" to run longer than searches on other fields, due to the sheer amount of data that must be processed. So be sure to narrow the search by filtering on collection and/or dates, to avoid having to process each and every piece of text.

SQL - If you want to make a really "hard core" search, you can edit the SQL directly. Click on the little "twistie" arrow on the SQL bar, and the window will expand, to show the SQL. Notice how it reacts to the various checkboxes and other input controls. You can go "out of bounds", if you know how. We expect to publish our database layout in the Support area, at the ClipMate web site.

If you want to re-use this query, you can do so with the Save/Recall section. The buttons are self-explanatory. For more details see:
SQL Search Panel
Wildcards

We have an online "viewlet" that will SHOW you this function as a live, online demo. View it online.


Wildcards
Use the * symbol to search on partial matches - but only at the end of a word.
Ex: comp*
would return complete, computer, compliment.
Separate individual keywords with commas. Enclose literal strings in double quotes.

Or, you can use the new "like operator" symbol: %
This can be used at the beginning or end of the search string, such as %ow% would return Powerpoint, lawmower, cow, own, etc..
You will usually use the % at each end of the string. Or, within the string.
Such as %y%mate% would find "Try ClipMate", as well as "my roommate snores".

Both options are case insensitive (not sensitive to case).


SQL Search Panel

SQL Searching
Here is the actual Structured Query Language (SQL) that is passed to the database.
You can edit it manually, to perform searches that aren't covered by the options above.
This should only be used by users who have experience with SQL.
The layout of the ClipMate database will be documented and available online at
http://www.thornsoft.com/support


Data Management
Although many users will only ever need to store data in their InBox, many users find that they want to keep important clips for longer periods of time, and that it is convenient to categorize them. So we allow you to create other "collections" for various projects or topics, where you can keep clips as long as you'd like. Whether you only need to keep ten clips or ten thousand, you need to understand how collections work, and how they interact.

You have three collections which are created by default:
· InBox - This typically holds your 200 most recent clips. As it grows past 200, old clips are trimmed off and sent to Overflow.
· Overflow - Holds the most recent 800 clips that have been trimmed from InBox, or other collections that use length-based retention.
· Safe - Move important clips here so that they won't be deleted by the aging process.

And there is another collection called the Trashcan. It's not really a collection, rather it is a database query of clips that have been marked for deletion. You see, each database has a rule that says how long clips can remain in the trashcan before they are permanently deleted. The default is 7 days, so you can go back and rescue clips from the trashcan, if you want to.

Note that the "overflow" mechanism is new to version 6. In prior versions, the "trimmed" clips were lost for good. And the trashcan was only good until you closed the program.

So let's consider the journey of a clip. Typically, it will be captured into the InBox. 200 clips later, it gets moved into Overflow. Another 800 clips, and it winds up in the Trashcan. Where it is finally deleted 7 days later. Of course, you could intervene at any time, and move it to another collection with different attributes (such as "safe" or another collection that you have set up.)

Note that you can cut short the time that clips spend in the trashcan by using the File | Empty Trash command. We designed the data handling so that you would never need to do this. However, some users will want to keep a clean trashcan, so we've provided a way to do that.

Also, consider that you can capture directly into any collection, as long as you have it set to "accept new clips". When a collection is active, and you copy new data, the new clip will either go into that collection, or if you have set the "garbage avoidance" feature on that collection, then it will "bounce" to the InBox. If you are working on a particular project, such as gathering research on a particular topic, you will probably want to capture directly into that collection. Or, you can just let it accumulate in the InBox, and selectively move the data over when you're ready.

Note that the Overflow and Empty Trash processes can be configured to run at startup, shutdown, or after an hour of inactivity. See: Database Properties Dialog for more information.

For more information see:
Database Properties Dialog
Collection Properties Dialog
Multi-User Databases
Database Maintenance


Using Collections Effectively
One of ClipMate's most powerful features is the ability to create "Collections" to organize your data by various topics, categories, or projects. By default, ClipMate builds three collections for you: InBox, Safe, and Overflow. But you can define many more to suit your needs, such as for special projects, or organizing data by type, such as Clip Art, URLs, Jokes, Frequently Asked Questions, etc.

Note that by default, the InBox collection keeps only the last 200 items, and then they move on to Overflow, then the TrashCan, and eventually they are deleted. If you want to keep items for a longer period of time, we recommend that you move them to another collection such as "Safe", or another collection that you set up by topic, project, etc..
You can have dozens of collections defined, and you have dozens of colorful icons to choose from, to represent your data topics and categories.

To make a new collection, use File | Add New Collection. Unless you want it to be a "child" of the current collection, select "at top level of the hierarchy", for the placement. Then you will use the Collection Properties Dialog to configure the collection (use the "never" purging rule to make it a "safe" collection) and select an icon (don't forget to select the icon - they're nice!)

Now you can use drag 'n' drop, or the Move/Copy toolbar buttons or the Edit | Move/Copy menu entries to place your important clips into your important new collections.


Exporting
Allows you to export selected Clips to files. Only TEXT and Bitmap exports are supported, and Bitmaps can alternately be exported as JPEG files, which reduces their size considerably, making them suitable for E-Mailing.

Note: This is NOT useful for migrating or backing-up ClipMate data. This is a one-way export, and you cannot re-import the data - it's useful for making .TXT, .BMP, and .JPG files, for use by other programs.

See: Export Dialog Box


Export Dialog Box
Export Directory
This is the directory where ClipMate will put the exported files. Use the Browse button to select a new directory

File Naming
This gives you the option to control the names of the exported files. You can have it number the files sequentially, use the serial numbers already in the Clips, or use the title of the Clips.

Save BITMAP as JPEG
Most Clipboard images are Bitmaps, which are notoriously large. If you're going to be making graphics for a web page, or sending via E-Mail, then you want to save as JPEG, which has a high rate of compression. There is some reduction of image quality, but for things like screen shots, the compression savings are well worth it.

Erase Directory Contents Before Exporting?
This gets rid of any old files from previous exports, before exporting the new files.

Open Export Folder When Finished
Opens the folder in Explorer, so you can start working with your exported data right away, without having to find it yourself.


Multi-User Databases
ClipMate can share data on a network in a workgroup setting. Although each user should be directing the bulk of their clips to a database on their local hard drive, you can set up a secondary database on a network server (or somebody's shared directory) for everyone to use for sharing clips. This can be as simple as a single user wanting common clips on multiple machines, or you can think much bigger. Consider a tech support or document assembly department able to share common boilerplate clips on the network server.
Previous versions of ClipMate allowed this as well, but it didn't provide for multiple users making updates to the same collection. Whichever user updated the collection last, would wipe out any work done by other users. But with our new database technology, you CAN allow multiple users to add or update clips in the same collection. Additionally, you can opt to have ClipMate poll the database for changes made by other users, and notify you.

To set up a multi-user database, first you must establish a network directory, accessible by a drive letter, to which all users have read/write/create access. (Note that this has been tested on Windows2000/XP networks, but not Novell)
Next, have one user create a new database in that directory, using the Database Tab in the User Preferences dialog. Set the directory as appropriate, and select the option for "multi-user, networked database". Select a user name for this user - it can be their login name, first name, or whatever you prefer. Use the Read-Only checkbox to limit access to users who you wish to restrict.
Important - every user must have read/write access to the directory.

In a multi-user environment, each user should have their own local database as well. You do not want Sara's Excel copies to slow down because Tom just copied a bunch of PowerPoint slides. Instead, users should copy everything locally, and then move important clips onto the network. On the other hand, if you are the sole user of a computer empire in your basement, and want the same clip available at each computer, then you may very well want to just have a single, networked database.

Also, in a multi-user database, you probably want to avoid having collections like "inbox". You should instead set up meaningful collections, by topic, project, or purpose. Such as "Tech Support", "Policies", "Stocks", or "How To". Set them all to be "safe" collections. And you may want to turn on the Garbage Avoidance, so that if anyone is "sitting" on a collection, and they forget, then the collection won't fill up with their garbage. Instead, it'll "bounce" back to their own InBox.

Refreshing Networked Data:
As users add data to networked databases, each user will see the new data when they switch collections. So if Joe puts a new tech support bulletin in the "Tech Support" collection, then Mary will see it when she switches to that collection. If she is already viewing that collection however, she can use the File | Refresh Collection, or click on the "network update" icon that appears in the status bar when the new data is detected (this is available if the "polling" option is used).

Exclusive Access:
New versions of ClipMate may need to gain exclusive access to the database to perform upgrades to the table structures. This will require exclusive access to the database. Check the readme.txt file of any update to version 6.x, to see if there are database changes that will require exclusive access. If so, you will need all users to shut ClipMate down while you perform the maintenance. The same applies if you perform other database maintenance.

Shutting Down:
If you are going to shut down the server or PC that is hosting the database, you should close ClipMate on the other workstations first, because they may hang if the networked directory is not available when they log off.

Tech Tip: There is a table in the database called "users", which keeps track of the individual users in the database, for purposes such as identifying the creator of a clip, or for notifying users of updates. You can view the current state of the table by going to the SQL window, and entering this SQL:
select * from users;
Or for a fancier report showing which clips were created by which users:
select users.username, clip.timestamp, clip.id, clip.title
from clip, users
where clip.user_id = users.id
order by users.usernam


Understanding Clipboard Formats
The Windows Clipboard can simultaneously hold the same data item in many different formats. To ensure compatibility and interoperability with as many applications as possible, most software packages will provide data in several formats. There are extreme examples, such as Microsoft Excel, which often provide as many as 21 Clipboard formats, representing the same item of data!
Analysis shows that not all formats are viable, once the host application loses ownership of the Clipboard. Many of these formats simply evaporate, and others become invalid.

Furthermore, many of these data types become quite large and can quickly become a drain on resources. For example, if you copy a screenful of spreadsheet cells you could end up with a 2MB BITMAP and a large PICTURE drawing of your cells, along with your textual data!
To top it off, many of these formats aren't usually provided at the time of the copy. Instead, applications will simply inform the Clipboard that they CAN provide these formats. Think of it as a sort of "advertising". When an application actually asks for the data in a particular format, the Clipboard informs the host application that the particular format is requested, and the host application then provides the data. This process is known as "Delayed Rendering", and can cause ClipMate to appear to dramatically increase the time needed to copy data.

So far, it sounds like a lot of bad news. Will ClipMate's new features bury you in data that you don't want, and make it take longer to copy data? The answer is NO! ClipMate's Application Profile facility allows you to determine what formats will be retained, and which formats will be ignored. The filtration can be defined globally, or by application by application, to give you the flexibility that you need.

More:

TEXT
BITMAP
PICTURE (Metafile)
HTML Format
HDROP
Rich Text Format
Private Formats, such as WordPerfect
OLE (Object Linking and Embedding)

Conducting The Format Viability Test


TEXT Data Format
An array of character data with a hard return (carriage return + linefeed) terminating each line, with no associated font, size, margins, or other formatting.

There are some close relatives - OEMTEXT, which is usually the same as TEXT. There is also UnicodeText, which may seem the same, but is a double-byte string, and is well suited for double-byte character sets used in Asia and the Middle East. ClipMate can copy and paste Unicode without any trouble, and can even display it in the editor. The ClipList though, will have trouble displaying it. Unicode is a very good idea, but is only available on Win2000 and XP, so it's not as widely used as it could be.


Bitmap Data Format
A graphic image composed of individual pixels, or dots. ClipMate can handle bitmaps of any number of colors. When displayed on a video adapter capable of displaying 256 colors, bitmaps are often accompanied by a palette, which optimizes the colors of the display to enhance the image. When running 16 or 24-bit video cards with proper drivers, a palette is not needed and is not usually present.
Bitmaps are often used for very complex images originating from the real world, such as photographs.

Bitmaps are common in Windows, and can be created by the Paintbrush program that comes with Windows.

Note: The DIB format is very similar to Bitmap.

Note: Bitmap is the universal interchange format for any type of photograph, screenshot, etc.. Tiffs, Jpeg, GIFF, etc., are all copied and pasted with the Bitmap format.

Note: ClipMate stores the bitmaps internally as Jpeg, to save space.


PICTURE Data Formats
The proper name for this format is actually METAFILE. It is also called MetafilePICT, and Vector Drawing.
Metafiles are graphic images that consist of one or more common drawing objects, such as rectangles, circles, lines, and formatted text. Metafiles are most suited to human- or machine-generated images, such as architectural or engineering drawings, or Clip art. Metafiles are scalable, and they often look as good full-screen as they do when scaled down. Metafiles often contain text, with font information. This often makes them desirable for corporate logos. When printed, the image is re-drawn at printer resolution. If you have True Type fonts in a Metafile, they will look FANTASTIC when printed.

Most commercial drawing programs can generate Metafiles, and so can the OLE drawing module (DRAW) that comes with many of the Microsoft products.

Note: Windows now supports the Enhanced Metafile, which ClipMate can also copy and paste. But it will only (currently) display the regular old MetafilePict format.


RTF Data Format
Rich Text Format (RTF) is a private Clipboard format employed by Microsoft applications, to enable them to share formatted text. Several non-Microsoft packages have adopted this format as well. RTF contains all of the formatting for text such as font, size, color, margins, borders, etc. It can even contain other items, such as graphics and OLE objects.
RTF is usually very large. It is not unusual to see RTF Clipboard items of 200 - 600K in size. Also, it will usually take an application several seconds to produce the RTF format, and place it on the Clipboard. The reason that you might not notice the delay is that RTF is a prime candidate for Delayed Rendering.

Only turn on RTF in the Application Profile if you need the formatting. If you don't, then you can save lots of time and memory by skipping the RTF.


HTML Data Format
This format contains information about HTML fragments (pieces of web pages). Along with the portion that you copied, it also carries information about the page, such as its original source URL. If you have Internet Explorer 4 or above, you can view the HTML Format in the HTML Tab of the Preview / Edit pane.

Note that copying text and images from a web page does NOT actually copy the images. You're really just copying the HTML tags ARROUND the images. The images are not present on the clipboard. However, ClipMate can often find them in your browser cache, so that they display properly. When you paste the data into a word processor such as Microsoft Word, the images are again fetched from the browser cache, or perhaps from the original web site!

If you want to capture an actual image from a web page, right-click on the Image and select Copy from the right-click menu.


HDROP Data Format
This is a list of files, copied from Windows Explorer. It can be used to copy and paste files in Explorer. However, keep in mind that it is only a LIST of the files - not the file contents themselves. So if you copy, then delete the files, you can't paste them - you'll get an error from Explorer. So, beware.
The format is useful to ClipMate however, as inside the data is a readable list of the files that were copied. ClipMate "cracks" the data open, extracts the list of files, and makes up a TEXT representation of the list. So you can easily get a listing of files, by copying into ClipMate. In other words, when you copy the files, ClipMate derives a TEXT representation from the HDROP. To have ClipMate automatically make this conversion, enable it in the Editing Rules page of the User Preferences dialog box.


Private Data Formats
There is an established and publicized list of standard Clipboard formats, which are known as public formats. Most of the popular ones are listed above. Applications may generate their own private formats at any time. Public formats are the most useful, because they are usually supported by a wide variety of applications. Examples are Text, BITMAP, and PICTURE. Private formats, on the other hand, are generally useless to any application besides the application that created the data. Sometimes several applications from the same vendor will share private formats, which makes them more useful. Most often, the data is only useful to the application that created it.

Since most private formats are usually meant to be used only by the originating application, there is a potential hazard involved when using them. Often, these formats are just pointers that refer to data structures residing within the original application, and don't actually contain the data at all. These are transient formats. If ClipMate re-posts this format to the Clipboard at a later time, the pointers are invalid. This can cause a run-time Error or GPF in the original application. If you find that this is the case, you'll have to remove the offending format(s) from the filter for that application.

WordPerfect Text, Ami Text

These are private formats that are useful only within the originating application, but they are often useful to have, as they preserve the formatting information. If you intend to paste back into the original application, and want formatting preserved, these may work well for you. But if you want to paste into other applications, use the more widely-supported Rich Text Format.


OLE

OLE (Object Linking and Embedding)
Return to Introduction

ClipMate has the ability to store OLE objects. Simply stated, OLE lets applications that use different data formats share data without converting the data to a common format. For example, a sound object can be pasted into a word-processing document. Activating the object (double-click) can then play the sound back. Your word processor doesn't have to know how to play sounds - it just has to follow the rules of OLE. In many cases, the OLE object can be activated or edited by double clicking on it. In Microsoft Word for Windows, for example, the draw program is an OLE server. Double-Click on a graphic, and it activates the Draw program to edit the object. Within the Draw program, there is no option to save the file - instead, the option is to update the drawing in the Word for Windows document. You can do the same thing with an Excel spreadsheet object. You can actually embed a spreadsheet within a word processing document. Don't like the numbers? Double-click to edit the object in Excel. Instead of saving the Excel file, you update the Word document. In these cases, the Word for Windows document is considered to be a Compound Document, because it contains other types of data within itself.

OLE is initiated by an OLE Server copying data to the Clipboard, and then by an OLE Client pasting that data into itself. The OLE Client looks at the list of available formats, from top to bottom. If it finds an acceptable format, it just uses that format, and doesn't bother with OLE. Otherwise, it finds the series of formats that magically comprise an OLE object, and pastes them into itself, creating the object. These magic formats that make OLE happen are:

1. OBJECTLINK - Where did the data come from?
2. OWNERLINK - Which application owns the data?
3. NATIVE - The data itself.
4. PICTURE, DIB, or BITMAP - The "Presentation Format".
5. DataObject - Required for OLE2.
6. Object Descriptor - Required for OLE2.
7. Link Source Descriptor - Required for OLE2.

The Presentation Format is a special case. One of these formats is used to display the data in the client application. The nature of this depends on the nature of the OLE object. For a sound object, it would be an Icon of the sound recorder. For a graphic object, it would be a picture or bitmap of the graphic itself. Have you wondered why you get silly icons of certain applications when you're copying formatted text? This is because the application is conforming to OLE.

When defining your Application Profile for any given OLE Server (such as the Sound Recorder) make sure that you include all of the necessary formats: ObjectLink OwnerLink, Native, and a Presentation Format. By your having done this, ClipMate will capture and preserve the OLE objects. Beware that OLE objects can get quite large. If you want to enable OLE2, then you will also need DataObject, Object Descriptor, and Link Source Descriptor.


Format Viability Test
The Format Viability Test can help you to troubleshoot problems with the Clipboard and determine whether an application does indeed provide any formats that are worth keeping. Simply put, it involves using the Clipboard viewer that comes with Windows (Clipbrd.exe) to capture data, save it to a file, read the file back in, and paste it back into the originating application. There are four likely results:

1. A successful paste, with good-looking data. This indicates that there is at least one format that has what you need. All you need to do now is to figure out which format is the best, and create a filter for just that format, and maybe something that will show up in the Magnify Window, such as Text.
2. A successful paste, with strange-looking data. In this case, the application is holding back the most useful format. Microsoft Excel is an example of such an application. None of its 21 Clipboard formats are as good as an internal paste. Try experimenting with different filters, to see which format comes closest. Hopefully, something will be useful.
3. A failure message. The application tried to use one of the formats, but it was invalid. The application was smart enough to recognize this. Most likely, the offending format is a private format, used internally by the application. It probably is a pointer to some data that is now invalid. See if there are any special paste options, like Paste Special. Perhaps one of the other formats will work better. Try to use ClipMate's Application Profile to eliminate the offending format. Often, private formats will have a name that indicates the application. You need to find the best format(s) to include, and absolutely need to eliminate the offending formats by having them un-checked in the Application Profile
4. A fatal error in the application. The same case as (3) above, but the application wasn't smart enough to see the problem in time. Use the same techniques to get out of trouble.

Conducting the Test:

1. Close ClipMate, if it is running. The test will be conducted without ClipMate, in order to avoid confusion.
2. Open the Windows Clipboard viewer (the one that comes with Microsoft Windows - Clipbrd.exe or Clipbook.exe. If it is not present under the Accessories portion of the start menu, you can re-install from your Windows95/98/NT CD.)
3. From AppXYZ (your application), copy some data. If AppXYZ is a word processor, copy several paragraphs, preferably with different fonts.
4. Click on the Clipboard viewer. Pull down the DISPLAY menu, and write down the list of the formats provided.
5. Close AppXYZ.
6. Click on the Clipboard viewer AGAIN. Pull down the DISPLAY menu, and write down the list of the formats provided. Has the list changed? What's missing?
7. Save the Clipboard to a file, using FILE | SAVE AS. Call it AppXYZ.CLP
8. Delete the Clipboard contents, using EDIT Delete.
9. Open AppXYZ.CLP, using Clipboard's FILE, OPEN.
10. Has the format list changed? (Use the DISPLAY Menu to check).
11. Run AppXYZ again.
12. Paste the data. Does it look OK? If so, then we're in business. One of the formats on the Clipboard is a winner. Experiment with filters, and see what you can eliminate. I recommend keeping TEXT because it will help you to identify data and see it in the Preview/Edit Pane of ClipMate Explorer.


Automatic Update
ClipMate has an auto-update feature, where it can check our server to see if there are any updates to the program or special announcements (tips, tricks, alerts, offers) from Thornsoft.
You can enable the feature in the "General" tab of the User Preferences dialog box. When enabled, it will silently poll our server every 15 days to see if updates are available. If updates are found, you'll be asked if you want to open the update wizard, where you can download and install the updates. Otherwise it'll just reset its "next update" date to check again in 15 days.
You can also manually check for updates under the Help menu - this will also set the next AutoUpdate check 15 days in the future (but it will only actually DO the check if you have enabled the option).

Technical/Security Notes:
· No data is sent from your PC. This a read-only operation. Your PC is reading our server, deciding if we have newer files than you do, and then you are invited to download anything new, via the wizard.
· We use the standard HTTP port 80. This may fail to work in certain corporate firewall situations where proxy authentication is required.
· The connection is only one-way. We cannot, for example, "see" into your computer, even when you are actively connecting.
· Updates are downloaded into a folder called "Thornsoft_Updates" in your "my documents" folder. Typically they're setup programs, self-extracting ZIP installers, or plain just HTML files.
· Installation is optional - you can download a file and then elect not to install it. However, it may still be listed as available to download, the next time you run the updater.
· We are using AutoUpdate from ZaberSoft - http://www.zabersoft.com.

Troubleshooting:
If AutoUpdate fails to run, and particularly if it says "XML Error", then it may be having trouble reaching our server, due to your firewall. If you are running firewall software, make sure that the AUTOUPDATE.EXE program, located in \program files\clipmate6\autoupdate, has permission to contact our server using the standard HTTP port 80. If it still won't work, don't worry, it will then ask if you want to do a manual update, which takes you to a page letting you know if there is a newer version that you can update to.


Using Encryption
ClipMate uses 56-bit ARC4 encryption to encrypt individual clips. This is strong enough to keep casual "snoopers" away, as significant knowledge of both encryption breaking and program cracking would be required to access the data once encrypted. Since the data is also stored within the database in encrypted form, there are no easy "back door" methods to defeat the security by simply peeking at the underlying data files.

lock3

ClipMate's encryption is only applicable to TEXT clips. If you attempt to encrypt a graphic, it will be ignored. If you encrypt data containing TEXT but also other formats such as Rich Text or HTML, the other formats will be discarded.

Encrypting
Select a clip (or several clips) and use File | Encrypt. You will be presented with the Encryption Key dialog box. Enter a key that you can remember! And not something too simple, or with repeating characters, such as "aaaa". We recommend that you use the same encryption key for each clip, unless you have a reason to use (and remember) multiple keys.

Decrypting
When you attempt to access an encrypted clip, you will be presented with an extended version of the Encryption Key Dialog Box.
Enter the same key that you used to encrypt the clip in question. For convenience, ClipMate can keep your key in memory and use it to decrypt subsequent clips. You can specify how long to "remember" the key. When time runs out, it will then start asking you again for the key.

Note that encryption keys are not the same as passwords. With a password, either you get it right or you don't. With encryption keys, you will always have access to the data - except that it will look like garbage if you enter an incorrect key. This makes it more secure.

encrypt

Decrypting is a temporary process. ClipMate will use the key to decrypt the data, so that it can be viewed and placed back on the clipboard. But once you scroll away from that clip, the data is deleted from memory and it must be re-decrypted if you want to access it again. This will happen automatically if your key is still being "remembered", according to the time limit set in the dialog.

But let's suppose you decrypt a clip, and then paste it somewhere. But now you are going to step away from your computer. You should do several things: 1) use File | Forget Encryption Key to cause ClipMate to discard the key from memory. 2) Select another clip, so that you overwrite the clipboard with non-sensitive data. Otherwise even if you close ClipMate, the recently-pasted data is still on the clipboard!

Checksum: Although ClipMate does not keep a record of your encryption keys, it uses a 4-byte checksum to see if data has been decrypted correctly or not. If you enter an incorrect key, the checksum will fail, and the clip will not be displayed. You'll be prompted to re-enter the key. This is useful in preventing the display of garbage characters, which can cause display problems in the editor and causes some headaches for the spellchecker.
Note that since the checksum is encrypted as well (with the same key as the data), there is no security vulnerability here. An attacker will not know the checksum without the proper key, so the checksum is useless to the attacker.

Titles:
As a precaution, the titles of clips are replaced with a generic title when the clips are encrypted (unless you've already manually assigned a title with Ctrl+R). Otherwise, the titles would give away your sensitive data. So name them things like "Visa Number" or "eBay Password", which tell you what they are, without giving away the contents.

Recommended Practices: To keep prying eyes away from your data, encrypt sensitive text clips. Unless you have a good reason to use multiple encryption keys, we recommend using the same one. Avoid overly simplistic keys with repeating characters such as "aaaa". Use the Rename Title command (Ctrl+R) to assign meaningful, yet secure titles to your clips. Usually, if a clip is important enough to encrypt, it's also important enough to assign a shortcut to. So assign a shortcut while you're renaming the title.

Technical Notes:
ClipMate encrypts clear TEXT clips with 56-bit ARC4 (RC4), encoded with Base64 and appended to 6 salt bytes, and stored back into the database in encrypted form. A CRC32 checksum is calculated, encrypted with the same ARC4 stream used to encrypt the data, and stored with the encrypted text.

We have an online "viewlet" that will SHOW you this function as a live, online demo. View it online.


Rename Clip Dialog
Press Ctrl+R on any clip to bring up the Rename Clip dialog box.
Here you can assign a better title to the clip, and you can also change or set a "shortcut".
For more information, see ShortCuts.

The Title limit is 60 characters, and the NickName is 64 characters.

TIP: If you have a series of shortcuts to enter, be sure to enable the "Carry-Over Last Prefix option. This will cause each clip to remember the "prefix" (all text up to the last ".") from the previous clip.


Paste Trace Dialog
This is a special diagnostic mode to help determine which data formats are "preferred" by applications. This can help you fine-tune the Application Profile, so that ClipMate captures the data formats that an application "prefers".
For example, the popular graphics program, PaintShop Pro 6.0, is quite happy to paste the "Bitmap" format. But analysis of the Trace Paste, shows that it will use the "JASC Paint Shop Pro 6.0 Clipboard Format" if it is available.

Usage

To use this function, first copy a fresh piece of data from an application. Then, use the "Capture Special" function under the Edit menu, to produce a "fat" clip. Capture most, if not all, of the data formats. This is important, as we need to present the target application with app possible formats.
Now, invoke the Trace Paste function, under the Config menu. Position the Trace Paste window where you can watch it, as you paste the data.
Go to the target application (where you want to paste into – can be the same as the application where you captured from) and paste a clip.

See what formats are named in the Trace Paste window. If needed, go to the Application Profile to "fine tune" the profile, according to what you see in the Trace Paste window.
See: Capture Special.
See: Application Profile.

Further Tests

Before pasting again, you'll need to close the Trace Paste with the OK button, and open it again. Otherwise the cumulative effects of the tool will cloud the further tests.
If there is a Paste Special option in the target application, you can try various forms of Paste Special, to see what data "looks good" in the application, and at the same time, see what formats are requested by the application by viewing the Trace Paste.
And you can try pasting the same clip into other applications as well, to see what formats they prefer. For example, if you want to copy from PaintShop Pro, and paste into another graphics program, you will find that one of the public formats such as Bitmap or DIB is required.

Finally – Don't Get Carried Away

Keep in mind that ClipMate can only display Picture and Bitmap graphics. So don't get carried away in trimming down the Application Profile. For PaintShop Pro, for example, you'll need to always capture Bitmap, as well as any other formats that work well for you.


Create New Collection Dialog
This dialog allows you to specify a new collection by providing the collection name, and initial placement within the hierarchy.

Let's say you have a database called MyClips, containing InBox, Overflow, and Safe. InBox is currently selected. You can opt to place your new collection BELOW InBox, making it a CHILD of InBox. Or, if you want it to be a SIBLING, then opt to place your new collection at the "top level" of the hierarchy.

As you press OK, you'll be taken to the Collection Properties dialog, where you can specify more properties

Access this dialog by right-clicking on a collection in the Collection Tree, or with the File | Add New Collection menu.


Collection Properties Dialog
This dialog box is used to set the properties of individual collections. It is accessed from the File menu, or by right-clicking on a collection in the Collection Tree, and selecting "Properties".

Number of Items
This shows how many items are currently in the collection. It may be higher than the threshold of data retention (see below) since purging is not performed until shutdown.

Database
Shows information about the database where this collection resides.

ID, Parent ID
Used to associate clips, and establish the hierarchy in the database.

Favorite
Determines whether this collection is marked as "favorite". See Favorite Collections / Collection Navigation .

Title
The title of the Collection.

Icon / Change Icon Button
Sets the icon of the clip, using the Select Bitmap Dialog.

Purging Rules
Here is where you control how ClipMate cleans out old data. You have several options, shown below.
· By number of items in the collection - as new items come in, old ones are trimmed and placed into the Overflow collection.
· By age of clips - as items reach their "expiration date", they are marked as DELETED, and placed in the trashcan.
· Never - No Automatic Deletion - these are considered "safe" collections, and no automatic purging is ever performed.
For more information on the retention and overflow processes, see: Data Management

Garbage Avoidance
This feature lets you keep clutter out of your important collections, while you have them active.
· Accept new Clips - If enabled, then new Clips will go into this collection when it is active (currently selected in the Collection Tree). Otherwise, the new Clips will "bounce" into the first open collection in the tree, starting from the top. Collections marked as "Divert" will be shown in Red or Maroon on the Collection Tree.
· Accept Duplicates - Some applications send a lot of duplicate information, especially when closing down. It can be a nuisance, so ClipMate rejects duplicates by default (you'll hear a "boing" sound when items are rejected). But sometimes you need to capture duplicates, such as when working with long lists of numbers. It is painful to copy 100 numbers from a spreadsheet, paste them somewhere else, and only end up with 85 of them. So we let you control the duplicate rejection at the collection level, so that you can set up some collections to accept duplicates.
· Read Only - no changes at all will be recorded.

Sort Key
Shows the sort key of the collection, used to order the Collections within the Collection Tree. It is normally manipulated by the move up/down function, but you can edit it directly here.


Select Bitmap Dialog
Accessed from the Collection Properties dialog, it simply allows you to select an icon to represent a clip. You can add your own icons - see the readme_buttons.txt in the "buttons" directory, beneath the ClipMate program directory, usually under \program files.


Clip Properties Dialog
This dialog box is used to view and set the properties of an individual clip. It is accessed from the File menu, or by right-clicking on a clip in the ClipList, and selecting "Properties".

ID
Each clip is assigned an ID, which is used to track it in the database and assign the various parts (keeping the associated TEXT, RTF, Bitmap, NickName, etc., together) It increments forever, and cannot be reset. It is useful in that it gives a relative "age" of one clip to another, so it's handy to sort on.

Collection ID
Also a database key, this is used to assign a clip to a collection.

Title
60 characters that describe the clip. You can edit it here, if you like.

Source URL
If you copied the clip from a web page, this will be filled in. You can modify it here, if you need to.

Creator
Which application did this data come from?

Timestamp
When was the clip captured?

Sort Key
If you sort your clip lists by the SortKey column, this is the value that is used. It starts as the ID x 100, but gets adjusted if you move the clip up/down within the ClipList.

Locale
This is used to help assign a character set to a clip, when using TEXT in non-English languages.

Encrypted
This is checked if the clip is encrypted. This is so that ClipMate knows to un-encrypt it for you.

Size
How big is the clip? This is usually the size of the largest data format present. If you copy an item that has both Text and Rich Text Format, you'll be surprised to see just how big that RTF can be.

User ID
Which user created this clip? This is only useful with multi-user databases.

ShortCut
Access to the shortcut of the clip, if present. Although you would normally change it with the Rename dialog, you can do it here too.

Data Formats Present
Here is a listing of the data formats present in the clip. The list is usually generated according to the Application Profile, which acts as a filter. You can turn formats on and off, to experiment with what works well and what doesn't. See: Understanding Clipboard Formats and Application Profile.


Capture Special Dialog
This function allows you to override the Application Profile, and capture a single clip from the system clipboard. This is useful when working with the Trace Paste function, as you can capture a "fat" clip, with several (or all) data formats, for diagnostic purposes.
When you invoke this function, ClipMate will give you a list of formats that are presently on the clipboard. Check the boxes next to the ones that you want to capture, and press OK. You should have a new clip, containing those data formats.


Re Sequence Sort Keys
Sometimes you find yourself in a situation where sorting on the "sort key" field does not produce the desired result. Maybe the clips have been re-arranged to the point where the sort keys are too close together, and need to be "spread out". Or maybe you imported them from another database and they are in the reverse order. Or maybe you now want to sort in descending order so that new clips are on top, but your existing clips would be listed in the reverse order.

Whatever the reason, this function can help. It's powerful, but you have to give some thought to the desired result in order to have results that are desirable.

Selecting Clips
The re-order function operates on a selection of clips. You must first select them with the mouse (hold down the SHIFT and CTRL keys to select multiple clips) or else use the Edit | Select All function. Then use File | Re sequence menu to invoke the function.

Selecting Values:
You will be prompted for the starting value, and an incremental value. The increment can be either positive, or negative. For example, values of 1000 and 10 will re sequence with keys of 1000, 1010, 1020, etc.. If you use 100000 and -10, then you'll have 100000, 99990, 99980, etc..

Processing Order
The sequencing is always done in the order of the selection. If you use the Edit | Select All, then the selection is from the top-down. If you pick the clips with the mouse (usually by holding down the SHIFT key), then it pays attention to your last two clicks to determine top-down or bottom-up.

Examples:
Scenario 1 - User prefers sorting by MySort key, with new items on TOP (sort order is descending), but there are lots of clips here that imported incorrectly.
Recommendation - temporarily sort by date, such that they appear in the correct order. Find the largest existing sort key - use that as the starting point, and increment by -10;

Scenario 2 - Clips have been re-arranged so much that they are "bunched", and won't move any more.
Recommendation - Sort on the SortKey column to sort them the best that you can. If the "bunch" is localized to just a few clips, then select the first one, hold down SHIFT, and then the last one. Otherwise use Edit | Select All. Now find the largest sort key in the selection (probably at the top) and use it as the starting point. Use a negative increment of at least 10, maybe 100 if you can do so without running past zero or running into other clips.

TIPS:
· Arrange - If you can, arrange the items in the ClipList by sorting on some column that gives the intended result. If they're merely upside-down, then sort by the existing Sort Key or Date/Time, and click again to invert.
· Select - use Edit | Select All, if you can. That will ensure a top-down processing order.
· Pick a big starting number, and a small, negative increment. But don't pick so big that new clips will get "lost". A good strategy is to start with the largest existing sort key in the collection. That way, new clips coming in, will have a higher sort value, and will therefore be placed at the top.


Start / Recovery Menu
This menu allows you to access certain maintenance functions at startup, before the system logs into the databases. This is a handy way to intervene if you need to perform database maintenance, or if you want to abort ClipMate when it is set to run at windows startup. Just hold down the SHIFT key while ClipMate starts (or while Windows loads), and the menu is shown before any window or database objects are created.
We used the SHIFT key because that is what you would normally be holding down to abort all "start menu" tasks. Since ClipMate uses the "RUN=" registry setting, it isn't normally subject to the "SHIFT Trick". So here we're extending the SHIFT Trick a bit.

· Proceed Normally - just as if you had never touched the SHIFT key.
· Abort ClipMate - use this to cancel ClipMate. Handy when you are already aborting the "start menu" programs.
· Reset Size/Position - If ClipMate isn't displaying properly, this will reset all size/position/font settings back to their defaults. ClipMate will quit, so re-start it manually.
· Reset ALL Registry Settings - similar to the above, but resets ALL user preferences, including the location of the database (but it won't hurt the data!)
· Verify/Repair/Compact Databases - causes Database Maintenance to run before logon.
· Backup Databases - causes database backup to run before logon.
· Restore Databases - causes Database Restore to run before logon.
· Open SQL Window - opens the SQL Window after the database is initialized, but before any data is loaded. This can be useful when resolving certain technical support issues. If you have multiple databases, the SQL window will open as each one is encountered during the login sequence.
· Open Log/Database Directory: Opens those directories using Windows Explorer.


Dynamic Database Connections
Starting in ClipMate 6.2, you can load and unload databases dynamically, without restarting. This is useful if you need to:
· Disconnect or re-connect a laptop with a shared network database.
· Reboot a machine acting as a server, hosting a shared network database.
· Bring a seldom-used database back online.
· Temporarily log off from a database so that your overnight backup can run.
· And there may be many more unforeseen requirements!

How to use:
Click on the database icon in the Collection Tree of ClipMate Explorer, and use Activate Database, or De-Activate Database from the file menu.

Example1 - The Networked Laptop :
Suppose you have two databases - one primary, on your notebook, and one on a network server. It's time to go home, and you just want to suspend your laptop without shutting down ClipMate.
All you need to do is open ClipMate Explorer, click on the shared database (or any collection within), and then use File | De-Activate Database. ClipMate will log off from the database, and the icon in the collection tree will be shown with a red circle/bar (international NO symbol). The next time you want to re-connect to that database, just click on it and use File | Activate Database. You'll log back in.

Example2 - Digging Into The Archives:
You have a primary database, but also have an old one from 2002 that is in a different directory, that you need to refer to from time to time. You've added the secondary database to your list of database definitions, and it is NOT set to auto-load. When you start ClipMate, it shows up on the collection tree, with a red circle/bar, indicating that it is offline. Now you want to open it up, and access the data.
Click on the icon in the collection tree, and then use File | Activate Database. ClipMate will now log onto the database, and load the data. You can de-activate it to free memory, when you're done.

Scheduled Downtime:
If you have an external backup program that needs to backup your ClipMate databases, you can schedule ClipMate to log off, prior to the scheduled backup time. See Config | User Preferences | Databases. The first time that you use ClipMate thereafter, it will automatically re-connect.


Favorite Collections / Collection Navigation

Favorite Collection
You can designate one or more collections as "favorite", and then they can be quickly accessed with the F6 key. This works like the "favorite channel" on a television remote control, where you program it to know your favorite channels, then you can quickly flip through them. F6 works the same way. Repeatedly press F6 to cycle through collections designated as "favorite".

To use, you first need to mark some collections as Favorite.
Suppose you want to be able to quickly bring up the InBox - mark it as a Favorite Collection. Right-click on the InBox icon in the Collection Tree within ClipMate Explorer, and select Properties from the menu. On the Collection Properties dialog, there is a checkbox for "Favorite Collection". Check it, and OK the dialog. Select any other collection, and wait until it loads. Now press F6, and you will be taken to the InBox. If you designate others, then you'll cycle through them.

When used sparingly (in other words, don't mark ALL of your collections as "favorite"), this is a very handy function.

Select Last Collection
You can also use F5 to switch to the last collection that you accessed during the current session. This also works like the "last channel" on Television Remotes.

Select Collection Toolbar Button
The "Select Collection" button on the Explorer and Classic toolbars can act two ways. It can bring up the Select Collection menu (default). Or if you configure it to do so, it can select the next collection in the list. See Config | User Preferences | General, if you want it to act this way.


How Do I...
Here are answers to common questions and tasks.

· How do I Undock A Window?
· How do I Capture a Screen?
· How do I E-Mail a Screen Shot?
· How do I send TAB and/or ENTER keys to an application?
· Minimize Resource Utilization
· Backup My Database?
· How do I import my ClipMate5 Data?
· How do I turn on wordwrap?
· How do I Move ClipMate To A New Computer?

Note that there are more answers to frequently asked questions (FAQ's) online on our support page.


How do I Undock A Window?
All 3 panels in ClipMate Explorer, are "dockable", meaning that you can drag 'n' drop them OUTSIDE of Explorer (or classic), so that they become their own window.

How to Undock:
Each of the dockable windows has a "gripper" bar, which you can use with your mouse to drag 'n' drop it outside of the parent window. Additionally, the Editor has an "undock" button (2nd from left in the picture) that will cause it to undock. Also note the "tack" button!

gripper

Having a floating window is extremely useful if you have extensive work to do on a particular clip or collection. For example, you can undock the Editor and then "tack" it to a particular clip. That instance of the editor will then still view that same clip, no matter what the rest of ClipMate is doing. So you can view 2, 3, or as many clips as you would like, in their own window. Likewise, you can undock the ClipList, and "pin" it to a particular collection. This can give you more room than you'd normally have within the 3-panel view. It also gives you another option for pasting clips - undock a ClipList, pinned to a collection that you need to access, and you can use it as a "palette" to pick from, as you paste.
And don't worry about putting the windows back when you undock - Explorer will fill in the empty panel as soon as you undock.

Note that this also works in Classic! But the editor in Classic is a bit more limited, as it de-allocates certain functionality (such as the HTML viewer and Binary viewer) to save memory. So if you are in Classic, and want to pop open another editor, you may want to simply hit F2 instead, to create a brand new one.

When you are done with the undocked window, simply close it with the 'X' button.


How do I Capture a Screen?
ClipMate can handle many simple screen capture tasks, allowing you to capture the whole screen, a single window, a region that you select with the mouse, or an "object".

The first two methods leverage the built-in function of the Windows PrintScreen key. If you press PrintScreen, Windows generates a bitmap of the entire desktop and sends it to the clipboard. Of course, ClipMate sees this, and makes a copy for itself. Thus, you have a basic screen grab. If you use the Alt key in addition to PrintScreen (Alt+PrintScreen), you get just the current window.

In version 6, we've added two new screen capture options:

Area Screen Capture - this gives you a "rubber band" mouse selection, so you can specify an area of the screen to grab. Find the option under the Edit menu, or use Alt+Ctrl+F12.

scrncap

Object Screen Capture - Similar to the above, but you simply click on any screen object, and that object is captured as an image. For example, click in a browser window and you'll get a picture of the contents of the window - but not the toolbar, menu, title bar, etc.. Click on the toolbar, and you'll get an image of the toolbar. Some will find it a bit odd - others will find it to be a lifesaver, as it can save a lot of clean-up that you'd otherwise get with an area capture. This is definitely a "take it or leave it" feature. If it works for you, great. Otherwise, leave it alone. Invoke this function with Alt+Ctrl+F11, or use the Edit menu. Then click on something, and it should be captured by ClipMate.

Printing Screen Shots
ClipMate can print the screen shots. And it can do it automatically, if you want to. See the Print Properties dialog, for the "automatically print screen shots" option.

Also See: How do I E-Mail a Screen Shot?


How do I E-Mail a Screen Shot?
E-Mailing Screen Shots
Now that you know how to make a screen capture, you may want to e-mail it to someone. Simply use File | Export to export the image to a .JPG file, and you can attach the resulting file to an E-Mail. Use the "save as Jpeg" option, and opt to "open export folder when finished". That way, you can most likely drag 'n' drop the resulting file into your e-mail program. If your e-mail program won't accept drag 'n' drop files, simply note the location of the export directory and use your "attach file" function of your email to find that directory, and select the file. See the Export Dialog for more information.


How do I send TAB and/or ENTER keys to an application?
During a QuickPaste operation, you can use the two little blue buttons on the QuickPaste toolbar to send these keys to the target, "on demand". But if you want one sent automatically with every paste, use the QuickPaste Formatting Strings.


Minimize Resource Utilization
Versions of windows built on Windows95 (Win95, Win98, Windows ME) have a limited amount of "system resources". Applications with rich user interfaces (lots of buttons, menus, list boxes, etc.) can be a burden on these systems, and no matter how much RAM you have in your system, when you're out of resources, your system is going to become unstable. Note that NT-Based operating systems such as NT4, Windows2000, XP Home and Professional, do not share this limitation.

ClipMate's User Interface is therefore constructed in a modular fashion. ClipMate Explorer, ClipMate Classic, and any "floating, undocked windows" can be opened and closed at will, thus using resources effectively. However, if both Classic and Explorer are loaded into memory, ClipMate will use about 6-8% of your resources. If you run lots of applications (and have lots of fonts installed, lots of things running in the system tray, etc.,) you may not be able to spare all of that. So here are some tips to minimize resource utilization if you are tight on resources.

Startup
There are options to load Classic and Explorer at startup. You can save memory by turning both of those off, and running whichever one you need, when you need it. ClipMate will still be in the system tray, collecting data. But will only use 2% of resources. Alternately, if you use Classic every day but rarely Explorer, load Classic at startup, but not Explorer. See the respective tabs of both of those windows, in the User Preferences dialog.

Classic and Explorer
As you move back and forth between Classic and Explorer with Ctrl+E or the toolbar buttons, ClipMate hides one, and shows the other. But does not destroy the one that's being hidden. This is for performance reasons. So if you are moving back and forth, you'll have both loaded into memory.

Close vs. Minimize
If you minimize either Classic or Explorer, it is merely hidden. But if you close it by clicking on the 'X' button on the titlebar, it is destroyed and freed from memory. This will release the resources.

Close and Free All Windows
ClipMate does not need any windows open in order to function. So you use the View | Close And Free All Windows function to remove Classic, Explorer, and any other "floating windows" from memory. This should take ClipMate's utilization down to only 2%. When you need to, you can click on the system tray icon to open a window and do your work. Use this function again, or CLOSE the window with the 'X', and it's again removed from memory.

Speed Tips:
These techniques can also help save loading/unloading time. If you have thousands of clips in your collections and a slow processor, you can save time by not allowing ClipMate to load data into hidden windows. Unload them first, then open just the ones that you want. One ClipList loads in half the time as two.

Summary:
If you want to run ClipMate but can't afford the resources, then you can use the knowledge obtained here (Start with the bare minimum, close windows when not in use, and use the Close and Free All Windows function).


How do I import my ClipMate5 Data?
In either ClipMate Classic or ClipMate Explorer, go to the File menu, and select "Import Data From ClipMate 5".
You'll be presented with a dialog box asking for the path to your old data. It may be already populated with the location to your "My Clips" data directory, if ClipMate 6 was able to find it in the registry.

You want to select the directory that is the PARENT of your collections. For example, if your short-term collection is in c:\clipmatedata\short-term, then you want to import c:\clipmatedata. This is very important.

The import process will prompt you for each collection that it finds. You can say yes or no to each of them, and if you select ALL, it will import all of the rest that it finds from that point forward.

Merging
Short-Term and Long-Term have been replaced by the less confusing "InBox" and "Safe" collections. You have the option to divert data from Short-Term into InBox, and Long-Term into Safe. Or if you opt not to, then you will have both sets of collections. Most users will want to select YES, when prompted to merge. Don't worry, it won't overwrite any existing data that you may have created already in the new v6 collections.


How do I turn on wordwrap?
In Explorer or an "undocked" editor window, there's a button on the editor toolbar.
If you are in Classic, you can right-click within the clip, and access WordWrap from the menu.
Each editor is independent of the others, with respect to this setting.


How do I use/configure the spellchecker?
In Explorer, you've got two buttons for spellchecking with the dialog, or with the Active Spell.
In Classic, you don't have the toolbar, so you can right-click within the clip, and access the spell checker that way.

There is also a Thesaurus, if you've installed it. Right-click on a word in the text editor, and you can access it from there.

Complete information on configuring the spellchecker, installing dictionaries and the Thesaurus, is here.


How do I Move ClipMate To A New Computer?
If you get a new PC (for whatever reason - we've heard hundreds) you'll certainly want to take ClipMate with you. This also applies to those of you recovering from hard drive crashes, rebuilds after virus attack, etc..

The process is simple:
1. Back up the data on the old machine, using File | Database Maintenance | Backup Database. You will now have a backup file named something like this: ClipMate6_DB_My Clips_2004-04-13_0041.ZIP. Note that the date and database name are part of the file name, and will be different on your system.
2. Place the backup file somewhere that the new PC can get it*.
3. Install a new version of ClipMate onto the new PC. Run the program, and establish your new database location. Enter your registration key, if you have it handy.
4. Restore the data from the backup, using File | Database Maintenance | Restore Database From Backup.

* You can transfer the ZIP file to the new PC using any method necessary. Including and not limited to: over a network, CD-R, ZIP disks, USB Flash devices, digital cameras (memory card acts like a disk drive), e-mail, laplink, etc.. It probably WON'T fit on a floppy diskette.


Tutorial
Welcome new user!
This section will familiarize you with basic ClipMate operation, so that you can be productive as quickly as possible. Here is a general overview of the main ClipMate "Classic" Window, which we'll use for the first few lessons:

ClipMate Classic closely resembles previous versions of ClipMate, and takes up much less space than ClipMate Explorer. It features a menu, a toolbar, and a drop-down list of Clips (the ClipList). In the picture to the right, it is shown in the "dropped-down" state, where you see a ClipList and a slimmed-down version of the preview/edit window.

First, a bit about navigation.
If ClipMate doesn't already look like either of the above, then you're likely in ClipMate Explorer, which is a 3-pane layout. Please use the View | Open ClipMate Classic menu, or the click the toolbar button that looks like this: , or press Ctrl+E, to switch to ClipMate Classic. Note that you can easily move back and forth between Classic and Explorer with the Ctrl+E key, or by pressing the appropriate toolbar button.
takes you from Explorer to Classic, and [image] takes you from Classic to Explorer. Additionally, you can open either one by right-clicking on the system tray icon (down near your clock). A left-click on the system tray opens whichever one you had open last, whether it was minimized, or closed completely.

The "Drop-Down" list at the bottom of the window is what we'll focus on for now. Here is where new items "show up" when captured by ClipMate. Although it only shows one item right now, if you click on the dropdownarrow button at the far right end, it will "drop-down" to show the titles of all items. It should now look like the image in the upper-right of this page.

But if you're new, it is probably empty, right? So let's get some data!

More:
· Lesson 1: Basic Operation
· Lesson 2: PowerPaste
· Lesson 3: Glue
· Lesson 4: QuickPaste
· Lesson 5: Editing
· Lesson 6: QuickPick
· Lesson 7: Shortcuts

We have several online "viewlets" that will SHOW you the tutorial as a live, online demo. Visit our online viewlet page to see what we've added since this help topic was created.


Lesson 1: Basic Operation

One at a time, highlight each of the next lines with your mouse, and then press Ctrl+C. (Copy them right out of this help system) If you have ClipMate's "sounds" enabled, you'll hear little "pops" as you copy each.

Apple
Banana
Chicken Parmesan
Doughnut
Egg

If you've done this correctly, then ClipMate will now display "Egg" in the drop-down list of items. Now, pull down the list – you should see all of the items that you copied. Note that this is where ClipMate differs drastically from the standard Windows Clipboard – the "old" Clipboard would only show you the last item copied, but ClipMate has them all.

Now open NOTEPAD (the little text editor that comes with Windows.) It should be in Start | Programs | Accessories | Notepad
From within Notepad, paste from the Clipboard, using Edit | Paste, or the Ctrl+V shortcut. You get "Egg". No surprise here.
Now, from ClipMate's drop-down list (the ClipList). Pick the entry titled "Apple". Go back to Notepad and paste again. You get "Apple". Isn't that neat? Repeat the process for all 5 items.

Next Lesson:
Lesson 2: PowerPaste

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


Lesson 2: PowerPaste
PowerPaste is a very powerful function that allows you to paste a series of items, very rapidly. It is very similar to a semi-automatic firearm, which reloads itself automatically after each round is fired. Likewise, when PowerPasting a series of items, ClipMate will reload the Clipboard, after each time you paste.
Assuming you have the series of 5 food items from Lesson 1, and Notepad still open, perform the following:

Select the "Apple" item.
· Click the PowerPaste button: once and it should display the "up arrow" indicator: . This lets you know that it will work its way UP the list. If the arrow points down, then just click again until it flips UP.
· Go to Notepad, and paste an item. You get Apple
· Paste again, and you should get Banana
· Keep pasting, until you get to Egg.

That's PowerPaste! Note that you started with Apple, which was at the bottom of the list, so you used the Top plug to work your way UP. If you wanted to PowerPaste in reverse, from Egg to Apple. You would start with Egg, and use the bottom plug to work your way DOWN.

Advanced Exercise - Exploding PowerPaste
Under the Edit menu, you will find an option for "explode into fragments". This menu works as a checkbox - it's either on, or it's off. Let's try it out.

· First, copy this single line:
   John Doe, 123 Main Street, Anytown, NY, 12345, USA, Earth, Solar System, Milky Way
· Now turn on the Exploding PowerPaste option (Edit | Explode Into Fragments) and then turn on PowerPaste.
· Now go to Notepad and paste 9 times with the Ctrl+V key, hitting TAB or ENTER after each paste.

You should get each of the "fields" of the sample line, separately. That is "Exploding PowerPaste". And it's very powerful indeed. With Exploding PowerPaste turned on, the data pastes as "fragments". ClipMate parses each clip, and when it finds a delimiter (by default, commas, periods, semicolons, colons, tabs, linefeeds are used), it breaks the data down into "fragments".
If you have a lot of data to move, and if it's formatted with some predictable delimiter, then this can turn an all-day chore into a simple task.
You can configure the delimiters in the User Preferences dialog box, under "Pasting".

For More Information On PowerPaste:
PowerPaste (general help topic)

Next Lesson:
Lesson 3: Append

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


Lesson 3: Append
Glue lets you combine several text items into one big new item. It is very handy for gathering a bunch of items, and pasting into your word processor.

· Open the ClipMate Explorer by pressing this button on the toolbar:
· You'll now see the expanded layout. This is called the ClipMate Explorer, as opposed to the "Traditional View" that you were in before.
· On the right side of the screen is the list of Clips, called the ClipList.
· Holding down the Ctrl key, click on Apple, Banana, etc. The direction matters, so work your way from the bottom to the top, to "glue" in the right order.
· Press the Append button on ClipMate's toolbar:
·
· You'll see a new item appear in the drop-down list, titled "Append: (5 Items)"
· In Notepad, do a File | New to clear out anything remaining from the last lesson, and paste in your new data – you should see all 5 items appear as one block of new text.
Note: If ClipMate Explorer is taking up too much room, press Ctrl+E to go back to ClipMate Classic, or minimize Explorer.
·
That's how to do an Append, "after the fact".

Next Lesson:
3A Auto-Append

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


3A Auto-Append
You can also append continuously, by pressing the Append button without having first selected multiple items in the ClipList. Using this method, every new item is appended to an ever-growing item. Press the Append button again to stop it. Try it! Also note that as you copy items, you'll hear a different "pop" sound than you do when capturing regularly, this is to let you know that you're in Auto-Append mode.

Next Lesson:
Lesson 4: QuickPaste...


Lesson 4: QuickPaste...
QuickPaste lets you quickly access your most frequently-used Clips without having to leave the application that you're entering data into. Unlike PowerPaste, which is geared toward pasting a series of items (and is still the best tool for that), QuickPaste can be used in an ad-hoc fashion, letting you pick and choose the items that you want.
Let's say that you are going on an internet shopping spree, and you need to order from several online stores. You've made a collection with your name, address, phone numbers, E-Mail address, and of course, your credit card details. But to your dismay, you find that the various online stores ask for information in different sequences. Some ask for the shipping address first, some last. Some ask for your phone number, some ask for two phone numbers (day/night) and some don't ask for any phone numbers! PowerPaste isn't very useful here, as the format of the form doesn't match the sequence of the data items. But QuickPaste will handle this just fine!

Navigation Tip: QuickPaste is built on ClipMate Classic, so if you are in Explorer then there will be a lot of "flipping around". To minimize this distraction, it is wise to switch to ClipMate Classic if you have a lot of QuickPasting to do. Press Ctrl+E to switch from ClipMate Explorer to ClipMate Classic.

Copy these items into ClipMate:

(716) 555-1212
(716) 555-1234
1234123412341234
1203
5678567856785678
1204
John Doe
123 Main Street.
Anytown
NY
12345
USA
mailto:Johndoe@anyisp.net

Now open Notepad, and type a few characters to make sure that the cursor is properly positioned.
Now press Ctrl+Shift+Q, and ClipMate comes up – in special "QuickPaste mode". Note the "bullseye" target icon in the status bar at the bottom - it should show you the title of the target application, in this case, "Notepad".

Now use your mouse or arrow keys to select the "John Doe" entry. This places that clip onto the clipboard, and all you have to do now is press ENTER, and the data is pasted right back into Notepad. You should now be IN Notepad as well, as QuickPaste returns you to where you were working. There - you've done a QuickPaste!
Try another. Let's pretend that you need the street address next. Press Ctrl+Shift+Q to get back into QuickPaste, and arrow down to the street address. Press Enter. There - another QuickPaste.
Press Ctrl+Shift+Q again, and select John's credit card number, and enter that. You can double-click the item with the mouse this time, if you'd like.
Go through the rest of the information, in a somewhat random order. Notice that every time that you bring up QuickPaste, the last item selected is already highlighted. Useful for repeat pasting, or when filling out a form which does happen to have some relationship to the order in which the items appear in ClipMate.

There is a LOT more to QuickPaste. You can configure it to show you TWO collections at once, so that you can tab back and forth. Great for pasting from your Safe, when you're capturing into InBox. You can also configure it to send special formatting strings to append the timestamp, title, or URL to a clip as it is pasted. Review the topics below, for full information.

Related Topics:
· Basic QuickPaste
· Advanced QuickPaste
· Using QuickPaste Format Strings

Next Lesson:
Lesson 5: Editing...

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


Lesson 5: Editing...
In the course of moving data in and out of ClipMate, you may encounter clips that "need some fixing" before they're ready to paste. Sure, you could paste into your favorite editor, modify the data, and copy it back into ClipMate. But ClipMate has a really neat editor of its own. Let's check it out!
First, if you are in ClipMate Classic, then go into ClipMate Explorer, by pressing the [image] button on the toolbar. ClipMate expands into the ClipMate Explorer view, showing 3 panes: the Collection Tree on the left, the ClipList on the upper-right, and the Preview/Edit pane in the lower right. A typical screenshot is here.

Individual Lessons:
· 5.1 Creating New Text Clips
· 5.2 The Editor Toolbar
· 5.3 Clean-Up
· 5.4 Advanced Editing Techniques


5.1 Creating New Text Clips
Pull down the File menu, and select "Create New, Empty Clip".
Now you're looking at a blank clip, newly created right within ClipMate. Your cursor is in the editor window, and you can start typing. Type this:

this is a new clip.
isn't it fun?

Now, go to another application that can paste text, such as your Email, Notepad, etc., and select Edit | Paste from the menu. You should see your new text pasted.

Next Lesson:
5.2 The Editor Toolbar


5.2 The Editor Toolbar
The editor toolbar has several sections of buttons. The first section only affects how the data is presented to you - and has no effect on what gets pasted later on. The second section deals with creation of data via the clipboard, either by creating a new clip, or cut/copy/paste within a clip. And the 3rd section is where you can make big editing changes to your data - the real power is here. Then you have the spellchecking, highlighting, and finally, encryption.
editortoolbar
But, since this is the tutorial section of the online help, we'll refer you to the general Editor Toolbar... section to explain what all the buttons do, and move on to the exercise which uses the last section of buttons, namely shift-left, shift-right, remove line-breaks, and change case.

Next Lesson:
5.3 Clean-Up


5.3 Clean-Up
Suppose somebody sent you this Email:
Subject Fwd seti
Hi Joe, I received the following, and hoped you could put it into the newsletter. Thanks!
FYI - the URL is http://setiathome.ssl.berkeley.edu/
>>>
>>>SETI@HOME IS A SCIENTIFIC EXPERIMENT
>>>THAT WILL HARNESS THE POWER OF HUNDREDS
>>>OF THOUSANDS OF INTERNET-CONNECTED
>>>COMPUTERS IN THE SEARCH FOR
>>>EXTRATERRESTRIAL INTELLIGENCE (SETI).
>>>YOU CAN PARTICIPATE BY RUNNING A
>>>PROGRAM THAT DOWNLOADS AND ANALYZES
>>>RADIO TELESCOPE DATA. THERE'S A SMALL
>>>BUT CAPTIVATING POSSIBILITY THAT YOUR
>>>COMPUTER WILL DETECT THE FAINT MURMUR
>>>OF A CIVILIZATION BEYOND EARTH.

Looks like good information, but what a mess! And now you have to put it into your newsletter, which you compose using the word processor, or web page editor of your choice. You know you have to do a lot of clean-up, to make this fit into your format. For starters, it has those ugly >>> marks. Next, it's all caps. And finally, it's broken into individual lines of text, containing a hard carriage return at the end of each line. You want just one long line, so the word processor can handle the word-wrapping.

No problem! ClipMate has tools to help you fix this. Copy the text above, starting with the first set of >>> marks, continuing to the bottom. Now you see it in ClipMate's editor, and we can start working on it.
Step 1 - Get rid of the >>> marks. Play with the shift right button. Click it twice, and you'll see the whole paragraph move over to the right, by two columns. Now go back left. Neat!
Keep going left, and you'll see that it gets "stuck" on the left margin, when it runs out of "white space". By default, it'll only collapse tabs and spaces. This is to keep you from accidentally chewing up your data. Now hold down the CTRL key, and click the shift-left again. Now it destroys the first column of '>' symbols. The CTRL key tells it "destroy ANY character in column 1". Do it twice more, and you have removed all of them. Be careful - there is no Undo for this.
Step 2 - Remove the unwanted line-breaks. Click on the Remove Line-Breaks button. The data changes dramatically. If you now see only one line of text, click the WordWrap button, to force the data to wrap within the display. Note that this doesn't change the data - it's really one big long line of text, and your word processor will wrap it for you, as it sees fit.

Step 3 - Fix the case. Click the little arrow attached to this button: , if it is present - otherwise click on the button itself. You'll have a menu of 4 case options. Experiment with each, to see the effect. You'll want to end up on Sentence Case. Experiment with selections - use your mouse to highlight just the last sentence, and notice how you can make this function operate just on the selection, and leave the rest alone. All 4 of these buttons (in the last group) act this way.

Step 4 - Paste. Now paste into your word processor. You'll find that the data now will readily flow the way you want it, and the garbage is gone.

Step 5 – Use The Text Clean-Up Tool
We can do all of this in one easy step. Copy the text over again, to create a new clip. Then click on the "magic hat" button, [image] and you'll get a dialog asking what options you want. It should already be set to remove the >> symbols from the left margin – leave that turned on. Under the Paragraph Re-Formatting, select the second option, which removes unwanted linebreaks within paragraphs. Finally, select "sentence case" under the Change Case option. Press OK, and see the results.

Note that you can also use the new UNDO button, to UNDO an operation. You can only undo the last operation.

Step 6 – Drag and Drop
You can use Drag 'n' Drop to re-arrange data within a clip. Copy this sentence:

This order is in the wrong sentence.

Now in the ClipMate Editor, double-click the word "order". Hold down your mouse button, and drag it to the right, and drop right before the 's' in the word "sentence". It should drop right there. Now highlight "sentence" and drag to where "order" used to be. You have to be conscious of spacing, etc., but once you get the hang of it, it's really neat.

Next Lesson:
5.4 Advanced Editing Techniques


5.4 Advanced Editing Techniques
The Tack
There is a "tack" icon at the left end of the toolbar. Click it. Notice how it looks "pushed in", or "tacked". This will "tack" the editor to the clip that it is currently on. It will no longer insist on displaying the current clip. Try it - select another clip from the ClipList, and you'll see that the editor does not synchronize with the rest of ClipMate. This opens up some interesting possibilities, as you can now use the cut/copy/paste buttons (on the editor toolbar) as if you were in a regular text editor, without the editor scrolling to the newly-copied data.

Untack the editor, and copy these two clips.

VERY

This is cool.

Now tack the editor again, so that it is frozen on "This is cool.".
Now select the "VERY" clip in the ClipList above. The editor should still say "This is cool".
Position the cursor between "is" and "cool".
Click the Paste button on the editor toolbar.
I'm sure you'll agree, this is VERY cool!

Cut and copy work the same way - you will get new clips created from the clip being edited, but you'll stay on that clip. You can, for example, cut a word from a sentence, and paste it back into the same clip somewhere else.

Floating Editors
Since the editor window is docked into Explorer, you can drag its dockbar and undock it from Explorer. Or there is a button (2nd from the left) that will do this too. Or, you can simply pop open an editor window with the F2 key, (which also has the advantage of working in ClipMate Classic).
Floating windows are most effective when Tacked, and are great if you want to do some heavy editing on a particular clip, or keep it visible without the rest of ClipMate.

Next Lesson:
Lesson 6: QuickPick


Lesson 6: QuickPick
QuickPick is a method of retrieving clips from the active ClipList by filtering for text in the title. Let's say you have 500 clips in your InBox, and you that somewhere in there, is a clip with the word "Enron" in the title. You could certainly use the Search facility to search for all of those clips. But there is a quicker way - use QuickPick.

Assuming that you have the clips from lesson 4 in your Inbox, and assuming that you are in ClipMate Classic, click the drop-down arrow to expose the ClipList.
Then type the following:
?john
As you type the ? key, a blue bar will appear in the ClipList, and by the time you have typed "jo", the two clips with "john" in them will be at the top.

Notice that your typing appears in the statusbar along the bottom, signified by the "hand" icon.
Hit the BACKSPACE key a few times, and you'll see characters disappear. If you erase all of them, or press ESCape, then you drop out of QuickPick mode. Experiment a bit.

Note that any new clips copied to the collection will appear BELOW the blue bar, signifying that they are at the top of the Collection, but that they aren't part of the filtered QuickPick results.

Note that the QuickPick filtering is not case sensitive, and that it only works on the clip TITLE, not the body of the clip itself. And unlike other list searches you may have used elsewhere, the filtering is not limited to the beginning of the title - it can be anywhere in the title.

quickpick

That's it - pretty neat! If you liked QuickPick, you are going to LOVE Shortcuts!

SEE: We have a Viewlet for this online, where you can see this feature in action.

Next Lesson:
Lesson 7: Shortcuts

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


Lesson 7: Shortcuts
Shortcuts work in a similar fashion to QuickPick, in that a list of results is displayed at the top of the ClipList, and that it is also a natural fit for QuickPaste. The difference however, is that while QuickPick acts as a "filter" against the current collection, ShortCuts can pull clips from any collection, even any database, that you have defined. Just as your desktop can have a shortcut to any file on your system, and your web browser can have shortcuts to any web page, ClipMate Shortcuts can refer to any clip in your system. But first, you have to create some shortcuts.

Back in lesson4, you copied some data that looks like credit card information:
1234123412341234
1203
5678567856785678
1204

Go ahead and re-copy them, if you don't still have them. Now let's assume that they represent your VISA number and expiry date, and your MasterCard number and expiry date, respectively.
In a real example, you'd also have PIN or Security codes (those pesky extra digits), the spelling of your name as it appears on the card, etc. You can make those if you want, and substitute your actual card info, if you like.

Creating Shortcuts
Now pick the first in the series, and press Ctrl+R. You'll see the "Rename Clip" dialog. It combines the rename and shortcut functions into one dialog, for convenience. After all, any clip worth assigning a shortcut to, likely could use a better title as well. So give the clip a title such as "Visa Number", and then for the shortcut, type in:
.CC.V.NBR
Those are "periods", and you should make a habit of leading with a period, and using periods to define a "structure" to the shortcut.
For the next clip, rename to "Visa Exp Date", and assign a shortcut of:
.CC.V.DT
Then you can do the Mastercard (substitute M for V in the nickname). Plus any other information that you may be entering, such as .NAME, .PIN, .ADDR, etc., if you're trying to use REAL data here.

TIP: If you enable "Carry-Over Last Prefix, then the shortcut will automatically remember the first ".CC.V." part of the shortcut - a big timesaver!

Move Them Somewhere Safe
Right now, these clips are probably sitting in your "InBox" collection. Here's another tip: any clip worthy of a shortcut, is worthy of moving to another collection (after all, your InBox gets automatically cleaned out periodically). So select these clips in the ClipList (tip: pick one, hold down SHIFT, and then pick the last one), and then select Edit | Move To Collection. Now pick the collection called "Safe" from the menu. They are now moved out of the InBox, into Safe, where they will reside until you delete them. If you want to see where they went, click on the "select collection" button on the toolbar. But then come back to the InBox to continue the exercise. For more information on collections, see: Using Collections Effectively.

Using Shortcuts
You activate shortcuts by typing the "." (period or DOT) key. All of your shortcut clips will now be displayed at the top of the ClipList (there may also be a "Welcome to ClipMate" sample clip. Now keep typing the shortcut:

You Type | You See
CC | Only the credit card clips
. (dot) |
V | Only the VISA entries are left
. (dot) |
D | The Visa Expiry Date is all that is left.

Now hit the Backspace, and notice how the search results are widened. Try to pick the Visa Number this time:
.CC.V.N

You can paste this clip in to any application, as it is on the clipboard now. You can also use the arrow keys to scroll within the results. If you scroll down past the blue bar, you'll be in the "regular clips". That's fine. Press ESCape to cancel the Shortcut search.

The accompanying image shows shortcuts used in conjunction with QuickPaste, which is a very powerful combination. The image isn't tailored to this tutorial, but you'll get the general idea.

Let's say you have a web page where you need your MasterCard details. Just bring up QuickPaste (Ctrl+Shift+Q) while you're still on the page. Enter .CC.M, and you are presented with the Mastercard details. That is probably all of the shortcut that you need to enter, as you can now use the arrow key to navigate between the handful of resulting entries. Select the first item that you need, and press ENTER. Now it's pasted into the web page. Ctrl+Shift+Q again, and you'll see that your shortcut search is still active - so just pick the next item, and ENTER. Cool!

nickpick

You will want to create other hierarchies of information, so give some thought to the structure of the shortcut. CC is obviously for credit card details. But you may have other categories of important data such as U for URLs that you use frequently. Then maybe .U.N for "News" URLs, .U.J for "Jokes", etc.. Or maybe Jokes are so important that you place J at the top of the hierarchy, and have .J.U for "joke URLs", and .J.T for "text Jokes", or maybe .J.K.T for "Jokes, Knock-Knock, Text". and .J.K.U for "Jokes, Knock-Knock, URLs". Whatever floats your boat!

For additional reading:
· ShortCuts (The main help topic for ShortCuts)
· QuickPaste (The main help topic for QuickPaste)
· Using Encryption (Because you may want to encrypt your credit card details)

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


Purchasing ClipMate
During your evaluation of ClipMate, you have been using an EVALUATION license (Shareware license) which entitles you to use ClipMate for 30 days while you evaluate its usefulness. After this time you are required to purchase a Registered Copy. If you feel that ClipMate doesn't meet your needs, or for any reason you decide that you don't want to purchase a registered copy, you are required to delete the program from your computer. This is the ultimate "Try Before You Buy" marketing strategy.

Purchasing your registered copy of ClipMate entitles you to continue using the product, and restores full functionality to any disabled functions. Also, the Registration Reminder screens will be removed! You will also have access to our technical support.

NOTICE: Continued use of the unregistered version of ClipMate past the 30 day evaluation period is a violation of federal copyright laws. See our Licensing Agreement.

How to Order

Simply visit our web site at http://www.thornsoft.com
or the web site of an authorized ClipMate dealer in your region, and you can order a registration key online. Your personalized registration key will be generated, and send to your e-mail account within minutes. Or if you prefer to order by phone, fax, or snail mail, we can accommodate that too.

Companies and Institutions
If you work for a company, government, or institution, you may need to have your purchasing department order for you. That's ok! They can order online, they can call us, or they can fax use the order form. We've included it - the link is below.

· Order from our web site - www.thornsoft.com We offer secure ordering through Digibuy, eSellerate, and PayPal.
· Order by phone - (585) 352-4223, or TOLL-FREE in (USA only) at 877-254-7628 (877-CLIPMATE).
· Fax/Snail Mail order form - order.txt
· View Site License Pricing Online
· Order from our dealer in Europe
· Order from our dealer in Germany
· Order from our dealer in Japan
· Order from our dealer in India

There's an order form right on your hard disk, which they can fax to us


Purchasing In Germany
GERMANY (Deutschland) - Local Registration

You can contact this German company, which can accept registrations in DM. Just fill-out ORDER.TXT, include a check (DM) or credit card info, and send to DER PD-PROFI.

PD-Profi Zoettlein
Software Vertriebs GmbH
Schulweg 13
D-86666 Burgheim/Wengen
Germany
Tel: +49 (0) 174 / 995 4 166
Fax: +49 (0) 8432 / 8674 oder 920747
www.pd-profi.de
sales@pd-profi.de

Zahlung per NN, Vorkasse, Kreditkarte


Purchasing In Europe
BT Software

We are pleased to offer ClipMate through BT Software, accepting payment in USD, FRF, NLG, BEF, DEM, GBP, and EURO. You can order an electronic-only version, or a CD. Contact information for BT Software:
-----------------------------------------------------------
BTSoftware BV, Shareware Registration & Distribution
P.O Box 4911, 5604 CC Eindhoven, The Netherlands
Fax: +31 40 290 6460
Email: Info@BTSoftware.com
Web: http://www.btsoftware.com
-----------------------------------------------------------
The direct link to the ClipMate ordering page is:

http://www.btsoftware.com/products/clipmate.htm


Purchasing In Japan
P & A Shareware - Japan

This program can be registered locally in Japan. For details, contact:
P. & A. Shareware Distribution.
302 Bellwins, 1367-23
Nakagami, Akishima
Tokyo, 196 Japan
Tel: 0425-46-9141
Fax: 0425-46-9142
NIFTY-Serve: PAF02461
WWW.PANDASW.COM
Let them know that you are interested in purchasing a registered version of ClipMate 6.


Purchasing In India
Bang Infotech

We have a special arrangement with Bang Infotech, to handle all sales and support in India. :

Bang Infotech .,
Unit No.50 , Kewal Industrial Estate , Gr. Flr,
Lower Parel , Senapati Bapat Marg , Mumbai –13. INDIA

Phone : 91-22- 56607965 - 56607969
Fax : - 56607969

E.mail : ngb581@yahoo.co.in

If you have the special "India Distribution" of ClipMate, the order.txt file on your hard disk (in the ClipMate directory) has pricing and ordering information for Bang Infotech.

Special Pricing For India Region Through Bang Infotech INDIA ONLY
Item     Description                                      Cost
CM6-1K   ClipMate 6 (Key Only – software via download):   Rs.850/-
CM6-1P   ClipMate 6 CD                                    Rs.1025/-


End User License Agreement
There is a formal EULA agreement in your program directory, called EULA.TXT, which you had the opportunity to review at installation time.

Basically it says that for the registered version, you can use the software on one computer - plus one other if you are the primary user. If you have a desktop and a laptop, and even if they are networked and in use at the same time, then you don't need to buy another license. But if you want to run it on 3 computers, or have other users using the other computers, then you DO need to buy additional licenses.

Q&A:

Q: I have a desktop and a laptop or second computer. Do I need multiple licenses?
A: You can run one extra copy for your laptop or a second networked computer if you are the primary user of each.
The license manager will prevent more than one extra copy from running.

Q: I use the software at work, and want to use it at home as well. Do I need multiple licenses?
A: You can run the software at home too, but only on one computer.

Q: I want to use it on two computers on the same network. Do I need multiple licenses?
A: You can run one extra copy if you are the primary user of the other computer. But if you need to
run simultaneously on more than two computers, or have other people using the software, then
additional licenses are required. For example, if you move between two stations, then one license covers you. But not if you use it on more than two stations, and not if the other stations are used by your co-workers, secretaries, etc..

Q: I have lots of users - is a site license available?
A: Yes - see our web site for multi-user discounts.

Q: In a multi-user situation, does everyone use the same key, or different keys?
A: This can vary. Suppose you have 10 users, and buy a 10-user key. That can be used up to 10 times concurrently. If you then decide that you need 25 seats, then you would purchase a new key for 15 users. Or, you may have any mixture of single and multiple-seat keys, as long as you don't exceed the total licensing for any given key. You can work with our customer service to merge smaller keys into bigger ones, if you need to.

Q: My wife and I use the same computer. Do we need multiple licenses?
A: No - every user of the same computer can use the same license.

Q: What about "fast user switching" in XP? We have 5 accounts, and they're often all logged in.
A: The same license will cover all copies - even if they are running at the same time, as long as they are on the same machine.

Q: I want to use Terminal Services (or another similar product) and run one copy of ClipMate on the server, and have multiple users use the same license. Is that allowed?
A: No - you need to license each as many users as will simultaneously access the server and use ClipMate.


Glossary

Application Profile
Bitmap
Clipboard
Clipboard chain
Clip Item
Collection
Data Source
HTML
Registration Key
Retention Rules
Rich Text Format
Serial Number
Target Application


Application Profile

 These determine what data formats will be captured, on an application-by-application basis.
For example, you can capture TEXT from Excel, while leaving the other 20+ formats behind, thus saving time and memory.


Bitmap

 A common graphic, produced by most graphics programs and screen captures. ClipMate shows it using a "painter's palette" icon. ClipMate can print Bitmaps, and they're accepted by just about any graphics or drawing program.


Clipboard

 Deep inside Windows, there is a global memory area for exchanging data between applications. This is the clipboard. ClipMate talks to the clipboard all of the time, constantly keeping in sync with it.


Clipboard chain

 This is a mechanism where Windows notifies applications that new data has arrived on the clipboard.
The only reason that users need to be concerned about this, is because sometimes mis-behaving applications disrupt the clipboard chain, and you may have to reestablish the connection.


Clip Item

 A piece of data in ClipMate. When you copy something to the clipboard, ClipMate grabs the data and creates a new Clip Item. Besides the data, there are other attributes such as Timestamp, Source URL, Creator, Size, etc.


Collection

 Think of it as a "folder", within the database, where clips are categorized and segregated. By default, you will have 3 collections: InBox, Overflow, and Safe.


Database

 All data is kept in the database. The database consists of a set of files on your hard disk. You can set up more than one database, but most users won't need to.


HTML

 Hypertext Markup Language. This is the native format of web pages.


Registration Key

 When you purchase a license for ClipMate, you receive a registration key, which allows you to enjoy ClipMate past the 30-day trial period.


Retention Rules

 ClipMate can automatically delete data from a collection in 3 different ways:

· Length: when the collection grows past its retention limit, say 200 items, old items are deleted to bring it back to the retention limit.
· Age: specify a number of days to keep clips.
· Never: never automatically delete clips from this collection.

The "purging" takes place at shut-down, and will move them either into the Overflow collection ,or the trashcan.


Rich Text Format

 Fancy text with fonts, color, bold, italic, margins, etc.. Usually used with word processors.


Serial Number

 As each clip is inserted into the database, it is assigned an ID, or Serial Number. You cannot reset the serial number, it will just keep growing (the limit is 2^32 or about 4 billion).

Note: Only contact technical support regarding the serial number, if you feel that you are in imminent danger of surpassing 4 billion.

Note: We're not really serious about that last note.


Target Application

 The application where you want to paste the data is known as the Target Application.


.topic 850

Welcome to ClipMate 6.3, the latest edition of one of the most powerful and useful utilities of all time*.

ClipMate enhances the Windows Clipboard, making it a true power tool.  The cut / copy / paste capability of Windows works well for transferring single items of data but is not useful if you want to move a lot of data or keep data longer than until your next cut or copy.  Because Windows overwrites the Clipboard whether you were ready or not.
ClipMate works alongside the regular Windows Clipboard and remembers every piece of data (both text and graphics) that you cut or copy.  Once your data is saved in ClipMate, you can select an item and it is automatically placed back on the Clipboard or directly into an application.  Within ClipMate you can view, print, edit, reformat, convert to upper/lower case, search, rename, and reorder Clip Items.  Our new Screen Capture functions supplement the windows screen capture by adding region and object capture capability, and of course, you can save, export, e-mail, and print your screen captures.  And now with ClipMate 6, you can even encrypt sensitive data with ARC4 encryption.

You can create an unlimited number of collections to store your data, and you have full control over the retention rules so that your collections fit your personal work process.  For example, you can use your "InBox" Collection as a catch-all and create "Safe" collections for topics like Tips & Tricks, Frequently Used Letter Closings, Clip Art, Hot Internet Web Pages, Project Research, or whatever you wish.  Even if you decide to do nothing special with your clips - you'll always have the last 1000 clips at you disposal, ready to paste wherever you need them.

With the award-winning ClipMate as your Windows companion, you'll take the familiar underpowered Clipboard and turn it into an unexpectedly powerful time saver.

More:
ClipMate Overview
New Features in ClipMate6
New Features in ClipMate6.1
New Features In ClipMate 6.2
New Features In ClipMate 6.3
Differences From ClipMate 5
Basic Operation
The User Interface
Using ClipMate Effectively
Purchasing ClipMate
How Do I...
Tutorial

* ClipMate 1.0 began development in the fall of 1991, making it one of the most well-known and long-lived utilities for Windows.

.topic 3480
You can think of ClipMate as a multi-format database that is tightly integrated with the native clipboard capability in Windows.  Everything that you copy to the clipboard is captured by ClipMate.  You don't have to do anything special - just copy the data as you regularly would, from within the application that you're working in (usually with the Edit | Copy menu, Ctrl+C, right-click | Copy, etc..)  See the "Capture" arrow below.  When you are ready to use the data again, just select it in ClipMate, and it's placed back onto the clipboard, ready for pasting into any application.  This is represented by the "Update System Clipboard" arrow below.

And ClipMate isn't just going to hold a dozen or two of these "clips".  It can easily hold hundreds, even thousands of clips.  Everything that you copied today, yesterday, and last week.  You can organize your clips into "collections", for keeping important data at your fingertips, and organized efficiently.  You have complete control over the data retention and purging, so that important data is kept, while less-important data is stored for a while, then placed in the trashcan, and eventually deleted.

You can also perform powerful editing directly on the data, such as removal of unwanted line-breaks, >>> marks that clutter E-Mail, or case conversion.  You can even combine several small clips into one big clip, and there is also a great spell checker included.  For the "heavy lifting" data manipulation tasks, we have "PowerPaste", which rapidly pastes a series of data into an application.  This is great for moving data between applications that aren't integrated, but should be.  Do you have 1000 addresses in a spreadsheet that need to be keyed into an online database?  No problem!  And if the data is already formatted with commas, tabs, or line-breaks, then the "Exploding PowerPaste" option will cut the job in half again!

ClipMate's powerful search engine (it's based on SQL, for you technical types) allows you to find what you're looking for, and our new ShortCut and QuickPick features let you access your most commonly used information, quickly.

Are you part of a workgroup that could benefit from a shared repository of data?  Along with your own personal database, ClipMate can attach to a shared, workgroup database on a file server.  You can all contribute clips in real-time, for everyone to use for pasting.  This is great for customer support environments where consistency, accuracy, and efficiency are top priorities.  Just pick a clip from the repository, and paste.  It couldn't be easier.  And ClipMate allows you to set the "garbage avoidance" flag on the shared collections, so that they don't fill up with inadvertent clutter.

Give ClipMate a try - free for 30 days of actual use.  We think you'll find that it will change the way you think about cutting and pasting.

More:
New Features in ClipMate6
New Features in ClipMate6.1
New Features In ClipMate 6.2
New Features In ClipMate 6.3
Differences From ClipMate 5
Basic Operation
The User Interface
Using ClipMate Effectively
Purchasing ClipMate
How Do I...
Tutorial

.topic 3690
New Features
Automatic Update - ClipMate can now (if you allow) check for program updates in the background and notify you when updates are available.  See Automatic Update for full details.
Comprehensive Database Recovery - eliminates database corruption more effectively than the repair feature in previous versions of ClipMate 6.
Printing Enhancement - Bitmap Scaling - When you print small bitmaps, they can now be scaled up to use more of the paper, instead of printing at native printer resolution.  The print routine will scale smaller bitmaps up, if there's room.  If there isn't room, it will print as large as possible, given the space.
New menu options: Expand All and Collapse All, allow you to quickly expand or collapse the collection tree, in ClipMate Explorer.

Other Enhancements
Improved registration key input dialog box.
URL Highlighting - The preview/edit window, which highlights URLS automatically, can now handle  URLS longer than 255 characters (yes, we found examples of really, really, long URLs), and it can also handle URLs with quotes, periods, curly braces, etc..  Anything except spaces, tabs, or <> brackets.
Improvements to the "KeepAlive" function, which automatically detects and corrects broken clipboard connections.  Previous versions could cause problems (repeated captures or rejects) if the KeepAlive acted too quickly.
The "show non-printing characters" option now is remembered between sessions.

See the New Features in ClipMate 6.
See the New Features in ClipMate 6.1
See the New Features In ClipMate 6.2

.topic 3620
New Features
Online Backup and Restore - Backup and Restore databases without having to restart the program.
Dynamic logon/logoff for secondary databases - activate a "dormant" database or disconnect from a shared network database, without restarting.
"Magnetic" borders of ClipMate Explorer and Classic will now "snap" to the screen edge when within 16 pixels.  This allows easy positioning in the corners or near screen edges.

Other Enhancements
Redesigned user interface for the Application Profile, along with underlying performance improvements to the Application Profile mechanism.
Better support for international character sets, like Japanese Shift-JIS.  All display font settings now include the "Script" option, enabling the display of Kanji characters, accents, and other attributes that depend on the character set being set correctly.
The editor can now show the "non-printing characters", such as line-breaks, spaces, and tabs which will be shown as: ¶ · », respectively.  See Show Non-Printing Characters.
Component Upgrades - We've updated to the latest version of the database engine, spell check engine, printing engine, HTML Controls, and editor component.  This will add stability.
High DPI Displays - This version can more easily accommodate display settings that use very large fonts or non-standard DPI settings, without having odd scaling, overlapping controls, or menu wrapping problems.  If you had to add buttons to the Classic toolbar to enable the menu to fit on one row, you will probably find that this is no longer necessary.
Bitmap Viewing - the Scroll/Scale/Stretch options are now remembered from one session to the next.
The Select Collection button on the main toolbar can now be used to advance to the next collection (like in ClipMate 5), OR bring up the Select Collection menu (like previous versions of v6).
The Select Collection menu now accurately reflects the collection hierarchy and sort order.
You can now access the "visibility" (always on top, normal, auto-hide) settings from the main and system tray menus.
Alt+Enter now brings up the Clip Properties dialog.

See the New Features in ClipMate 6.
See the New Features in ClipMate 6.1

.topic 3610
New Features
Keyword Highlighting - You can highlight keywords in the editor.  Just click the button, enter some keywords, and they highlight.
Roget's Thesaurus is now integrated into ClipMate (if installed).  Right-click on any word in the editor window, and you can look up alternate words.  The file is a separate download, and you can find more information here.

Searching Improvements
% Wildcard - this adds more flexibility to the searching, as you can use the % wildcard before, after, or within a search string.  The old * wildcard was limited to the end of keywords.  Users familiar with SQL databases will recognize this as the %like% operator.
Collection Search - you can now restrict the searching to any collection.
Keyword Highlighting - search criteria automatically populates the new Keyword Highlighting feature in the editor, allowing you to find the results within the clips themselves.

Other Enhancements
Small Icons - Just like the small toolbar icons in Classic, you can now have small icons in Explorer and the Editor as well.
Visually Impaired users will appreciate the ability to turn off the fancy HTML Tooltips, HTML Buttons, and menus with icons.  Those features interfered with some screen reading programs.
Word Count - A count of the Words, Characters, and Bytes in a Text clip is now displayed in the status bar of ClipMate Explorer. If you are using a floating editor, then the count appears in the titlebar.  Trying to fill in a webform with a character or word limit?  Now you can see the count as you type.
Graphics in HTML - ClipMate can more reliably display images from your Internet Explorer cache, when displaying HTML clips.
Sort Indicators on column headings - now they are oriented like they are in most other applications.
QuickPick has been enhanced for better performance when filtering large collections.  No filtering will actually take place until you've entered two consecutive search characters, therefore avoiding the glut of results when you first invoke the function.

See the New Features in ClipMate 6.

.topic 800

Capacity
New relational database offers flexible searching, enormous capacity, and reliability.
Configurable trashcan can retrieve deleted clips for days or even weeks later.

Power
Search on title, content, type, source, date, etc., with our new SQL-based search engine.
Multi-User capability with live network updates enables sharing of workgroup data.
Screen capture by region - select an area with your mouse!
QuickPaste Format Strings enable customization of pasted data - include tabs, date/time, URL, title, etc..

Security
Powerful (but legal) ARC4 encryption keeps your sensitive data safe from prying eyes.

Convenience
You can access your favorite clips more easily with QuickPick and ShortCuts.
Updated User Interface to compliment XP (but still runs great on 95,98,ME,NT4,2000)!

Reliability
Automatically detects and reconnects broken clipboard connection.
New printing engine offers flexibility and reliable printing.
PowerPaste Shield prevents other clipboard-aware programs from hijacking PowerPaste.
Automatic database repair and built-in database backup help to keep your data safe during the worst of times.

Also see: New Features In ClipMate 6.2

Important!  Existing users will want to read the Differences From ClipMate 5 page.

.topic 950
Having access to thousands of previous clips is only a great thing if you can find the data that you're looking for, more easily than typing it again.  Here is where QuickPick and ShortCuts come in.

Both functions are fully integrated with QuickPaste, so in the example shown, you'd simply pick the item that you wanted (CC Number), press ENTER, and the data would be sent to NetCaptor (our favorite web browser).  Invoke QuickPaste again, to paste the name, date, etc..  The selection remains "live" until you cancel it with the ESCape key.

For more information see: QuickPick and ShortCuts.

.topic 960
Without going into boring details about our extremely fast and flexible database, let's outline the benefits to you:

Clips are saved to the database immediately when captured or edited.  No more "auto-save" or "save all clips to disk" woes.
Appreciable memory savings when you have large numbers of clips*.
More efficient use of hard disk space.  We use about a dozen files now, instead of hundreds or thousands of little files.  Cluster waste is eliminated, as are "orphan" data files.
Images are stored in the database as JPEG objects, further reducing space and speeding retrieval.  (Note: "best quality" mode is used for JPEG compression)
Searching is now very fast and much more flexible.
Deleted clips are held in "trashcan" status for two weeks, allowing easy retrieval.
Configuration is easy - no drivers, ODBC connections, DLLs, or connection strings.
Will easily hold thousands of clips.
ODBC support will be provided later this year, allowing advanced users to access or interface with the database directly.  Our design will be made available to such users.

For more information see: Database

* We routinely test with upwards of 25,000 clips.

.topic 970

For more information see: Using Encryption.

.topic 980

For more information see: Searching

.topic 990

For more information see:  Multi-User Databases

.topic 1000

Object Screen Capture - Similar to the above, but you simply click on any screen object, and that object is captured as an image. For example, click in a browser window and you'll get a picture of the contents of the window - but not the toolbar, menu, title bar, etc..  Click on the toolbar, and you'll get an image of the toolbar.  Some will find it a bit odd - others will find it to be a lifesaver, as it can save a lot of clean-up that you'd otherwise get with an area capture.

For more information see: How do I Capture a Screen?

.topic 1010

That isn't to say that we're backing off of our stance that the other software publishers should clean up their programs - they still should. But you won't have to suffer while you wait for them to fix their programs.

.topic 1020

For more information see:  Print Options Dialog Box

.topic 1030
ClipMate 6 features an updated user interface with many "XP-style" buttons, and dockable windows.

.topic 3430
There are some important differences from ClipMate 5.  ClipMate 5 users should be sure to read this page completely.

Data Storage
ClipMate 5 used a "flat file" data storage scheme, where ClipMate 6 uses a relational database.  So when you first install version 6, it won't have your ClipMate 5 data.  You will need to use File | Import to import your data.  (This will leave your version 5 data untouched.)

PowerPaste Button
PowerPaste - instead of two buttons, there is now one multi-purpose button on the toolbar. Click once and you'll activate it, and an arrow will show you whether it's in UP or DOWN mode. Click again to invert.

Collections and Functions Have Been Renamed
This is for clarity, and to reflect the new data management capabilities.

Classic vs. Explorer Interaction
In version 5, ClipMate Classic (Traditional) and Explorer were the same window, in different configurations. This caused lots of problems, and made QuickPaste somewhat unreliable. So now there are two different windows. There is a button on the toolbar of each that will take you to the other one. Additionally you can bring up either one from the System Tray menu. Typically, you'll be using one or the other, so when you open one, the other hides. There may be an initial pause when loading Explorer, if it hasn't been used yet during the current session.

Closing doesn't really close
If you click the 'X' on any of the windows, that used to shut ClipMate down. Not any longer. It will only close that window (and free it from memory, release resources, etc.) But ClipMate can still be running in the background, gathering clips for you. Check the System Tray to see if it is running or not. To actually shut it down, use the File or System Tray menus.  Ex: SysTray | Exit ClipMate.

OnTop - only affects Classic.
"Always on top" only affects Classic, and not ClipMate Explorer.

Overflow Collection
There is now an "overflow" collection, which is where clips go when
they fall off of the InBox. Typically, InBox will hold your 200
most recent clips. When they "age off" of InBox, they will go to
Overflow. When they "age off" of Overflow, they're in the Trashcan.
The Trashcan will typically have a two week retention. So it will
be really quite hard to accidentally lose important data.
Before, when clips "aged off" of Short-Term, they were gone.
Read all about the new data management capability.

Sounds
The sounds all "sound" the same, but they no longer rely on the registry being properly configured in order to work.  ClipMate 5 was vulnerable to changes made to the "sound schemes" - ClipMate's sounds could be easily wiped out in the registry.  ClipMate 6 stores the sounds right in the program, so that they can't be corrupted.  They can be changed by adding your own sound files to the program directory.

Multi-User Databases
In ClipMate 5, you couldn't have multiple users writing to the same database. Now you can.
See: Multi-User Databases

Licensing
In ClipMate 5, you could use the same ClipMate license on more than one computer, as long as you were the primary user of each.  This is modified somewhat in version 6.  For version 6, you can use the same license on one computer plus one other that you are the primary user of.  Such as a desktop and a laptop - but only if YOU are the primary user of each.  If you have been letting your spouse, roommate or secretary "piggy-back" on your license, it's time for them to get their own.

.topic 257
Assuming that you have installed ClipMate and that it is running (you'll see an icon in the system tray area), ClipMate is ready to start working for you.  Most of ClipMate's work involves capturing data from applications (which it does automatically for you as you copy data to the clipboard), and pasting data into applications.

For more information see:
Capturing
Pasting
Lesson 1: Basic Operation  (tutorial)

.topic 3450
When you select an item from one of ClipMate's ClipLists, it is automatically placed onto the clipboard.  There is no "copy to clipboard" required - it's automatically done as the clip is selected.  If you are in ClipMate Explorer, the list of clips is right there.  If you are in ClipMate Classic, then there is a drop-down arrow that exposes the ClipList.

Multiple Selections
Sometimes you need to perform an action (deleting, printing, etc.) on more than one clip at a time.  This is easily done by holding down the SHIFT key and clicking on two clips with the mouse.  This selects the entire range of clips.  Or you can use the CTRL key, and pick and choose the clips that you need.

Advanced
For quickly accessing clips that you use frequently, you will want to look into ShortCuts.  To quickly access a clip where you know part of the title, you can recall it within the current collection with the QuickPick technique.

.topic 890
Having access to thousands of previous clips is only a great thing if you can find the data that you're looking for, more easily than typing it again.  Here is where ShortCuts come in.   Similar in operation to QuickPick, ShortCuts are global "nicknames", (Mnemonics for you technical types) that you assign to clips that you need to access frequently.  For years our users have been asking for the ability to assign "hotkeys" to individual clips.  While we liked that idea (and did try it once), hotkeys are limited in number, are difficult to remember, and often conflict with keys used by other applications.  The new ShortCut feature solves all of these problems as you can assign a shortcut to as many clips as you need to, they can be named and even structured to be easy to remember, and they won't cause conflicts or "steal keys" from other applications.

To use, first assign "nicknames" or meaningful codes to your clips. You can create a hierarchical structure with the "." (dot) character.  The dot key is also used to enter the ShortCut mode.  To assign a ShortCut, simply right-click on any clip, and select the "Change Title/ShortCut" menu option, or press Ctrl+R.  You will be able to change the ShortCut and/or title.  It is often useful to change both.

NOTE: Shortcuts are available in both Classic and Explorer modes.

For more information see:
Lesson 7: Shortcuts (tutorial)

.topic 880
QuickPick is a method for quickly selecting clips within a collection, and is available in Classic or QuickPaste modes.  QuickPick "filters" the titles in the current collection, based on criteria that you type.

Threshold
To improve performance with large collections, you must first cross the "threshold", which is currently 2 characters after the "?" key, before the results are shown.  In the above example, no results are shown until you've typed "?jo", to prevent every clip containing "j" from flooding the results and wasting processor time.  This feature is new in ClipMate 6.1

Modifying/Cancelling
Hit the Backspace key to remove characters from the search.  If you backspace far enough, you'll cancel QuickPick, and the blue bar will disappear.  Also, you can press the ESCape key at any time, to cancel QuickPick.

NOTE: QuickPick is available in both Classic and Explorer modes.

For more information see:
Lesson 6: QuickPick (tutorial)

.topic 24
As you copy items from other applications, ClipMate will detect the data arriving on the System Clipboard, make a copy for itself, and place it into one of your Collections (similar to folders).  This data is now known as a "clip".
Methods for copying from applications vary.  Most applications allow you to select data with the mouse or keyboard, and copy to the Clipboard (and thus into ClipMate) with keyboard combinations such as Ctrl+C, Ctrl+Insert, or the Edit | Copy menu.
You can also perform a Screen Capture to obtain a bitmap of a window, the entire desktop, or any part of your desktop.

As you capture the data, you'll hear a little "pop" sound, to indicate that ClipMate has captured the data, and placed it into one of its collections.  If you have ClipMate Classic or ClipMate Explorer on the screen, you will see the data appear.

Each clip is assigned an ID (a unique numerical identifier), a title, and is immediately saved into the database under a "Collection", such as "InBox".

Now that ClipMate has captured the data, how long does it stay?  By default, ClipMate puts new "clips" into a collection called InBox, which holds the 200 most recent clips.  When you shut down ClipMate, it performs some housekeeping which will trim the InBox down to its retention limit.  The trimmed clips are sent to another collection called "Overflow".  This area keeps 800 clips, and is likely to hold anything that has recently aged off of the InBox.  It too, is subject to purging, so when items are purged from Overflow, they are sent to the trashcan.
But unlike previous versions of ClipMate, the trashcan does not get discarded when you quit the program. Instead, items in the trash will say there for 7 days (adjustable, of course), in the event that you wish to retrieve something.  You can learn all about this process in the Data Management section.

You may have clips that you want to keep forever - so place those into another collection, with retention rules set to "never delete". The default "Safe" collection is one such collection.  To view/set the retention rules of any collection, right-click on it and view the Collection Properties dialog.

.topic 25
When it is time to paste the data into another application, you have several options, outlined below.  In each of these methods, the basic rule is the same - as soon as you select an item in ClipMate, it is loaded onto the System Clipboard, and is ready to paste into any target application that accepts the data types contained within the Clip.  There are 3 methods of pasting available:

More:

Pick, Flip, and Paste

QuickPaste

PowerPaste

.topic 26
This is the most casual use of ClipMate.  Simply activate ClipMate, either by clicking on it on the screen, activating its icon in the system tray or taskbar, or using the hotkey (defaults to Ctrl+Alt+C).  Select a Clip in the drop-down ClipList (or if you're in "ClipMate Explorer" view, the ClipList is already visible) and it will be placed on the System Clipboard.  Then "Flip" over to the target application (possibly with Alt+Tab, if you hot keyed into ClipMate, otherwise click on it with your mouse) and paste the data as you normally would.

.topic 258
QuickPaste is a special mode of operation, and while it initially looks much like Classic View, in the "dropped-down" state, it has a very special behavior.
The purpose of QuickPaste is to provide rapid access to clips from WITHIN the application where you want to paste (known as the Target Application).  Instead of the "pick and paste" method (first go to ClipMate, pick an item, go back to your application, and paste), you can use QuickPaste to simply select a clip, press ENTER, and keep going.  You invoke QuickPaste from WITHIN the application where you are working, the data is pasted right at the cursor position, and you are then returned right back where you were.
This is very handy if you are typing – your hands don't have to leave the keyboard, and pasting a clip takes usually only 3-5 keystrokes.

Additionally, you can configure QuickPaste to give you access to two different collections.  This is handy if you're currently working in one collection, but need to access data from another one.  And QuickPick and ShortCuts help you find the information that you need quickly.  And if you have special pasting needs, such as the ability to modify the keys sent to the target application, send TABs, or even other attributes of the clip such as the URL or Title, you can do so with QuickPaste Format Strings.

Basic QuickPaste
Advanced QuickPaste
Using QuickPaste Format Strings
Lesson 4: QuickPaste... (tutorial)

.topic 3030
Step 1: Invoking QuickPaste
QuickPaste can only be invoked via the QuickPaste Hotkey sequence (Ctrl+Shift+Q by default), which must be pressed while you are working in the application that you want to paste into.  For example, if you want to QuickPaste data into Microsoft Word, simply press Ctrl+Shift+Q, while you are still in Word.  QuickPaste will spring to the foreground, showing the red "target" indicator, and the name of the target application on the status bar.

Step 2: Select a Clip

Scroll down with the arrow key, or use the mouse to pick a clip.

Step 3: Send the Clip to the target.

Press ENTER to send the clip to the target application, and end QuickPaste.  Or, you can double-click with the mouse.

That is the basic functionality of QuickPaste.  Bring it up with the hotkey, arrow down to the clip you want, and press ENTER.  Zoom - it's right where you were working, and your hands don't have to leave the keyboard.

But wait, there's more!  See:Advanced QuickPaste

.topic 3390
After you have mastered the basics, you will want to use some of QuickPaste's advanced features.

.topic 910
When QuickPaste sends data into the target application, it does so by placing data onto the system clipboard, and then sending some keystrokes to the application.  Usually, Ctrl+V does just fine.  But sometimes you find an application that works better if you use its own Edit menu, or you may find an older application that uses Shift+Insert instead of Ctrl+V.  So we added this new feature to version 6, so that you can control what keys are sent.
While we were at it, we added the capability to insert other items into the keystrokes.  The ENTER and TAB keys, were natural additions.  Looking over our past suggestions from users, we found that people sometimes need the date/time, source URL, and clip title as well.

So this feature was designed to let you configure QuickPaste to handle just about any pasting task.  Do you need to key in some static text like "user name:" before every clip?  How about pasting the Source URL after the clip?  Or the title?  Maybe some TABs and ENTER keys need to be pressed?  Don't worry, the QuickPaste Format Strings can handle all of that.

Title Triggers
Then there is the capability to automatically select a particular format string based on the title of the application that you are pasting into.  The "Excel Paste" is like that.  Excel hates it when ClipMate sends Ctrl+V, but doesn't mind if you paste from the Edit | Paste menu.  So the Excel Paste is set to look for "Excel" in the title of the "target application", and will be selected automatically if you paste into Excel.

Custom Format Strings
You can add your own paste strings to handle just about any situation that you may have.  See: QuickPaste Settings in the User Preferences section for information on how to configure the strings.

Sequences
You can have "sequences" in the format string, to type numbers such as 1,2,3, into the target application.  If you have selected a format string with the word "Sequence" in the description, then you can reset the sequence by right-clicking on the format list.

.topic 751
This very POWERFUL feature allows you to rapidly paste a series of items into an application.  Once you have a series of items copied into ClipMate, simply select the starting clip, activate PowerPaste, switch back to the target application, and start pasting.  As you paste each item, PowerPaste advances to the next Clip Item in your collection.
The PowerPaste has two "Modes", corresponding to the two modes of PowerPaste.  The button can be found on the far left side of the ClipMate toolbar (either Classic or Explorer).  From a given starting item, PowerPaste can either work its way up toward the top of the Collection, or down toward the bottom. So you will notice that the icon has an arrow that either points UP, or DOWN, depending on the direction of travel. If it is pointing the wrong way, simply click it again and it should "flip". Then it should remember your preferred direction for the next time you use it.

Starting PowerPaste
To start PowerPaste, first you want to pick the first clip in the series.  For example, if you need to paste some records into a database, such as first name, middle initial, last name, etc., you'd start with the clip containing the "first name".
Then you click the PowerPaste button.  Click it once, and an arrow should light up on the button, like this:  .  This indicates that PowerPaste is active, in the "UP" Direction.  This means that PowerPaste will work its way UP the Cliplist.  Click it again, and the arrow reverses.  Use whichever direction suits the arrangement of the data in the Cliplist.  Usually, you'll pick the oldest clip in the series, and PowerPaste UP the list, until you hit the top and run out of data, and then PowerPaste will terminate with a "beep"

To Cancel PowerPaste, just click the button until no arrow appears.

Note: The direction of PowerPaste determines whether you get the data in the order that you copied, or in reverse order.

Exploding PowerPaste

This special mode allows you to PowerPaste individual lines, words, or other "fragments" of a clip. Let's say you have some data like this:

January, 31
February, 28
March, 31
April, 30
May, 31
June, 30

And you need to paste into an application, as separate fields.  I.e. paste January, then paste 31, then paste February, and so on.  With standard PowerPaste, you'd have to copy each "fragment" as a separate clip. Not so with "Exploding" PowerPaste.  Just copy the data as one big chunk.  Turn on the "Explode Into Fragments" option under the Edit menu, and start pasting.  PowerPaste will break the data into "fragments", giving you January, then 31, followed by February.  It'll remove the commas for you, and strip the leading/trailing spaces.  This is great for working with comma delimited data from spreadsheets!

To configure how PowerPaste "explodes" the data, see Config | User Preferences | Pasting.

Looping PowerPaste
Sometimes you would like PowerPaste to "loop" when it reaches the end of the collection (or extended selection).  Turn the "PowerPaste Loop" option on under the Edit menu, and PowerPaste will "loop" back again after it reaches the end.  So you can paste the same series of data, over and over.  Simply click the PowerPaste button to turn it "off", when you finally are finished pasting.

Extended Selections
Like many operations, PowerPaste can operate on Extended Selections, where you have chosen multiple clips by holding down SHIFT or CTRL, as you click in the Cliplist.  If you have made such a selection, then PowerPaste will act on those selected clips.  Otherwise, it will assume that it is running from the selected clip to the end of the collection.

Real-Life PowerPaste Example

At Thornsoft, we use PowerPaste every time that we receive an order from our web site.  As customers order ClipMate, we need to enter the orders into our in-house order-entry system so that we can create shipping labels, receipts, etc.  The order information coming out of the web site isn't in the right format for our order entry system, so we use PowerPaste to automate the conversion of web orders into our system.
We simply copy the individual fields from the report (Name, Company, Street1, Street2, City, State, Zip, Country, Quantity, ID) into ClipMate.  We do all of the orders at once, so there could be a lot of data (the more, the better!)  To set our starting point, we pull down the Clip Item Selection List to select the first item of data that we want to paste (the customer name of the first order).  Next, we press the PowerPaste Up button, as we want to paste the items in sequence from oldest to newest.  Then, we go to the order-entry screen and tab to the "Customer Name" field.  Paste the data, tab to "Company Name" field.  Paste the data, and tab to the next field.  Paste and tab, until the whole order is done.  Begin a new order, and repeat the paste-tab process.

As you can see, this is much easier than switching back and forth to ClipMate in order to retrieve the data.  And compared to keying-in all of this data, it is fantastic!

Arrow Behavior:
The first time you click the button, the arrow will indicate the direction that you used last time.  If you paste some data, and click the button, the PowerPaste will simply turn off, and the arrow disappears.  However, if you click the button without having pasted anything, then the arrow will flip, so that you can paste in the other direction.
So, if you PowerPaste in the same direction every time, it will remember the correct orientation, and you will only have to click it once to turn it on, and then once to turn it off.

About the new button:
Previous versions of ClipMate used a "split" button, which looked like an electrical outlet.  With ClipMate's new "space saving" toolbar, the split design didn't work out, and the button was confusing.  The new button design contains "gears", which are meant to imply "automation".  The arrow provides "direction".  We think you'll like the new button.

Alternate Access: PowerPaste Up/Down from Edit Menu, and SysTray Menu.

For more information see:
Lesson 2: PowerPaste (tutorial)

.topic 840
Program Requirements

Installing ClipMate

Entering Your Registration Key

Upgrading from ClipMate 5

.topic 18
Platforms:
ClipMate 6 runs on:

Windows 95, Windows 98, Windows ME, NT 4.0, Windows2000, or XP.
Internet Explorer 4 or higher.  (non-upgraded Win95 machines will not work)
16-bit color or higher (otherwise button colors will not look right)
25 mb free disk space for program and data.
8mb RAM (used by ClipMate).
Any mouse or pointing device supported by Windows.

Note: NT 3.5 is not supported.

Windows 3.1?

ClipMate 6 does not run on 16-bit platforms. Instead, ClipMate 4.2 is available to users of Windows 3.1.  It is not as feature-rich and uses the older ClipMate 4 user interface.

.topic 19
Installing ClipMate is an easy matter.  Simply run the SETUP program, and follow the prompts.  If you have a prior version of ClipMate 6 already on the system, install into the same directory – do not uninstall the old one first.
NOTE: If you are upgrading from a version of ClipMate prior to 6.0, do NOT install into the same directory.  You can use the File | Import option later to import your 4.x or 5.x data.

XCOPY Installation - Although the easy way is to run the setup - it's optional.  The setup does not do anything significant besides copying the files and creating icons in the Start menu. There are no DLLs to install or register (except for psapi.dll on NT4), so you CAN just copy an existing program directory from one system to another.  Just double-click the ClipMate program and it will run.  If you want it to run at startup, there is an option in the User Preferences dialog, which inserts the proper entry into the RUN section of the registry.

.topic 20
Your registration key will work with any 6.x version of ClipMate, which means that you can download new releases from our WWW site any time that one is available.  From ClipMate's Help menu, select "Enter Registration Key".  This opens the dialog box for entering your name and key.  Only valid ClipMate 6.x registration keys will be accepted.  If you are upgrading from a previous version, you will have the standard 30 days to evaluate the new release.    If you successfully enter and validate your key, then a "thank you" message will appear, and the software will be registered to you, all features will be enabled, and the "registration reminder" screens will not appear again.

NOTE: If your key is less than 32 characters long then it is NOT a ClipMate 6 key, and will not work.  You will need to purchase an upgrade license.

See Entering Your Registration Key - Step By Step

.topic 3720
ClipMate's registration key is really too long to type accurately, so we've made a "smart pasting" function where you can copy and paste from your order confirmation e-mail (sent to all registered users).  We can re-send this e-mail upon request - just send a note to sales@thornsoft.com with "ClipMate Key" in the subject, and your name/address in the body.

The e-mail contains a "key block", similar to this:

This key block will save lots of typing, and eliminate typing mistakes.

Step by Step:
Run ClipMate.
Access your order confirmation e-mail, as shown above.
Just highlight the key block as shown above, and Copy to the clipboard (right-click, Copy).
In ClipMate, you'll see the menu along the top of either ClipMate Classic or Explorer. File, Edit, Config, View, and Help. Select Help, and from there, select "Enter Registration Key".
Click the "paste key from clibpboard, and the name and key should be extracted from the key block, and inserted into the dialog, as shown below.
Next, click Validate, and you should receive a message saying "congratulations, your key has been entered.

Note: This is not a valid key, and is only shown for sample purposes.
Note: No communication takes place with our servers - the program validates the key all on its own.
Note: There may be multiple keys present (6.0, 6.2, etc.)  ClipMate will pick the one that is most appropriate.  We don't always change our key schemes, so for example, there was no special key for v6.3, so it uses either the 6.2 or 6.0 keys.

Manual Entry:
If you are going to type the key (from a hardcopy perhaps), you only type the parts shown below in BOLD:
BEGIN LICENSE
[Registered To: ] Joe W. User Sr.
[ClipMate 5 Key:] G019876505288
[6.2 Key:] HQPRX3-GJ4HXP-P8H3QQ-Q45GW7-7U768P-E5XM4M-1PB5RK-RA05PZ
Number of Users:  1
END LICENSE

.topic 383
If you have ClipMate 5 on your system, then you will want to keep these things in mind:

1.	Install ClipMate 6 into its own directory.
2.	When you run ClipMate 6, it will prompt you for the location of the data directory.  It should be a different location than your ClipMate 5 data.  Do NOT force it to use the same directory as your ClipMate 5 data.
3.	Once ClipMate 6 is up and running, you can use the File | Import operation to read your ClipMate 5 data into the new ClipMate 6 database.
4.	After you are comfortable with ClipMate 6, and have verified that all of your data is intact, you can then uninstall version 5 and remove its data directory.  You may want to make an archive of the old data on CD-ROM, ZIP disk, etc..

Note: Your ClipMate 5 registration key will not work - you must purchase an upgrade key from Thornsoft Development, or an authorized reseller.

.topic 810
ClipMate has two main windows - ClipMate Classic, which is essentially a toolbar with a drop-down list of clips with a preview area, and ClipMate Explorer, which has a 3-pane interface much like Windows Explorer or Outlook Express.  ClipMate Classic is intended for quick access to your data, while Explorer is intended for heavy-duty editing and data management.
You can easily move back and forth between the two with the Ctrl+E key, or by selecting the appropriate toolbar icon.  Classic has a toolbar icon to take you into Explorer, and Explorer has an icon to take you back to Classic.

.topic 870

The ClipList gives you access to all of the Clips in the current Collection.  As soon as you select a Clip, it is placed back onto the system Clipboard, and is ready for pasting into any application.

When you click on the drop-down arrow in the lower-right, the window expands to show the ClipList (listing of the clips in the current collection) and a preview of the data.
Unlike version 5, the ClipList in v6 will not immediately "roll-up" when you make a selection. This is to give you time to see the data in the preview area.  As soon as you switch away to another application, the roll-up occurs automatically.
Also, you may find that you want the window to stay in the "drop-down" mode.  In that case, use the "pin" icon in the lower-left to pin the window open.
At the bottom of the window (when in the drop-down mode) there is a "status" area, showing you the most recent clipboard or editing history.  If you hover your mouse over it, you will see the recent history.
The blue toolbar button (3rd from the right) that resembles a 3-panel window will close Classic, and take you to ClipMate Explorer, which is more suitable for editing and data management.

The toolbar shares many buttons in common with ClipMate Explorer, so the buttons are explained in the ClipMate Explorer Toolbar topic.

.topic 791
The ClipMate Explorer is well suited for data management and editing, as opposed to the quick access focus of Classic.
We've based ClipMate Explorer on the Microsoft Windows Explorer interface, and have incorporated drag 'n' drop support to speed data management tasks, and minimize the learning curve.
As you can see in the screen shot below, ClipMate Explorer is an expansion of the Traditional View, replacing the drop-down list with three new panes:  Collection Tree on the left, ClipList on the right, and Edit/Preview beneath the ClipList.  There are re sizable "splitter" bars between the panes, and there is a Status bar along the bottom.

Here is ClipMate Explorer.  You can click in the various panels to find out more information about what goes on inside the panel.

Docking/Undocking
The 3 panels are "dockable", meaning that you can drag 'n' drop them OUTSIDE of Explorer, so that they become their own window.

Collection Tree Height
Starting with update 6.0.07, you can opt to have a full-height collection tree, making Explorer look like it did with version 5 (tall Collection Tree, narrow Editor).  See the Explorer panel in the User Preferences dialog.

More:

Toolbar Buttons...
Collection Tree
ClipList
Preview/Edit Window

.topic 2800
ClipMate Explorer has lots of buttons which are used to access frequently-used functions.

PowerPaste
Delete Clips
Print
Append
Copy Clips To Collection
Move Clips To Collection
Search
Select Collection
View Mode

.topic 753
Initiates the PowerPaste feature, to automate pasting of a series of Clips into an application.  When you have a lot of data to paste, and it's all in the right order, PowerPaste is the tool to use.  As you paste a clip, PowerPaste will look either UP or DOWN in the ClipList, to pick the next item.  It will then place it on the clipboard, ready for pasting.  As you paste that item into a target application (using the normal clipboard conventions of that application), PowerPaste will select another item, and the cycle begins again.

See: PowerPaste Overview for more information on the use of PowerPaste.

.topic 754
Deletes the currently selected item(s) from the current collection, and sends them into the trashcan.  Depending on the settings of the database, the trashcan will keep the data for a week or so, before actually deleting.  So you can rescue them from the trash, if you need to.

Note: ClipMate 4 had a "Delete All" option, which is not present in ClipMate 6.  Instead, select all items in a collection with Ctrl+A, then Delete.

Alternate Access: Pressing the Delete Key when ClipList has focus, or using the Edit | Delete Item(s) menu.

.topic 755
Prints the currently selected Clip(s).  See the Print Options tab of User Preferences for configuring settings, including options for accessing Print Preview, automatically printing screen shots, printer selection, and customizing the output.

Alternate Access:  Print from the File menu.

.topic 756
Append will combine several text Clips into one big Clip.  There are two ways to append data:

1.	You can select several clips in the ClipList and glue them together, creating one big clip.  Items are glued top-down, or bottom-up, depending on which direction the clips were chosen.  Note that the specific ORDER is not preserved, but the general DIRECTION is.
2.	If you turn Append on without selecting multiple clips, then it will enter the "Auto-Append" mode, where all new clips are appended to a new clip, that keeps on growing.  Much like a giant snowball running downhill.

Using either method, items are appended according to the "Append Rules".  See: Edit Rules .

Note that this used to be called "Glue".
Note that Glue is available only for TEXT items, and will not glue other formats such as Bitmap, Picture, Rich Text Format, etc.
Note that when capturing items in Auto-Glue mode, there is a different "pop" sound, so that you know you're appending.
Alternate Access: Edit | Append menu option.

.topic 758
Moves selected Clip(s) to another collection.  This button is a special "drop-down" button, and is shown on most systems with a little down-arrow to the right.  It is actually two separate buttons.  The Drop-Down arrow will give a menu of available target collections.  Select the target collection, and the selected items are moved.

Alternately, you can drag 'n' drop the clips with the RIGHT mouse button, and you will see a menu that allows you to either Move or Copy the clips.

.topic 2810
Copies selected Clip(s) to another collection.  This button is a special "drop-down" button, and is shown on most systems with a little down-arrow to the right.  It is actually two separate buttons.  The Drop-Down arrow will give a menu of available target collections.  Select the target collection, and the selected items copied.

Alternately, you can drag 'n' drop the clips with the RIGHT mouse button, and you will see a menu that allows you to either Move or Copy the clips.

Note:  Copying a large number of clips is much slower than Moving them.  Moving involves a simple database update.  But copying requires each clip to be read into memory, "cloned", and then written out as a new record.

.topic 759
This is another split button like the Move/Copy buttons, which has a drop-down portion (the "down arrow"), and an icon.  The icon represents the collection that is currently loaded, and clicking on it will bring up the next collection in the tree (if set to do so in the User Preferences | General dialog).  Clicking on the drop-down arrow will show a menu of available collections.  Simply select a collection, and it will be loaded into the ClipList.

This is the same as choosing a collection in the Collection Tree.

.topic 2820
Invokes ClipMate's Search facility.
See: Searching.

.topic 2830
This button closes Explorer, and opens ClipMate Classic.
You can use Ctrl+E to toggle back and forth, as well.

.topic 2840
This toggles the ClipList from "report view", where it shows columns such as title, date, creator, etc., to a "thumbnail" view.
Thumbnail view is very useful for working with clip art.

.topic 830

Hierarchy:
The hierarchy is managed via drag 'n' drop, and collection properties can be accessed via a right-click popup menu.  The collection tree interacts with the ClipList, as selecting a collection will cause the ClipList to display the Clips within that collection.  Also, you can drag Clips from the ClipList into the Collection Tree, to move Clips between collections.

Sorting:
The contents of the tree are either sorted Alphabetically, or by a "Sort Key", which is the default.  As collections are created, they are assigned a sort key, such as 100, 200, 300, etc..  If you right-click on a collection and select "Move Up" or "Move Down", then the sort key is changed, and the item is re-positioned.  You can manually view/edit the sort key as well, by right-clicking on a collection and viewing the Properties dialog.
To choose between alphabetic and "key" sorting, go to Config | User Preferences | General.  The default is Manual (Key) sorting.

Tip: If you prefer Alphabetic sorting (users with hundreds of collections often prefer this), but still want the InBox (or others) to still be at the top, you can trick the sort routine into doing what you want.  Right-click on the collection, view the Properties.  Then rename the collection so that it has a SPACE in front.  "InBox" becomes " InBox".  Note the space.  Now it will sort to the top.

Docking:
Like any of the panels in Explorer, the Collection Tree can be undocked, and its undocked appearance is shown above.

Expand/Collapse:
New in version 6.3, you can right-click to expand or collapse the tree. Very handy if you have dozens, or hundreds of collections.

.topic 261
The Collection Tree visually shows you each Collection's specific properties or situations, using these icons and markings:

  RED		  Red or Maroon text indicates that the collection is configured to reject new Clips from the Clipboard.  Instead, they'll "bounce" to the first "open" (colored black) collection in the tree.
  UNDER		  Underlined titles indicate that the collection is designated as "safe", meaning that auto-purge will NOT occur as the collection fills or the items age.

.topic 50
Although ClipMate Explorer is primarily a pointer-driven feature, it is possible to navigate with the keyboard.  Use the arrow keys to navigate up and down. Left/right arrows collapse and expand parent folders.  Tab takes you out, and over to the ClipList.

.topic 51
Right clicking on a Collection in the Collection Tree will bring up a menu of options (Shift+F10 is the keyboard shortcut).

Properties - Brings up the Collection Properties Dialog.
Move Up in Sort Order - Moves the Collection up one position in the Collection Tree, by adjusting the Sort Key.  The top Collection in the tree is the one that opens by default when ClipMate loads.
    Tip: You can also use the + key.
Move Down in Sort Order - Moves the Collection down one position in the Collection Tree, by adjusting the Sort Key.
    Tip: You can also use the - key.
Add New Collection - Adds a new Collection to the tree.  It will become a child of the currently selected Collection or Database.
Delete Collection - Removes a Collection from the database.  If it contains clip, you'll be prompted.  Clips will be recoverable from the trashcan.

.topic 920
The ClipList is the centerpiece of both ClipMate Explorer and ClipMate Classic, as it's docked into each of them.  All of the Clips in the current collection are listed, with their various attributes (title, source, date/time of capture, available formats, etc.) listed in sortable columns.  The ClipList supports a variety of drag and drop operations, for re-ordering Clips within the collection, for dragging Clips into the Preview/Edit pane, and for moving Clips to other collections by dragging into the Collection Tree.
The ClipList has two views within itself – Detail View and Thumbnail View.  The two new icons at the right end of the main toolbar toggle back and forth between the two views.

The ClipList can be sorted on any column.  Read more about Sorting.

.topic 264
Click on a column heading to sort the Clips according to the data in the column.  ClipMate understands alpha, numeric, and date sorts.  Click again, to sort in the opposite direction.  The direction and column of sorting can be different for each collection, so that you can have one collection sorted alphabetically, another sorted with new Clips on top, another with new Clips on the bottom.
One of the columns is the mysterious, but ever so important, "SortKey" column.  This is used to sort the way YOU want.  For example, if you have some Clips that you need at the top of the collection, you can re-order Clips by dragging and dropping them on one another, or using the right-click "move to top/bottom of sort order".  OK, you've moved them, but now none of the usual sort criteria apply. Alphabetic is no good, neither is date or size.  So we have this magical, mystical, user-defined sort column.  As you move Clips around, the SortKey value changes, to reflect its position, relative to the two Clips that it falls between.  If you drop a Clip between two Clips with SortKey values of 100 and 200, the dropped Clip will be assigned 150. So when you sort by SortKey, it comes up the way that you want it.

New Clips get assigned a new SortKey value of the Clip ID multiplied by 100.  This means that the sequence grows automatically, and has lots of room between Clips.  Don't worry, you won't run out of numbers! (The sortkey wraps around at a little over 2 billion.)

Tip: Sorting determines where new clips are placed.  If you sort on the SortKey, ID, or Date/Time columns, then new clips will appear on the top, or bottom of the collection, depending on the direction of the sort.

Tip: For most uses, sorting by the SortKey column in descending order (largest on top) is the most useful, as it keeps the newest Clips on top and is sensitive to manual Clip movements within the collection.
Tip: To manually adjust the SortKey field you can right-click on a clip, and use the Property dialog to make the change. This is handy if you want to set a SortKey value to a very high number, so that the clip will be at the top of the sort order, every time that the collection is loaded.

.topic 674
When copying from Netscape or Internet Explorer, the URL of the page that the data was copied from, is recorded in the Source URL field.  In ClipMate Explorer, you can click on the URL, and launch the page in your default browser.  Also, you can right-click on a clip, and select "Open Source URL in Browser", which is handy if you are in Traditional View, and would otherwise have to scroll excessively.

Tip – Place Source URL On Clipboard:

You can also place the source URL onto the clipboard – all by itself, by right-clicking on a clip and selecting "Place Source URL on Clipboard".  It'll be placed onto the system clipboard, ready for you to paste into a document. It will NOT be re-captured by ClipMate though (to avoid clutter).

.topic 762
If you click on the button at the far right of the ClipMate Explorer toolbar, you will go back and forth between Thumbnail View and Detail View.  Detail View is the default, and presents the cliplist as a multi-column display, with sortable columns.

Item Type Icons

The first column can contain icons that tell you which formats are present in the Clip Item. Here is a key:
  Icon		  Meaning
               Bitmap Image
             Picture (Metafile) Image
             Text – Plain text with no formatting
             Rich Text Format – contains font, alignment, color, etc.
             HTML Format
             HDROP – Contains a list of files, copied from Windows Explorer

.topic 522
There are a series of columns that are used to indicate the presence of particular formats, such as Text, RTF, Bitmap, etc..  The presence is indicated by a blue dot, or y/n if you have opted to not display the item type indicators.  By sorting on these columns, you can quickly find items containing certain formats. For example, to quickly review all of your bitmap clips, sort on the Bitmap presence column.

.topic 763
If you click on the button at the far right of the ClipMate Explorer toolbar, you will go back and forth between Thumbnail View and Detail View.  Thumbnail View shows Bitmap and Text clips as graphic thumbnails, giving you a preview of the clip.

To configure the appearance of the thumbnails, see the "Explorer" tab of User Preferences.

.topic 930
The Preview/Edit Pane is where you can view Clips, and if they're text items, you can edit and reformat them.  There are 6 tabs at the bottom of the pane, to display various formats of data (TEXT, Rich Text Format, Bitmap, Picture, HTML, and Binary).  Not all will be present – only the ones that are applicable to the data contained within the Clip are displayed.

You will see two forms of the Preview/Edit window by default. One is docked into ClipMate Explorer, and the other is docked into the bottom portion of ClipMate Classic.  When docked into ClipMate Classic, the toolbars are trimmed to save space, and the HTML pane is unavailable.  This is to save space and memory, as Classic isn't meant for heavy duty editing.

Aside from being docked into Explorer and Classic, you can also have free-floating editor windows.  This can be very helpful if you want to do some heavy-duty editing on a particular clip, or if you want to see the current clipboard contents, but don't want to clutter your screen.  You can either un-dock an existing editor window, or summon one by pressing F2 from within either Classic or Explorer.

Here is the editor, shown floating on the desktop.  Note the 3 tabs at the bottom, to view the data as Text, Rich Text, or Binary.  If it had been a Graphic or Web Page, there would have been other tabs, as well.

See:
Text Editor
Text Editor Toolbar
Rich Text Format Tab
Bitmap Tab
Picture Tab
HTML Tab
Binary Tab

.topic 764
This tab displays and edits TEXT items, and has a toolbar full of powerful editing buttons.  You will find that the editing features will rival those of stand-alone editors (but it isn't really meant to replace your favorite editor - but it should compliment it nicely).  You can type, drag 'n' drop, or use cut/copy/paste to edit the contents of TEXT items.

Click below to find out more:
Editor Toolbar...
Rectangular Selections

.topic 271
ClipMate's Text Editor features drag and drop capability.  You can drag and drop text within the editor to re-arrange data, and you can drag 'n' drop other Clips into a Clip, providing an on-the-fly composition of Clips from other Clips.  Once you select the "tack" icon on the toolbar, you can drag and drop other Clips from the ClipList into the Clip that you're editing.  For example, let's say that you have fragments of someone's name and address in the current collection, but you need to have them all combined into one Clip.  You can simply create a new Clip, set the "tack" icon, and then Drag 'n' Drop the pieces of the address into the editor, composing the address on the fly.  This is similar to the Glue feature, but offers more flexibility.

By default, Clips that you drag into the editor will be appended to the end of the Clip that's being composed.  If you wish to insert into a different point, then you must first position the cursor before you start the drag operation.

.topic 792
Sometimes you need to be able to select a rectangular area in the editor. To do so, turn OFF the Word-Wrap toolbar button, and hold down the ALT key as you drag. This is useful for deleting sections of text, or using the COPY button to make a new clip out of the rectangular selection.  Do you have data with a column of numbers that you want to isolate?  Use the rectangular selection, and then the Copy button.  Now you have a new clip, with just that column of data.
Most of the toolbar buttons will not work with rectangular selections, and are greyed when performing this operation.

.topic 2850
The Text Editor has a toolbar for accessing many of the editing functions.  The same editor is used in both ClipMate Explorer and ClipMate Classic, but due to space constraints, the toolbar is hidden from view when docked into ClipMate Classic.  So if you are in ClipMate Classic, and want to do some serious editing on a clip, you should open another editing window.  It's easy.  Just press F2, or right-click on the clip in the ClipList, and select "View Clip".  Or,
you can undock the editor by clicking 'n' dragging the "gripper bar" with your mouse.

Click below to find out more:
The Tack Icon
UnDock
Word-wrap
New Clip
Cut
Copy
Paste
Shift Left
Shift Right
Remove Line Breaks
Change Case
Text Cleanup
Undo
Spell Check
Active Spell
Hilite HTML
Encrypt / Decrypt

.topic 771
A very useful mode of operation when doing extensive editing on a clip is to "tack" the editor to the clip.  Normally, each editor window will display the clip that is currently on the clipboard.  That's usually ok, but what if you want to cut and paste within a clip?  Or combine two clips?  Then you will need to "tack" the editor to the clip that you are working on.  Now you can cut/copy/paste, without the editor trying to display the current clipboard contents.

.topic 2860
This will undock the editor from Explorer.  ClipMate assumes that you still want an editor within Explorer, so it builds a new one for you - now you have two.
Another way to undock is to drag the dock bar "gripper" with your mouse.
This what we mean by the gripper:

See also: How do I Undock A Window?

.topic 772
Displays the text in a word-wrap fashion – has no effect on the data itself.

If you are in ClipMate Classic, and want the preview to wrap, you can access it from the right-click menu, when you click in the preview area.  Note that this editor, and the one in Explorer, will remember their settings independently of each other.

.topic 3640
The editor can now show the "non-printing characters", such as line-breaks, spaces, and tabs which will be shown as: ¶ · », respectively.  This same feature and button appear in many editors and word processors - it works the same way.  Press to toggle on/off.

Tip: This can be helpful in understanding data alignment problems, to see where the spaces, tabs, and linebreaks actually fall within the data.

.topic 775
Creates a new, empty Clip in the editor.  This is handy if you want to create data to paste somewhere without having to go into Notepad and create it.

.topic 776
Destructively copies the selected data to the Clipboard.  Remember, ClipMate will capture the data, into a new Clip.  So set the "tack" icon before cutting, unless you want to be looking at the new Clip.

.topic 777
Copies the selected data to the Clipboard.  See the above warning, but then again, sometimes this is just what you want to do.  For example, you might have a Clip containing several sentences, but you only want one.  Highlight the one you want, hit the Copy button, and you will get a brand new Clip containing just the data that you need.

.topic 778
Paste from the Clipboard.  Again, most useful if you've set the "tack" button, and therefore some other Clip is on the Clipboard, and you can paste it into the Clip that you're editing.  Or, if you don't have the "tack" set, then you'll duplicate the current Clip into itself at the insertion point.

.topic 780
Removes the leading spaces in each line of text, one column at a time. If you have selected some text, it works just on the selection.  If you hold down the CTRL key, it will remove ANY CHARACTER in the first column.  Very handy for removing those annoying >> symbols from quoted E-Mail.

.topic 781
Adds one space to each line of text.  If you have selected some text, it works just on the selection.  Very handy for "indenting" data, such as when writing programs.  It accomplishes its task by inserting a space at the beginning of each line.

.topic 782
Removes unwanted line breaks.  Very often when you copy data from online sources, there will be hard-coded line breaks at the end of every line.  This will remove those breaks.
Here is an example:

Now is the time for all
good men to
come to the aid of their
Country.

This would convert into:

Now is the time for all good men to come to the aid of their Country.

Notice that the text now wraps at the same margins as the rest of the document.

There are two modes – normally, it will look for a single line-break and remove it.  If it sees two, however, that usually signals a paragraph boundary, so these are left intact.  But if you want to force it to remove those as well, you can do so by holding down the CTRL key.

.topic 783
Changes the case of the text in a variety of ways.

By clicking on the down-arrow, you can specify any of the following conversions:
  Lower Case		  this is an example.
  Upper Case		  THIS IS AN EXAMPLE.
  Mixed Case		  This Is An Example.
  Sentence Case		  This is an example.

This is a special "Drop-Down" button, usually displayed with a drop-down arrow.  If the arrow is present, then it will bring up a menu of the four conversions. If you don't have the drop-down arrow present, then clicking on the button will always bring up the menu.

.topic 784
This function cleans up text by running it through a series of functions:

1.	Strip - This removes characters, such as those ugly >>> marks that often appear in forwarded E-Mail or Newsgroup postings.  You can specify that they be removed at the beginning or end of any line – plus an option for "anywhere".  There are some popular pre-defined characters to be removed, or you can specify others in the "others" area.
2.	Format Paragraphs - This invokes the Remove Linebreaks function.  You can leave the data "as-is", remove the linebreaks within paragraphs, or remove ALL linebreaks.  There is an additional option to add linebreaks back in, at a pre-determined column.  It'll use intelligent word-wrapping, so the right-margin will be "ragged", as it wraps at the last opportunity before the indicated margin.
3.	Case - This will use the Case Conversion function, just as if you'd invoked it by itself.  It happens AFTER the first two steps, to take advantage of any corrections to sentence structure.
4.	Re-Quote - This will add forwarding marks (>>) back into the text, after the clean-up is complete.

Note: This function, although powerful, may not always produce the intended result.  If it makes a mess of things – hit the UNDO button, and try it again.  It's meant to perform MOST of the clean-up work, not necessarily all of it, nor will it work in all situations.  Sometimes a slight manual edit is all that it needs to be successful.

.topic 779
You can undo any of the next group of buttons (Shift Left, Shift Right, Remove Line Breaks, Change Case, Text Clean-Up  Also, if you edit the text directly with the keyboard or mouse, you can also UNDO that as well.

The UNDO is one level only. For example, if you change the case and then remove the line-breaks, pressing UNDO will only UNDO the line-break removal.  If this button is greyed out, then there is nothing to undo.

.topic 786
When Active Spell is turned on, the text is analyzed all the time.  Mis-spelled words are underlined in a wavy-red manner.  Right-click to change/ignore, or add to your custom dictionary.

.topic 3600
You can enter keywords to highlight.  Separate multiple keywords with commas.  Wildcards are not used here, as partial matches will highlight automatically.
When you use the Search feature, the highlight keyword list is automatically populated.  So you can use it to find the search string within the clips in the result set.  The button above is provided for "stand-alone" use within the editor.

Here is a result of this help topic, with the keywords:  key, highlight.

To use, just click on the toolbar button, and enter the keywords separated by commas.  They'll be in effect until you change them, close the program, or perform a search.

.topic 2870
This turns on the HTML Syntax Highlighting.  Use this if you are working with raw HTML tags.

.topic 2880
Encrypt a clip using ARC4 encryption.
To permanently remove encryption, use the File menu.

.topic 785
This will spell check the current clip.  It works like many other spell checkers, allowing you to accept/change/ignore a misspelled word, or add it to your custom dictionary.

For more information on configuring the spell checker, adding dictionaries for your language, etc.,
See: Spell check Configuration.

.topic 765
Applications such as Word Processors speak a language known as Rich Text Format.  It contains formatting information such as fonts, alignment, etc.  ClipMate can display, but not edit, Rich Text data in this tab.

.topic 766
Displays Bitmap items.  You have several viewing options:

Full size in a scrolling window
Scaled to fit in the space provided, with 1:1 aspect ratio.
Stretch to use all available space.

The X,Y dimensions of the item are also displayed here.

Tip: You can undock the Preview/Edit window to give you a larger viewing area - you can even Maximize an un-docked viewer.  The quickest solution is to press F2 to open up a new Preview window, then Maximize if you need to see more.  Close it when you're done (don't minimize - close it).

.topic 767
Displays PICTURE or Metafile items.  Picture data is usually used for mechanical drawings, Clip-art, and other things that are meant to look good when "stretched".  It is useless (and usually way too big) for "real-life" images such as photographs and screen shots.

.topic 768
This is where you will view HTML copied from web pages, or raw HTML tags copied from an editor.  With data copied from Internet Explorer, the pages in ClipMate should look very similar to the original, complete with images.

ClipMate uses Internet Explorer to render the HTML, so you will need Internet Explorer 4 or higher, to use this feature.

Availability
Some applications copy data as a particular "HTML Format" data type.  This format is designed for exchanging portions of HTML pages, with all formatting intact, except for the content of graphics.  Not all applications support this format currently, but we expect it to become more popular, as Microsoft has documented it as a public data exchange format.

If you copy some textual data from a web page, ClipMate will capture the specific "HTML Format" data type, and display it in the HTML tab.  It will look remarkably like the original text, with the appropriate fonts, tables, and colors.  Hypertext Links are clickable, and will launch the target URL in your default browser.

Netscape Notes:
Prior to version 7, Netscape did not support the HTML Format data type.  So ClipMate relied on Dynamic Data Exchange to converse with Netscape and obtain the "Source URL" that way.  Netscape 7 DOES support the HTML Format data type.  Unfortunately, they did not include the optional "Source URL" data, which is what allows ClipMate to determine the URL that the clip came from.  So it's useless for determining the URL.  Even more unfortunate, they have apparently gutted the DDE interface, so that we cannot even use the backup method (DDE conversation using topic: WWW_GetWindowInfo) of determining the URL.  So although data from Netscape 7 will have the HTML Format data, and will look nice in ClipMate, there is no way to determine the Source URL.

Opera Notes:
Opera does not support the HTML Format data type.  Reports vary on whether DDE works with Opera any more.  ClipMate will try to use DDE, if enabled in Config | User Preferences | Advanced.

A Note About Graphics
When you copy HTML to the clipboard, only the HTML itself is present on the clipboard.  Any Images are referenced by <IMG> tags, and are not actually on the clipboard.  When you paste data containing <IMG> tags, the application that you paste into will re-download the images from the original site, or it may retrieve the images from your browser cache.
ClipMate6 can also retrieve images from your (IE) browser cache.  So when you view HTML in ClipMate, you will often be able to view the original images, if they are still in the cache.

Displaying TEXT in the HTML Tab

Web page developers will appreciate the ability to view plain text in the HTML tab, where it is interpreted as HTML. Text without tags appears as regular text. But any tags are interpreted by Internet Explorer. For example, this text:  <H1> Heading 1 </H1> would display as "heading 1" style, in the HTML viewer.

When TEXT is displayed in this tab, the caption on the tag changes to indicate "TEXT as HTML", so that you know that it is interpreting TEXT as HTML, rather than displaying the actual HTML format.

Revisit Source URL

When an application supports the complete "HTML Format" specification, it supplies the URL of the page that the data was copied from.  This is particularly useful if you copy data from Internet Explorer.  If you see a valid URL in the "Source URL" field, then the Revisit button will launch your web browser to go back to that page.  This only works, of course, if the page is still on the server, and if you are connected.  Note that not all applications will provide a meaningful Source URL.  News articles, for example, are not usually launchable.

HTML Popup Menu

The HTML tab has a unique popup menu that is provided by Internet Explorer directly.  It is the same menu that you get if you right-click inside Internet Explorer itself.  Interesting items here are View Source, which will launch Notepad to show you the text representation of the HTML, and the Print feature.  Again, the printing is performed by Internet Explorer, not ClipMate, so it will behave a bit differently than ClipMate printing.

.topic 769
The Binary tab is useful for "peeking" inside some data formats that can't be displayed normally – such as "HDROP".  It is also useful as an investigative tool, such as if you're wondering why you have an extra line-feed when copying from a certain application – this can show you, as you see all of the bytes in the data.  You probably won't use this very often, but it is handy if you need it.

Note: This tab is disabled by default. Enable it in the Advanced tab of User Preferences.

.topic 2590
Once you understand the basics, there are many advanced features and options that can make ClipMate even more convenient and powerful.  Here we explain the various options, as well as database management, spell checking, screen capture, PowerPaste, exporting, and sharing data on a network.

.topic 2480
Here is where you control the various settings that control everything from tooltips, to data storage, to avoiding conflicts at startup. There are several main areas:
User Preferences Dialog
Clipboard Diagnostics
SQL Window
Database Maintenance
Spell check Configuration
Startup/Recovery Menu

There are also several "stand-alone" options, found under the CONFIG menu.

Auto Capture - this determines whether ClipMate is capturing new clipboard updates or not.  If you want to permanently turn this off, see the "Advanced" tab of the User Preferences dialog.
Reestablish Clipboard Connection - In case the clipboard connection is lost, it can be reset here.  This shouldn't be necessary anymore with the "keepalive" function.

About the settings
All of the ClipMate settings are stored in the registry.  If multiple user accounts are on the same system - each user has their own section of preferences.  If for some reason the settings become terribly fouled up and you want to start over, you can do a registry reset by starting ClipMate with the CTRL+SHIFT keys held down, and ClipMate will ask if you would like to reset the registry.

.topic 2730
ClipMate's User Preferences dialog is accessed from the Config menu, in ClipMate Classic or Explorer.  Also, you can access it from the System tray menu.  Many settings take effect immediately, but some will require you to re-start the program in order to see the effect.

See:
General
Classic
Explorer
Editor Configuration
Pasting
Hotkeys
Sounds
Database
Application Profile
Edit Rules
Printing
Advanced
Logging

.topic 1210
Run At Windows Startup?
This sets an entry in the registry so that ClipMate starts when you start Windows.  This replaces the "startup folder" method that earlier versions used.  In case you are interested, the key is: HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run
If you choose to "run ClipMate at Windows Startup" during the installation, this will be already set.

Start Minimized?
Normally, ClipMate will start showing either ClipMate Explorer or ClipMate Classic, depending on whichever one you were using last time.  (Provided that they are set to auto-load)  However, if you don't want to see either of them on the screen when you start, you can use this option to hide them.

Show Progress Dialog?
During lengthy operations like signing onto the database or logging off, ClipMate will show a blue "busy" dialog.  You can turn it off here, if you don't want to see it.  Note that this is not the same as the "loading..." dialog that shows while ClipMate is being launched.

Show Item Type Icons?
Show or hide the little indicator icons to the left of the clip titles in the ClipList.

Show Hints (Tooltips)?
Show or hide the tooltip hints that appear as you hover your mouse over various controls.  You can also determine how long they stay visible.

Show Fancy Hints?
ClipMate normally uses "HTML-Enhanced" tooltips.  If this is causing display problems (usually on Windows95), or if you are visually impaired and are using a screen reader, you should turn this option off.

Use Fancy Menus And Buttons
ClipMate normally shows icons in its menus and some of its buttons.  If you prefer not to see them, or are visually impaired and are using a screen reader, you should turn this option off.

Confirm When Deleting Items From "Safe" Collections?
If you have a collection set to "never delete", you can have an extra measure of protection so that you don't inadvertently delete clips.  You'll receive an "are you sure?" dialog.

Check for Updates?
When enabled, ClipMate will poll our server every 15 days to see if updates are available. If so, you'll be notified, and invited to run the AutoUpdate wizard to download and install the updates. This is a great way to make sure that you're running the latest ClipMate available.  For more information, see Automatic Update.

Collection Sorting
This determines the order in which collections appear in the Collection Tree and on the Select Collection, and Move/Copy to Collection menus.  They can be ordered alphabetically, or by "sort key".  If you use "sort key", you will order the collections in the Collection Tree by moving them up/down with the menu or the +/- keys.

System Tray Title
The title of the system tray can contain either the title of the current clip, or the current collection.  So you can hover your mouse over the system tray icon, and see what's on ClipMate.

System Tray Note:
In previous versions, you could optionally use the system tray, or the regular taskbar.  This dual-mode caused lots of technical problems, usually in the form of multiple icons showing at once.  So in the interest of saving screen space, we've gone with just the system tray icon.

.topic 1220
These settings apply to ClipMate Classic, and this tab will only be visible if Classic is loaded.
To make the window as small as possible, set it to use Small Buttons, Hide the main menu, and do not show the optional' "remove line breaks" button.

Load at Startup?
When ClipMate starts, it can pre-load Classic and/or Explorer so that you don't have to wait for them to load when you want to access them.  If both Classic and Explorer are set to load, it will show you whichever one was used last time, but they are both loaded into memory.

Small Buttons?
ClipMate has two sets of buttons for the main toolbar - a 16x16 set that takes up a minimum amount of space, or the same 24x24 set that is used in ClipMate Explorer.  You will need to close and re-start ClipMate Classic to see the change properly.

Hide Main Menu?
You can make the window smaller by hiding the main menu.  Of course, you'd have to then go into ClipMate Explorer to access the menu.

Magnetic Borders?
When positioning the window near the screen edges, this causes it to "snap" to the edge when you are within 16 pixels.  This makes it easy to align to the edge or corner of the screen, and is sometimes known as "WinAmp" style.

Enable Close Button?
This refers to the 'X' button in the upper-right of the window, standard on most applications.  It can be disabled, to prevent accidental closing of the window.

Optional Toolbar Buttons
We've made the toolbar customizable so that you can choose the buttons that you want to see on the Classic toolbar.  Be advised, however, that if you don't have enough buttons, then the main menu will "wrap", and the window won't look right.  So use enough buttons to allow the entire main menu to fit.  You will need to close (click the 'X' button) Classic and re-start it, to completely show the new layout.
Tip:  Hover your mouse over each of the check boxes to see what the button looks like - it shows in the Hint.

Visibility
ClipMate Classic can be set to stay always on top.  It can also be set to automatically hide (minimize) itself when you switch away from it.  Or it can act "normal".

.topic 1290
Here are settings for ClipMate Explorer.  This tab will only be visible if Explorer is loaded.

Load at Startup?
When ClipMate starts, it can pre-load Classic and/or Explorer so that you don't have to wait for them to load when you want to access them.  If both Classic and Explorer are set to load, it will show you whichever one was used last time, but they are both loaded into memory.

Small Buttons?
Use this to display small (16x16) buttons on the Main Toolbar.

Magnetic Borders?
When positioning the window near the screen edges, this causes it to "snap" to the edge when you are within 16 pixels.  This makes it easy to align to the edge or corner of the screen, and is sometimes known as "WinAmp" style.

Layout?
Full Width Editor - The editor uses the full width of the Explorer window, forcing a shorter Collection Tree.
Full Height Collection Tree - The Collection Tree uses the full height of the Explorer window, forcing a narrower Editor.

Enable Close Button?
This refers to the 'X' button in the upper-right of the window, standard on most applications.  It can be disabled, to prevent accidental closing of the window.

Thumbnail Icons
This determines the size of the icons use to display clips as Thumbnails.  If you haven't seen the thumbnails, investigate the toolbar icon to the extreme right of the Explorer toolbar.
The Cache Size determines how many icons to cache in memory.  A higher value uses more memory, but boosts performance.

.topic 1320
These options apply to the Preview/Edit window.

Show Line Numbers?
The editor can optionally show the line numbers along the left side of the editor.  Only available when viewing TEXT clips.

Show Binary Tab?
Sometimes you need to get down to see the bits and bytes of a clip.  For example, is there really a carriage return AND a line feed, or just a line feed?  Or what sort of header is present in an HTML clip?  With the binary view, you can see this type of information.

Small Buttons?
Use this to display small (16x16) buttons on the Editor Toolbar.

Tab Stops
If you copy data from an editor that assumes that tab stops are set a certain way, but ClipMate's editor doesn't agree, then the data can look odd.  So here you can adjust your tabs to be 4, 5, 8, 10, or whatever you need.  Note that this does NOT affect the data at all.  It only affects how the data displays within ClipMate.

.topic 2740
Here is where you configure ClipMate's two specialized pasting methods - QuickPaste and PowerPaste.

QuickPaste Formatting
PowerPaste Settings

.topic 2780
Here is where you can configure the QuickPaste Formatting Strings, which are used to determine what keystrokes are sent to the target application during the QuickPaste operation.  This section will show you how configure each component of the formatting string.  There is another topic under the "Using QuickPaste Format Strings" section that talks about how to USE this feature.

The formatting strings are used to send special, or additional keys to the target application during QuickPaste.  Most applications are happy pasting with the standard Ctrl+V key.  But some applications, particularly older ones, prefer Shift+Insert, or will only behave properly if the pasting is done via the Edit | Paste menu.  So some special handling is needed in some cases.  Since we had to build that mechanism, we decided to allow for just about anything to be keyed into the application, either before or after the paste takes place.  This may seem rather odd, but we've had quite a few requests for some very odd things to be added to ClipMate, and this will take care of many of them rather nicely.

in the graphic above, you see the various components of the QuickPaste Format String.  here are the components and their purposes:

Title
Just a title, to show the meaning of the special formatting instructions.

Preamble
Text to be inserted before the clip is pasted.  ex:
Here is a nice clip: {TAB}

Paste Keystrokes
Keys used for pasting into the target app.
Typical Keys:
Ctrl+V:  ^V
Shift+Insert: ~{INSERT}
Edit + Paste Menu: @e#PAUSE#p

Postamble
Text to be inserted after the clip has been pasted.

Title Trigger
This can be used to invoke a particular format to be used with a particular application.
Use application names or other strings that appear in the title of the target application, to trigger the use of a specific format.
For example, if you always use a specific format with "Notepad", then you can put Notepad in this field.

Meta Characters and Macros
There are many special keys and expandable macros used by the "sendkeys" processor.

Examples
To place the title of a clip on a line before the clip itself, enter a preamble of:  #TITLE#{ENTER}
To cause the pasting to be done with the Edit | Paste menu, use a Paste Keystrokes of: @e p.  Optionally, use a #PAUSE# to slow it down, as in @e#PAUSE#p.
To display the source URL after a clip is pasted, use a postamble such as: Found on the WWW at: #URL#{ENTER}.

.topic 2790
Exploding PowerPaste
While PowerPaste will normally paste one clip at a time, you may have text that is formatted such that ClipMate can pick it apart and paste the individual fields.  For example, it may be "comma delimited".  ClipMate's Exploding PowerPaste can break the data up into "fragments", and paste the individual chunks of the clip.  For more information on how it works, see: PowerPaste.

To configure, you need to determine what characters determine a fragment.  You will commonly use commas, tabs, line-breaks, or spaces. Tabs are denoted with a \t and linefeeds are \n.
For a space, just put a space in the delimiter.  The default set of delimiters is:  ,.;:\n\t

You can opt to have the delimiter stripped out, and there is an option to have spaces and control characters stripped out as well.

PowerPaste Loop
There is a new "loop" option for PowerPaste.  But it's not on this dialog, it's on the main menu, under Edit.  Click to toggle it on and off.  If it is set to LOOP, then when you finish the PowerPaste sequence (either exploding or regular), it will start over instead of quitting.

PowerPaste Shield
If you have trouble with other applications interfering with PowerPaste, causing it to "fast-forward", then you can use this option to enable PowerPaste to operate in "stealth" mode, hiding the clipboard updates from other applications.
This allows PowerPaste to proceed normally, without the other applications being able to prematurely trigger the PowerPaste advancement.  In rare cases, the application that you are pasting into (the target application) may rely on the clipboard notification, and this option may need to be turned off.  But usually this should not be the case.

When PowerPaste ends, the regular clipboard notification is restored.

.topic 3630
All of the font settings have been consolidated onto this page.

ClipList Font
This is the font used to display the ClipList in both ClipMate Classic and Explorer.

Text Preview Font
This sets the font used to display TEXT clips in the editor, using the TEXT pane of the display.

Printing Font
Choose the font used to print TEXT clips.  Tip: try to use a mono spaced font like Courier New.  And try to keep the size small enough so that the data does not wrap prematurely by hitting the right margin before it reaches the line length in the original document.

All Other Controls
Use this if the dialog boxes look strange.

Tips:
Fonts do NOT affect the data.  None of these font settings affect the data.    It just makes it easier (or harder) to see and edit the data in ClipMate.  For example, if you copy the data as Arial 10 pt, and then change the font of the editor to display as Times New Roman 14 pt bold, do not be surprised when it still pastes as Arial 10 pt (or even if it pastes as something completely different, as the font is really up to the application that you're pasting into, when it comes to TEXT data.)

Japanese/Shift-JIS/Kanji:  For displaying Shift-JIS data in Japan, use a font that supports Shift-JIS such as MS Gothic, with the script set to Japanese.  The "script" setting is new in ClipMate 6.2, and should take care of any non-conforming display problems with Japanese characters.

.topic 2630
There are several hotkeys that can activate ClipMate functions even when you are working in another application. These are known as Global Hotkeys.  Since only one application can be assigned to a particular hotkey sequence, it is possible for conflicts to arise.  For that reason, and for user convenience, the hotkeys are changeable in this dialog.

To change a hotkey, position the mouse within the desired hotkey control, and press the key sequence.  Note that this is different than TYPING.  For example, to assign "Activate  QuickPaste" to Ctrl+Alt+Q, you would hold down the Ctrl, Alt, and Q keys simultaneously.  This is quite different than typing "c t r l + a l t...."

Once you have set the hotkey, you must TEST the hotkey to see if ClipMate is able to reserve the hotkey in Windows.  This is a "spot check" to see if there is a conflict with keys already reserved by applications that are running right now.  (Unfortunately, it is impossible to test against applications that are not currently running.)

Show ClipMate Window
This will bring either ClipMate Classic or ClipMate Explorer to the foreground.  It is essentially the same as clicking on the system tray icon.

Scroll To Next / Previous Item In Collection
Activates the next or previous clip in the current collection.

Activate QuickPaste
Brings ClipMate up in QuickPaste mode.  See: QuickPaste for more information.

Region / Object Screen Capture
Initiate either of these two screen capture modes.  See: Screen Capture for more information.

NOTE:
ClipMate does not have hotkey support for individual clips.  Instead, use the Shortcut facility for assigning "key sequences" such as ".cc.v.n" to individual clips, accessible within QuickPaste.

.topic 2640
There are various events that can trigger a sound from ClipMate.  Most users find the sounds to be useful, some do not.  You can turn the sounds on/off here.  There is currently no facility for end-user selection of the sound files to play for the various events.   The "test" buttons are used to let you hear the particular event, so that you know what it sounds like.  The various events are all self-explanatory:

New Data Captured From Clipboard
Clipboard Emptied By Another Application
New Clipboard Data Ignored, due to duplicate or inappropriate data.
PowerPaste Complete
Append New Data Into Existing Clip
Network Update (New or Updated Data)

Custom Sounds
If you don't like the default sounds, you can override them by placing your own sound files (.wav files) into the ClipMate6 program directory, and naming as follows:

capture.wav - New Data Captured From Clipboard
erase.wav - Clipboard Emptied By Another Application
ignore.wav - New Clipboard Data Ignored
complete.wav - PowerPaste Complete
append.wav - Append
sonar.wav - Network Update

Note that the default sounds are not present in the program directory, as they are compiled right into the program.  And you do not have to provide a complete set.  So if you have a file such as "doorbell.wav" that you want to use for the "New Clip Captured" sound, copy it into the \program files\ClipMate6 directory, rename to "capture.wav", and then it should take effect immediately.

Tip: Be sure to keep the files small!  You don't want to tie up your CPU or disk drive by playing large sounds during clipboard events. 8-16KB is a good size.

.topic 1380
Here is where you control what databases you want to connect to when ClipMate starts.  By default, every ClipMate installation creates a database called "My Clips", stored on your local hard drive, set for single-user mode.
But you can add others, if you like.  The most popular use for this is to enable multi-user sharing on a network.  Other users may have secondary data sources on ZIP disks, or CD-ROM.  Or you may want to keep old databases available for occasional use.  Whatever the need, ClipMate can probably handle it.

Database Definitions
Each database is listed here.  The checkmark determines whether it will be loaded at startup or not.  The individual fields are explained in detail on the Database Properties dialog.
Add Button - creates a  new entry and edits with the  Database Properties dialog.
Edit Button - edits the current entry with the  Database Properties dialog.
Delete Button - deletes the current entry.
Open Folder In Windows Explorer - uses Windows Explorer to open the directory.  You'll likely see the list of database files.  ClipMate 6 uses a series of .DAT (Clip and COLL headers), .IDX (Database Indexes), and .BLB (The actual data) files.   You'll have about 22 of them.  If you have files ending in K, those are backups left over from database cleanup or repair, and can be deleted.

Database Maintenance
Internal Backup Interval - how often to invoke the built-in database backup routine.
Set Offline Daily - use this option to cause ClipMate to close the databases, to allow external disk utilities (backup programs, antivirus, compression, defrag, etc.) programs to access the database without running into "file in use" issues or errors.

About our database:
We're using the award-winning DBISAM by Elevatesoft.  DBISAM is small, fast, and can scale to handle dozens of simultaneous users and thousands of clips.

Also See: Database Maintenance for detail on running backup, restore, and repair/compress.

.topic 102
Here are the properties of the individual database definition(s).  Think of it as an address book entry, that tells ClipMate where to find a database, whether to load at startup, whether it is multi-user, etc..

Title - Title of the database.  Shows up at the top level of the collection tree.
Directory - path to the database.  Must be on a local drive, or network drive mapped to a drive letter.  You must have read/write access to the directory and files.
Auto Load Data Source At Startup? - If a database is seldomly used, or is not available right now, you can tell ClipMate not to load it.  (Beginning with v6.2, you can dynamically load any database after ClipMate has started.)
Multi-User? - are other users updating this database at the same time that you are?  If so, you should set this option.
Allow this user to backup the database? - turn this OFF to suppress the weekly backup reminder for this database, while still allowing local databases to be backed up.  See Database Backup
Read-Only - This prevents ClipMate from trying to write or save any data into this database.  You must have at least one "read/write" database though.
Trashcan Retention Days - How long to keep items in the trashcan before deleting?  7-30 days are recommended.  Setting to 0 won't necessarily make ClipMate more efficient, due to database allocation issues.
Purging and Aging - This applies to the scheduling of the Overflow and Trashcan processing.  If you are sharing this database on a network, you should have only ONE user set to perform this option. Otherwise, you have the choice of running this maintenance during startup, at shutdown, or continually (runs an hour after the last user activity).  Most users should choose the "at startup" option.  But if you keep your system up for weeks at a time, and process a lot of data, then perhaps the Hourly option is for you.  You can also leave the automatic clean up turned off, and run the cleanup manually.
Temp File Location - The database needs to open a few "temp" files, and this setting determines where they go.  They can be placed beneath the database directory, in the directory identified as "TMP" in your system settings, or right in the program directory (\program files\clipmate6\temp).  Prior versions of ClipMate 6 always stored those files system "TMP" directory, but some users ran into trouble, usually from "cleanup" programs that were clearing out the TMP directory.  So now we have 3 options. You should use:
1.	Database Directory - Best option - use unless the database is on a slow device (compact flash, CD, or network). Don't use this option if the datbase is on a network.
2.	System TMP - Good performance, but can cause problems at windows startup (you'll see errors mentioning the temp directory) if other utilities are busy clearing out the temp directory while ClipMate is opening the databases.
3.	Program Directory - use if the other two don't work for you.

Also See: Overall Database Settings Page.

.topic 2770
ClipMate's database is very robust, and it can recover from many different types of problems.  But you still need to make backups.  If Windows crashes and trashes the part of the hard disk where ClipMate's database resides, your data will be gone.  If a virus infects or destroys the database, your data will be gone.  If your hard drive fails because the manufacturer engineered towards capacity instead of reliability, your data will be gone.  (Note: we've recently noticed a trend in warranties from major hard disk manufacturers.  Instead of a 3-year warranty, they are now changing to 1 year.  What does that say about the future of hard drive reliability?  Quite a lot, we think!)

We hear from customers EVERY DAY, who are rebuilding their systems due to hard drive failure, virus attack, theft, etc...  You name it, we've heard it.

ClipMate's Backup Solution
ClipMate has a built-in ZIP-based backup facility, which will backup your database(s).  Since the backup can take several minutes on large databases, it is not set to run automatically.  Instead, it will prompt you at startup to let you confirm the location. If you don't want to backup, just click Cancel. Otherwise, click OK to start the backup.  Each new backup file has the date in the filename, so you can keep several generations in the same directory.  Here's an example file of the "My Clips" database, generated on October 16, 2002:  D:\backups\ClipMate6_DB_My Clips_2002-10-16.ZIP

When to backup?
By default, it will prompt you to perform a backup every 7 days.  You can change this in the Database tab of User Preferences, and also on the backup confirmation dialog.  Backups normally happen as ClipMate loads - but you can also manually invoke backup by going to File | Backup Database.

Manual Backups?
You can run the backup manually, with File | Database Maintenance | Backup Database.

How do I get rid of the reminder message?
If you do NOT want to be prompted to perform the backup, set the "reminder interval" to 9999 days, or 0.

How do I have the backup run unattended?
On the backup confirmation dialog, there is an option to automatically OK the dialog.  Enable the option, and set the countdown to 2 or 3 seconds.  This still gives you enough time to intervene, if needed. Clicking on any control on the confirmation dialog cancels the countdown (but you can still click OK manually), allowing more time to make changes, or abort the operation.

Where to backup to?
If you back up to the same hard disk that has everything else on it, then you are still vulnerable - so you should consider backing up to another hard disk if you have one, or else transfer the resulting .ZIP file to CD-R, ZIP disk, etc..  For example, run the backup into your My Documents folder, but every month, burn the most recent backup onto a CD.

Multi-User Considerations? - you should not perform backups on databases that are being actively written to by multiple users.  And you should not have everyone being nagged about backing up the group database every week. So there is an "Allow User To Backup This Database" option in the Database Properties dialog.  Turn it OFF for everyone except the one user that you designate to run the backups.  Unless you have a server-based backup solution (tape, etc.), in which case you set this flag off for all users.

What gets backed up?
All database files - .dat, .idx, .blb files, located in the data directory of any given database.

What about the old files?
Old backup files are currently not automatically deleted - so you should periodically delete unwanted backup files.  If you will have need for archival data, you should consider keeping one backup from every month for several months, then maybe one for each end-of-year.

What if I have my own backup solution already?
Great!  Just include each database directory in your regular backup scheme.  Use the "Set Database Offline" option to schedule some ClipMate "downtime" to correspond to the backup schedule, so that ClipMate's databases will be "closed" when the backup program tries to access them.

Also See: Database Restore

.topic 3650
Starting with v6.2, you can use the built-in database restore function.  Use File | Database Mainteance | Restore Database, select the backup file (ex:ClipMate6_DB_My Clips_2002-10-16.ZIP), and it restores it into the current database.

IMPORTANT: If you have multiple databases defined and active within ClipMate, you should first select a collection within the database that you want to restore to.  That sets this database as the "active" database, which will be the restoration target.  There is a confirmation dialog box that will confirm the name and directory of the target database.  It will warn you if the database name and backup filename do not appear to match.

Special Considerations For Database Restore:
Preserve Interim Data - Let's say that you have an old backup that you want to restore, but don't want to overwrite your existing database.  In that case, you should create a new database, activate it, and restore the backup into the second database.  Then you can either continue to use both, or move important clips from one into the other, and then jettison the one that you don't need.
Backup before you Restore - if you aren't sure that your old database is going to leave you in a better state than you are currently in, you should backup your existing database first before overwriting with the old backup.  Since the backup files are dated (date in the file name), don't worry about overwriting the good backup file with a newer one.

Note: In versions prior to 6.2, you would simply use an UnZip program to extract the database files from the backup archive, into the database directory.  In some situations (e.g. ClipMate won't start due to corrupt data), you may have to resort to this technique.

Also See: Database Backup

.topic 2660
Application Profiles prevent ClipMate from being overwhelmed by a mountain of data that you don't want.  Many applications can present the same data in a number of ways, such as Text, Rich Text Format, Bitmap, Picture, OLE, etc.   Microsoft Excel, for example, can provide the same data in 21 different formats.  This is wasteful of both time and space, so you definitely don't want to capture EVERYTHING.
ClipMate's Application Profiles allow you to determine which formats to capture, on an application-by-application basis.  It will examine the data that is presented the first time that you copy from any application.  When ClipMate sees a new application, it will build an entry in the list of Application Profiles, and record every format that it sees.  It will then make assumptions regarding the data, and choose some default settings.  You can override the settings at any time.  For example, if you see that ClipMate captures Text, Rich Text Format, and Picture from your word processor, and you only need Text, then you should turn off the other formats to save storage space.

The Application Profile Dialog
Found in the User Preferences dialog, the Application Profile consists of a collapsible tree, with the names of the individual applications at the top level. Click to expand, and see the formats that ClipMate has seen from the application.  Think of the applications as the "branches", and the individual data formats as the "leaves".
You have checkboxes at each level. Turn off a checkbox at the application level, and ClipMate will ignore all data from that application.  Turn off at the data format level (leaf level), and ClipMate will ignore that data format, from the corresponding application.

As you select the branches and leaves, there may be hints appearing in the box to the right, if we have any particular guidance about certain applications or formats.

Note: This used to be represented in two separate lists, but was somewhat confusing, so it was re-written as a tree representation in ClipMate 6.2.

Fine Tuning / Diagnostics
You can use the Capture Special and Trace Paste features to see what applications are actually necessary to have in the Application Profile.  For more information, see  Trace Paste.

See:
Understanding Clipboard Formats

.topic 1460
Appending
When ClipMate Glues two Clips together with the Append command, you can control what goes between the individual Clips as they're combined.  By default, a line-feed is inserted, but you can also use a tab character, or any other displayable character or set of characters.  Use \t for tab, \n for line break.
If you select the Strip Trailing Line Feed option, ClipMate will look to see if the preceding Clip already has one or more linefeeds (this is common) and will remove them.

HDROP Expansion
When you copy from Windows Explorer, there is a format called HDROP that enables cut/copy/paste within Explorer – and possibly other applications that make use of the HDROP.   But there's no human-readable listing of the files.  However, there IS a listing of the files buried inside of the HDROP data.
Under the Edit menu, there is a command to extract the filenames and make a new TEXT component of the data.
If you find that you always want the TEXT to be generated automatically when HDROP is encountered, select the "Automatically expand HDROP…" option.

Automatically Change Clip Titles?
Normally, the clip title is made from the first 50 characters in a text clip.  If you edit the clip, do you want the title to change, or stay as it was?  Here is where you set that preference.
Note:  If you manually enter a title for the clip with the Rename Title command, then that title will "stick", and the clip title will not be automatically updated due to editing, regardless of this setting.

.topic 126
Here is where you control ClipMate's printing engine.  For your convenience, a preview is provided, and it will react to changes that you make.  It always simulates printing the currently selected clip, so if you want the preview to reflect a bitmap, then choose a bitmap clip before bringing up the dialog.

By default, the printed page contains lots of useful information.  It shows the "creator" of the clip (which application it came from), the clip title, the source URL (if it was captured from Internet Explorer), the timestamp of when the clip was captured, and on the footer, it shows the current date/time.
You can suppress the header or footer information, and you can add some additional text to the footer, such as "Printed by Mary B., in Document Prep.".

ClipMate can print either TEXT or Bitmap data, but not Rich Text Format, other graphics formats, or specialized formats.
Note: There is an interesting exception though, because HTML can be printed by viewing the HTML clip in the editor, right-clicking, and print from the right-click menu.  This uses Internet Explorer's native printing support.

Here are the settings that you have:

Override Default Printer and Orientation
Here you can pick a printer from your list of installed printers, so that ClipMate always chooses a particular printer, and ignores the Windows Default setting.  This is handy if you always want to route ClipMate reports to a particular printer, with a particular orientation.

Print Header?
Select to print a header containing the clip title, date/time of capture, source URL, and creator (where the clip came from).  You can optionally set a title for the report, which defaults to "ClipMate Report".

Print Footer?
Select to print the footer containing the page number, the current timestamp, and some optional text.  Some users use the optional text to identify the workstation or user printing the data, so that they don't need cover sheets on their network printer.

Automatically print screen shots?
Here you can have ClipMate output all screen shots captured with the PrintScr key, to the printer.  Just like the good old DOS days!

QuickPrint
Normally, ClipMate will show a "print setup" dialog when you print, giving you the opportunity to select a printer, or view the Print Preview.  If you don't need to see that, turn ON QuickPrint, and this step is bypassed, and the job prints without further interaction.

Font
Choose the font used to print TEXT clips.  Tip: try to use a mono spaced font like Courier New.  And try to keep the size small enough so that the data does not wrap prematurely by hitting the right margin before it reaches the line length in the original document.

Margins
Specify the margins in inches or CM.  Note that if you switch back and forth, the conversion is made automatically.  ex: 1 inch becomes 2.54 CM.

Update Preview
This button updates the preview to reflect any changes made to the settings.

Preview Toolbar
Here you can interact with some controls that the Print Preview provides.  You can enter Print Setup from here, step through the pages of the job, and zoom.

Advanced
Here you can override the bitmap color depth. Only adjust if you are having trouble printing large bitmaps.

NOTE:  While ClipMate can print a clip that spans multiple pages, it cannot print multiple (small) clips on a single page.  This capability may be re-introduced in future release.

.topic 2690
Startup Delay
Causes ClipMate to pause for a set number of seconds before initializing.  This can prevent conflicts with other applications during system startup, such as when two applications try to insert themselves into the Clipboard chain at the same time.

Capture Delay
Cause ClipMate to pause for a short time after you copy data, to let the copying application finish the copy operation.  This avoids ClipMate "stepping on the toes" of the other application.  Usually, 250 milliseconds (1/4 second) is plenty, but if you have large, complex applications, a slow computer, or are copying very large data types, then you can increase this time to avoid getting the "Can't open Clipboard" error messages.

Settle Time Between Captures
This setting defines the minimum amount of time to wait after capturing an item, before accepting new items.  If you are experiencing missed copies when copying data in rapid succession, especially from macros or other automated programs, you can try to compensate by adjusting this setting to a shorter delay.  Beware though, as it may cause conflicts with other applications that do not release the Clipboard quickly after copying.

PowerPaste Delay
Sets the delay period between when you paste an item and the re-load of the next item.  If PowerPaste is having trouble, you can slow it down a little perhaps giving your target application time to process the data.

Pay Attention To Clipboard Ignore Flag?
This can be used to have ClipMate ignore updates from other clipboard-enabled programs, which wish to have ClipMate ignore their updates.  Sometimes you need to turn it off, to solve certain bugs with other programs - contact tech support: support@thornsoft.com.

Use Internet Explorer To Display HTML?
ClipMate uses Internet Explorer (4 or later) to display HTML data internally.  If you don't want it to display HTML, or if you are having problems with your internet connection failing to hang up when you close IE, you can try turning this off.  The change will take effect upon restart.

Pre-Load IE Cache?
This has to do with displaying images in HTML.  During testing of v6.0.06, we determined that pre-loading the cache did not seem to have any effect so we turned it off, but left this setting here in case we need to turn it back on.

Enable Auto Capture At Startup?
Normally, ClipMate captures everything. But if you don't want it to, you can turn it off here, and it won't be enabled the next time you startup.

Enable Cached Database Writes?
For performance reasons, ClipMate's database caches updates.  Turning this option off guarantees that all database updates are immediately written to disk.  However, you'll notice "disk chatter" and a slight delay, with every update.  Only turn this off if you experience frequent crashes which lead to data loss.

Collection Menu Style
This will cause the Collection Menus to either scroll up/down or break into multiple columns.  This is only apparent if you have too many collections to fit on the screen.

Reset All Settings To Defaults
If the settings become terribly fouled somehow, this provides a way to reset all settings to their defaults. A restart is required.  If you have purchased a license, be aware that this will "un-register" your copy, and you'll need to re-enter your key when you restart.
Alternately, you can press Ctrl+Shift as ClipMate loads, which also gives you this option.

Clear Application Profile
If the Application Profile becomes corrupted, you can clear it with this button.  It clears all entries, wiping the Application Profile completely clean.  A restart is required afterward.

.topic 141
When trying to troubleshoot problems, our technical support may ask you to alter the Logging options which will cause certain information to be entered into a log file as ClipMate runs.  You should not normally need to adjust these settings.
The logs are stored in the primary data source directory, which can be easily opened with the "Open" button on the Data tab of the User Preferences dialog.  Normally, logs are kept for a week, and they're named with the creation date.

.topic 3530
You can configure the spell checker if you have the Check Spelling dialog open (usually when you're spellchecking a clip), or you can right-click within the editor, and select Spellcheck Configuration.  You can also use the Config | Spellcheck Configuration menu.
Most of the options are self-explanatory.

Downloading Additional Dictionaries
Most of what you will use the dialog for is for selecting Dictionaries.  If you speak something other than "American English", you will likely want to download an additional dictionary.  We have a link here:
http://www.thornsoft.com/dictionaries.htm

Just download the dictionary, unzip with a tool such as WinZip, and place the resulting file(s) into the same directory that ClipMate is installed into (typically c:\program files\clipmate6).  Then use the dictionary configuration dialog to activate it (and perhaps de-activate others).  You can have multiple dictionaries in effect at the same time.  For example, you can have the British and Legal dictionaries both active, if you happen to be a British Lawyer.

Thesaurus
The Thesaurus is a separate file, downloadable from our web site.  http://www.thornsoft.com/dictionaries.htm
Just download, and place in the ClipMate6 program directory (typically c:\program files\clipmate6).  If you have the CD edition, you can just copy the file (roget.adt) from the Dictionary directory on the CD.
Once in place, you can right-click on any word in ClipMate's edit window, and use the Thesaurus function.

Custom Dictionaries:
As you "add words" while spell checking, words will be added to your custom dictionary.  The custom dictionaries are interesting in that you can have multiple dictionaries, and if you have an MS Office dictionary installed, it will be included in the check – but cannot be added to or edited.  Your ClipMate dictionaries can be edited, however, and you can even include "auto-correct pairs", so that common mis-spellings like "hte" becomes "the".
To access the custom dictionary configuration, and to edit the dictionary contents, select "Dictionaries" from the main Dictionary Configuration menu.

Auto-Correct Dictionaries:
Do you often type hte instead of the?  If you use ClipMate's editor to do a lot of typing, you can install one of the auto-correct dictionaries.  You may need to "train" the editor for specific words, by using the regular spellcheck dialog box, and clicking the auto-correct button.  Then, the editor will auto-correct that mistake as you type.

Location:
Typically, the standard dictionaries will reside in the program directory (where ClipMate is installed into) and your custom dictionary will reside in the data directory.

.topic 3380
From time to time, you may need to perform some database maintenance.  There are some checks made at startup to detect and correct database corruption (the sort that can occur in any database if the power gets cut at just the wrong time, or if Windows crashes during a buffer write).  And as clips are deleted from the trash, the space is automatically re-used by new clips.
But you may wish to occasionally perform a thorough database check and compaction.  We now have two options - the one that is built into the database engine, and one that we've recently built ourselves.

Comprehensive Database Repair
This is our new database repair function, technically known as a "database reorganization".  This routine actually creates a new database (in the same directory), and copies all of your (valid) data into it.  It will take several minutes to run, especially on large databases.  If you find that you have database-related errors, or notice that your database directory or backup files are unexplainably large (ex: 100MB when you only have 100 clips), then run this function to clear it up.  You'll find it under File | Database Maintenance | Comprehensive Database Repair.  A database backup is automatically initiated at the beginning of the process, to avoid data loss should problems arise during this lengthy operation (such as a loss of power).
This routine will also empty the trash, and takes care of any database fragmentation issues.

Verify/Repair/Compact Database (legacy)
This is the repair function built into the database.  We're leaving it in "just in case" we run into situations where our new routine can't deal with a particular situation.

Run Cleanup Now
This causes the purging and aging process to run right now, moving old clips from collections that have reached their "retention limit", into the Overflow. Then it purges the Overflow collection into the trash, if it has also reached its own retention limit.  You may need to refresh any given collection (including Overflow) to see its actual contents.
The cleanup usually runs at startup, shutdown, or it may do a little bit during long periods of idle time.  Occasionally, this can cause slowdowns or delays in startup/shutdown, so you can turn off the automatic cleanup, and just do it manually as required.
See Database Properties to see how your automatic database cleanup is configured.

Backup Files
As you run the database maintenance, a set of backup files may be created in the database directory.  Each file in the data directory ending in a "K" is the backup.  For example, BLOBTXT.BLB gets backed up to BLOBTXT.BBK.  These files will be automatically deleted after two days.
Note that these do NOT mean that you no longer need to make regular backups of your data.  This is just a safeguard in case the database maintenance is interrupted, or has some sort of unforeseen problem.

Exclusivity
Database maintenance requires exclusive access to the database files  If you are in a multi-user environment, sharing a common database, then you need to have all other users close ClipMate (or de-activate the shared database).  ClipMate will let you know if it attempts to perform database maintenance and cannot continue.

.topic 2710
This dialog box gives useful information when troubleshooting problems such as when ClipMate fails to capture new data, or when PowerPaste seems to "go crazy".  Since ClipMate 6 can automatically detect and repair broken clipboard connections, this dialog is not as important as it was in previous versions.  But it may still be useful, so we left it in.

General Tab
This tab has many boring, boring, setting that are useful only to tech support.  A couple of mildly interesting ones are:

Application That Last Updated Clipboard
Shows which application has most recently updated the Clipboard.  This can be useful when trying to determine where a particular update is coming from.

Formats Currently On The Clipboard.
This is a list of formats that are presently available on the Clipboard.

Connection Tab
ClipMate relies on "clipboard event notifications" to detect new data being copied to the clipboard.  Usually, this works just fine.  But sometimes a mis-behaving application will interfere with the notification, and ClipMate won't be properly notified of new data.  So that's why we need the tools on this screen.

Applications in the Clipboard Chain
These fields show the name of the applications (if they can be determined) of the first application in the viewer chain, and the one immediately following ClipMate.  In case ClipMate has been recently cut-off from communication, this information, especially the "First Application", may be valuable in determining which application may have severed the connection.
Note that whenever an application registers itself to use the Clipboard chain, it is placed in the first position.
If the "Next Application" shows "ClipMate", then there is a serious problem, likely a "loop" in the chain.  You'll need to re-start ClipMate to cure this.

Beep On Clipboard Update
This is a diagnostic aid that causes a beep to sound when ClipMate detects a Clipboard update - this includes ClipMate's own Pings.  It also includes Clipboard erasures.
It is useful if you're trying to detect ping failures, as it gives an audible "ping, ping, ping" to let you know of ping successes.
It is also very useful in detecting when applications cause multiple Clipboard updates, as they're copying data.  Ideally, when an application copies to the Clipboard, they're only causing one update - but if they are causing multiple "hits", this will let you know.
As useful as this is, it becomes annoying quickly if you're not troubleshooting - so we don't save this setting from session to session.

Ping Clipboard Now
Causes an immediate ping, displaying the results.  It should return an "OK" message, listing a short time interval (0ms-100ms is normal). If it times out, then the connection is likely broken.

Re-Establish Clipboard Connection
This will remove ClipMate from the Clipboard chain at its current position, and re-insert it at the front of the chain.  This will virtually guarantee that ClipMate will again be communicating with the Clipboard, but it doesn't guarantee that other applications may not have been severed, as well.

Enable KeepAlive
This is the new feature in ClipMate 6 that allows the auto-detect, auto-correct.  Basically, if the connection is severed, ClipMate will detect, and correct.  You'll be notified of the event by a notice in the status bar.  It usually works fine, but if you find that you have a "loop", where the same clip is being copied hundreds of times, the you may need to turn this feature off.  Contact Support for further advice.
Note: In version 6.3, this feature has been made less aggressive, so that it does several checks first, over a period of a minute or two, before performing the "Re-Establish Connection".  We expect this to eliminate the looping problem.

.topic 2720
This is not an area of ClipMate that end-users will generally access.  But you may be asked by our technical support people to go to this window and enter a command, to troubleshoot or correct some unforeseen data problem (data problems that ARE foreseen, have already been corrected, of course!), or possibly optimize your database for a particular data type.

Unless you've been directed here by tech support, you should probably leave it alone.
Be careful - You can easily destroy all of your data with this function.

Note: If you are using multiple databases, you should first select a collection within the database that you're interested in. That'll set the "current database", and the SQL window will know which database you want to talk to.  You can see the name of the current database in the upper-left of the window.

.topic 3700
Sometimes things go wrong with any program. And this is a way to get out of trouble when you find that ClipMate won't start correctly.

The Start/Recovery Menu is accessed by holding down the SHIFT key as you start the program.  For example, if the program locks up during database logon, shut it down with the Windows task manager, hold down the SHIFT key, as you start it with the Start | Programs | ClipMate6 menu.

You should be presented with the following options:

* These options will be invoked once for each database.  For most users, this means just once, for the MyClips database. But if you have multiple databases defined, each one will trigger this action as the logon occurs.

.topic 2490
ClipMate has a powerful, SQL-based search engine which can quickly retrieve clips based on several criteria such text appearing in the title, body, creator name, or source URL.  It can filter by data format (text, HTML, Bitmap, etc.), date of capture, and whether the clip is encrypted.  You can save queries for re-use.  And if the provided search criteria isn't quite what you need, you can enter queries directly as SQL (this will obviously appeal more to people who know SQL already!)

Clips Containing
Enter some criteria in the Clips Containing... section.
You can specify the search criteria using 3 different methods:
Whole Keywords:  Enter whole words, separating by commas.
* Wildcard: Use the * at the END of any keywords, such as: POWER* to return any instances of Power, PowerPoint, Powerful, etc.
% Search String %: Can be used anywhere in the search string.  For example, %ow% would return Powerpoint, lawmower, cow, own, etc..  %Winter Olympics%  would return anything with Winter Olympics in it, as would %winter olympic% or %win%oly%.

Note:  For those of you familiar with SQL, the % uses the "like" operator.

Keyword Highlighting: The keywords specified in the search criteria will be passed along to the Keyword Highlighting feature (new in 6.1).  Any % or * operators will be removed.

Filtering Criteria
If you want to narrow the search to data of a particular format, date, etc., use the Filtering Criteria.  The dates are considered 12:00AM (Midnight), so if you want to find items captured today, use the "captured after" = today's date.  To find yesterday's clips, use captured after = yesterday, and captured before = today.

A new feature in v6.1 is the ability to narrow the search by collection.  This can also dramatically speed up long-running queries on the Clip TEXT field.  6.1 also has a filter for "shortcut" clips.

Performance Note:  Expect searches that use the "Clip TEXT" to run longer than searches on other fields, due to the sheer amount of data that must be processed.  So be sure to narrow the search by filtering on collection and/or dates, to avoid having to process each and every piece of text.

SQL - If you want to make a really "hard core" search, you can edit the SQL directly. Click on the little "twistie" arrow on the SQL bar, and the window will expand, to show the SQL. Notice how it reacts to the various checkboxes and other input controls.  You can go "out of bounds", if you know how.  We expect to publish our database layout in the Support area, at the ClipMate web site.

If you want to re-use this query, you can do so with the Save/Recall section.  The buttons are self-explanatory.  For more details see:
SQL Search Panel
Wildcards

   We have an online "viewlet" that will SHOW you this function as a live, online demo. View it online.

.topic 1780
Use the * symbol to search on partial matches - but only at the end of a word.
Ex: comp*
would return complete, computer, compliment.
Separate individual keywords with commas.  Enclose literal strings in double quotes.

Or, you can use the new "like operator" symbol:  %
This can be used at the beginning or end of the search string, such as %ow% would return Powerpoint, lawmower, cow, own, etc..
You will usually use the % at each end of the string.  Or, within the string.
Such as %y%mate% would find "Try ClipMate", as well as "my roommate snores".

Both options are case insensitive (not sensitive to case).

.topic 1890
Here is the actual Structured Query Language (SQL) that is passed to the database.
You can edit it manually, to perform searches that aren't covered by the options above.
This should only be used by users who have experience with SQL.
The layout of the ClipMate database will be documented and available online at
http://www.thornsoft.com/support

.topic 2500
Although many users will only ever need to store data in their InBox, many users find that they want to keep important clips for longer periods of time, and that it is convenient to categorize them.  So we allow you to create other "collections" for various projects or topics, where you can keep clips as long as you'd like.  Whether you only need to keep ten clips or ten thousand, you need to understand how collections work, and how they interact.

You have three collections which are created by default:
InBox - This typically holds your 200 most recent clips.  As it grows past 200, old clips are trimmed off and sent to Overflow.
Overflow - Holds the most recent 800 clips that have been trimmed from InBox, or other collections that use length-based retention.
Safe - Move important clips here so that they won't be deleted by the aging process.

And there is another collection called the Trashcan.  It's not really a collection, rather it is a database query of clips that have been marked for deletion.  You see, each database has a rule that says how long clips can remain in the trashcan before they are permanently deleted.  The default is 7 days, so you can go back and rescue clips from the trashcan, if you want to.

Note that the "overflow" mechanism is new to version 6.  In prior versions, the "trimmed" clips were lost for good.  And the trashcan was only good until you closed the program.

So let's consider the journey of a clip.  Typically, it will be captured into the InBox.  200 clips later, it gets moved into Overflow.  Another 800 clips, and it winds up in the Trashcan.  Where it is finally deleted 7 days later.  Of course, you could intervene at any time, and move it to another collection with different attributes (such as "safe" or another collection that you have set up.)

Note that you can cut short the time that clips spend in the trashcan by using the File | Empty Trash command.  We designed the data handling so that you would never need to do this. However, some users will want to keep a clean trashcan, so we've provided a way to do that.

Also, consider that you can capture directly into any collection, as long as you have it set to "accept new clips".  When a collection is active, and you copy new data, the new clip will either go into that collection, or if you have set the "garbage avoidance" feature on that collection, then it will "bounce" to the InBox.  If you are working on a particular project, such as gathering research on a particular topic, you will probably want to capture directly into that collection.  Or, you can just let it accumulate in the InBox, and selectively move the data over when you're ready.

Note that the Overflow and Empty Trash processes can be configured to run at startup, shutdown, or after an hour of inactivity.  See: Database  Properties Dialog for more information.

For more information see:
Database  Properties Dialog
Collection Properties Dialog
Multi-User Databases
Database Maintenance

.topic 3540
One of ClipMate's most powerful features is the ability to create "Collections" to organize your data by various topics, categories, or projects.  By default, ClipMate builds three collections for you: InBox, Safe, and Overflow.  But you can define many more to suit your needs, such as for special projects, or organizing data by type, such as Clip Art, URLs, Jokes, Frequently Asked Questions, etc.

Note that by default, the InBox collection keeps only the last 200 items, and then they move on to Overflow, then the TrashCan, and eventually they are deleted.  If you want to keep items for a longer period of time, we recommend that you move them to another collection such as "Safe", or another collection that you set up by topic, project, etc..
You can have dozens of collections defined, and you have dozens of colorful icons to choose from, to represent your data topics and categories.

To make a new collection, use File | Add New Collection.  Unless you want it to be a "child" of the current collection, select "at top level of the hierarchy", for the placement.  Then you will use the Collection Properties Dialog to configure the collection (use the "never" purging rule to make it a "safe" collection) and select an icon (don't forget to select the icon - they're nice!)

Now you can use drag 'n' drop, or the Move/Copy toolbar buttons or the Edit | Move/Copy menu entries to place your important clips into your important new collections.

.topic 2530
Allows you to export selected Clips to files.  Only TEXT and Bitmap exports are supported, and Bitmaps can alternately be exported as JPEG files, which reduces their size considerably, making them suitable for E-Mailing.

Note: This is NOT useful for migrating or backing-up ClipMate data.  This is a one-way export, and you cannot re-import the data - it's useful for making .TXT, .BMP, and .JPG files, for use by other programs.

See: Export Dialog Box

.topic 3110
Export Directory
This is the directory where ClipMate will put the exported files.  Use the Browse button to select a new directory

File Naming
This gives you the option to control the names of the exported files.  You can have it number the files sequentially, use the serial numbers already in the Clips, or use the title of the Clips.

Save BITMAP as JPEG
Most Clipboard images are Bitmaps, which are notoriously large.  If you're going to be making graphics for a web page, or sending via E-Mail, then you want to save as JPEG, which has a high rate of compression.  There is some reduction of image quality, but for things like screen shots, the compression savings are well worth it.

Erase Directory Contents Before Exporting?
This gets rid of any old files from previous exports, before exporting the new files.

Open Export Folder When Finished
Opens the folder in Explorer, so you can start working with your exported data right away, without having to find it yourself.

.topic 2580
ClipMate can share data on a network in a workgroup setting.  Although each user should be directing the bulk of their clips to a database on their local hard drive, you can set up a secondary database on a network server (or somebody's shared directory) for everyone to use for sharing clips.  This can be as simple as a single user wanting common clips on multiple machines, or you can think much bigger.  Consider a tech support or document assembly department able to share common boilerplate clips on the network server.
Previous versions of ClipMate allowed this as well, but it didn't provide for multiple users making updates to the same collection.  Whichever user updated the collection last, would wipe out any work done by other users.  But with our new database technology, you CAN allow multiple users to add or update clips in the same collection.  Additionally, you can opt to have ClipMate poll the database for changes made by other users, and notify you.

To set up a multi-user database, first you must establish a network directory, accessible by a drive letter, to which all users have read/write/create access.  (Note that this has been tested on Windows2000/XP networks, but not Novell)
Next, have one user create a new database in that directory, using the Database Tab in the User Preferences dialog.  Set the directory as appropriate, and select the option for "multi-user, networked database".  Select a user name for this user - it can be their login name, first name, or whatever you prefer.  Use the Read-Only checkbox to limit access to users who you wish to restrict.
Important - every user must have read/write access to the directory.

In a multi-user environment, each user should have their own local database as well.  You do not want Sara's Excel copies to slow down because Tom just copied a bunch of PowerPoint slides.  Instead, users should copy everything locally, and then move important clips onto the network. On the other hand, if you are the sole user of a computer empire in your basement, and want the same clip available at each computer, then you may very well want to just have a single, networked database.

Also, in a multi-user database, you probably want to avoid having collections like "inbox".  You should instead set up meaningful collections, by topic, project, or purpose.  Such as "Tech Support", "Policies", "Stocks", or "How To".  Set them all to be "safe" collections.  And you may want to turn on the Garbage Avoidance, so that if anyone is "sitting" on a collection, and they forget, then the collection won't fill up with their garbage.  Instead, it'll "bounce" back to their own InBox.

Refreshing Networked Data:
As users add data to networked databases, each user will see the new data when they switch collections.  So if Joe puts a new tech support bulletin in the "Tech Support" collection, then Mary will see it when she switches to that collection. If she is already viewing that collection however, she can use the File | Refresh Collection, or click on the "network update" icon that appears in the status bar when the new data is detected (this is available if the "polling" option is used).

Exclusive Access:
New versions of ClipMate may need to gain exclusive access to the database to perform upgrades to the table structures.  This will require exclusive access to the database.  Check the readme.txt file of any update to version 6.x, to see if there are database changes that will require exclusive access.  If so, you will need all users to shut ClipMate down while you perform the maintenance.  The same applies if you perform other database maintenance.

Shutting Down:
If you are going to shut down the server or PC that is hosting the database, you should close ClipMate on the other workstations first, because they may hang if the networked directory is not available when they log off.

Tech Tip:  There is a table in the database called "users", which keeps track of the individual users in the database, for purposes such as identifying the creator of a clip, or for notifying users of updates.  You can view the current state of the table by going to the SQL window, and entering this SQL:
select * from users;
Or for a fancier report showing which clips were created by which users:
select users.username, clip.timestamp, clip.id, clip.title
from clip, users
where clip.user_id = users.id
order by users.usernam

.topic 3270
The Windows Clipboard can simultaneously hold the same data item in many different formats.  To ensure compatibility and interoperability with as many applications as possible, most software packages will provide data in several formats.  There are extreme examples, such as Microsoft Excel, which often provide as many as 21 Clipboard formats, representing the same item of data!
Analysis shows that not all formats are viable, once the host application loses ownership of the Clipboard.  Many of these formats simply evaporate, and others become invalid.

Furthermore, many of these data types become quite large and can quickly become a drain on resources.  For example, if you copy a screenful of spreadsheet cells you could end up with a 2MB BITMAP and a large PICTURE drawing of your cells, along with your textual data!
To top it off, many of these formats aren't usually provided at the time of the copy.  Instead, applications will simply inform the Clipboard that they CAN provide these formats.  Think of it as a sort of "advertising".  When an application actually asks for the data in a particular format, the Clipboard informs the host application that the particular format is requested, and the host application then provides the data.  This process is known as "Delayed Rendering", and can cause ClipMate to appear to dramatically increase the time needed to copy data.

So far, it sounds like a lot of bad news.  Will ClipMate's new features bury you in data that you don't want, and make it take longer to copy data?  The answer is NO!  ClipMate's Application Profile facility allows you to determine what formats will be retained, and which formats will be ignored.  The filtration can be defined globally, or by application by application, to give you the flexibility that you need.

More:

TEXT
BITMAP
PICTURE (Metafile)
HTML Format
HDROP
Rich Text Format
Private Formats, such as WordPerfect
OLE (Object Linking and Embedding)

Conducting The Format Viability Test

.topic 3300
An array of character data with a hard return (carriage return + linefeed) terminating each line, with no associated font, size, margins, or other formatting.

There are some close relatives - OEMTEXT, which is usually the same as TEXT.  There is also UnicodeText, which may seem the same, but is a double-byte string, and is well suited for double-byte character sets used in Asia and the Middle East.  ClipMate can copy and paste Unicode without any trouble, and can even display it in the editor.  The ClipList though, will have trouble displaying it.  Unicode is a very good idea, but is only available on Win2000 and XP, so it's not as widely used as it could be.

.topic 3310
A graphic image composed of individual pixels, or dots.  ClipMate can handle bitmaps of any number of colors.  When displayed on a video adapter capable of displaying 256 colors, bitmaps are often accompanied by a palette, which optimizes the colors of the display to enhance the image.  When running 16 or 24-bit video cards with proper drivers, a palette is not needed and is not usually present.
Bitmaps are often used for very complex images originating from the real world, such as photographs.

Bitmaps are common in Windows, and can be created by the Paintbrush program that comes with Windows.

Note: The DIB format is very similar to Bitmap.

Note: Bitmap is the universal interchange format for any type of photograph, screenshot, etc..  Tiffs, Jpeg, GIFF, etc., are all copied and pasted with the Bitmap format.

Note: ClipMate stores the bitmaps internally as Jpeg, to save space.

.topic 3370
The proper name for this format is actually METAFILE.  It is also called MetafilePICT, and Vector Drawing.
Metafiles are graphic images that consist of one or more common drawing objects, such as rectangles, circles, lines, and formatted text. Metafiles are most suited to human- or machine-generated images, such as architectural or engineering drawings, or Clip art.  Metafiles are scalable, and they often look as good full-screen as they do when scaled down.  Metafiles often contain text, with font information.  This often makes them desirable for corporate logos.  When printed, the image is re-drawn at printer resolution.  If you have True Type fonts in a Metafile, they will look FANTASTIC when printed.

Most commercial drawing programs can generate Metafiles, and so can the OLE drawing module (DRAW) that comes with many of the Microsoft products.

Note: Windows now supports the Enhanced Metafile, which ClipMate can also copy and paste.  But it will only (currently) display the regular old MetafilePict format.

.topic 3330
Rich Text Format (RTF) is a private Clipboard format employed by Microsoft applications, to enable them to share formatted text.  Several non-Microsoft packages have adopted this format as well.  RTF contains all of the formatting for text such as font, size, color, margins, borders, etc.  It can even contain other items, such as graphics and OLE objects.
RTF is usually very large.  It is not unusual to see RTF Clipboard items of 200 - 600K in size.  Also, it will usually take an application several seconds to produce the RTF format, and place it on the Clipboard.  The reason that you might not notice the delay is that RTF is a prime candidate for Delayed Rendering.

Only turn on RTF in the Application Profile if you need the formatting.  If you don't, then you can save lots of time and memory by skipping the RTF.

.topic 3320
This format contains information about HTML fragments (pieces of web pages).  Along with the portion that you copied, it also carries information about the page, such as its original source URL.  If you have Internet Explorer 4 or above, you can view the HTML Format in the HTML Tab of the Preview / Edit pane.

Note that copying text and images from a web page does NOT actually copy the images.  You're really just copying the HTML tags ARROUND the images.  The images are not present on the clipboard.  However, ClipMate can often find them in your browser cache, so that they display properly.  When you paste the data into a word processor such as Microsoft Word, the images are again fetched from the browser cache, or perhaps from the original web site!

If you want to capture an actual image from a web page, right-click on the Image and select Copy from the right-click menu.

.topic 3340
This is a list of files, copied from Windows Explorer.  It can be used to copy and paste files in Explorer. However, keep in mind that it is only a LIST of the files - not the file contents themselves. So if you copy, then delete the files, you can't paste them - you'll get an error from Explorer.  So, beware.
The format is useful to ClipMate however, as inside the data is a readable list of the files that were copied. ClipMate "cracks" the data open, extracts the list of files, and makes up a TEXT representation of the list. So you can easily get a listing of files, by copying into ClipMate.  In other words, when you copy the files, ClipMate derives a TEXT representation from the HDROP.  To have ClipMate automatically make this conversion, enable it in the Editing Rules page of the User Preferences dialog box.

.topic 3350
There is an established and publicized list of standard Clipboard formats, which are known as public formats.  Most of the popular ones are listed above.  Applications may generate their own private formats at any time.  Public formats are the most useful, because they are usually supported by a wide variety of applications.  Examples are Text, BITMAP, and PICTURE.  Private formats, on the other hand, are generally useless to any application besides the application that created the data.  Sometimes several applications from the same vendor will share private formats, which makes them more useful.  Most often, the data is only useful to the application that created it.

Since most private formats are usually meant to be used only by the originating application, there is a potential hazard involved when using them.  Often, these formats are just pointers that refer to data structures residing within the original application, and don't actually contain the data at all.  These are transient formats. If ClipMate re-posts this format to the Clipboard at a later time, the pointers are invalid.  This can cause a run-time Error or GPF in the original application.  If you find that this is the case, you'll have to remove the offending format(s) from the filter for that application.

WordPerfect Text, Ami Text

These are private formats that are useful only within the originating application, but they are often useful to have, as they preserve the formatting information.  If you intend to paste back into the original application, and want formatting preserved, these may work well for you.  But if you want to paste into other applications, use the more widely-supported Rich Text Format.

.topic 3290

ClipMate has the ability to store OLE objects.  Simply stated, OLE lets applications that use different data formats share data without converting the data to a common format.  For example, a sound object can be pasted into a word-processing document.  Activating the object (double-click) can then play the sound back.  Your word processor doesn't have to know how to play sounds - it just has to follow the rules of OLE.  In many cases, the OLE object can be activated or edited by double clicking on it.  In Microsoft Word for Windows, for example, the draw program is an OLE server.  Double-Click on a graphic, and it activates the Draw program to edit the object.  Within the Draw program, there is no option to save the file - instead, the option is to update the drawing in the Word for Windows document.  You can do the same thing with an Excel spreadsheet object.  You can actually embed a spreadsheet within a word processing document.  Don't like the numbers?  Double-click to edit the object in Excel.  Instead of saving the Excel file, you update the Word document.  In these cases, the Word for Windows document is considered to be a Compound Document, because it contains other types of data within itself.

OLE is initiated by an OLE Server copying data to the Clipboard, and then by an OLE Client pasting that data into itself.  The OLE Client looks at the list of available formats, from top to bottom.  If it finds an acceptable format, it just uses that format, and doesn't bother with OLE.  Otherwise, it finds the series of formats that magically comprise an OLE object, and pastes them into itself, creating the object.  These magic formats that make OLE happen are:

1.	OBJECTLINK  -  Where did the data come from?
2.	OWNERLINK  -  Which application owns the data?
3.	NATIVE  -  The data itself.
4.	PICTURE, DIB, or BITMAP  -  The "Presentation Format".
5.	DataObject  -  Required for OLE2.
6.	Object Descriptor  -  Required for OLE2.
7.	Link Source Descriptor  -  Required for OLE2.

The Presentation Format is a special case.  One of these formats is used to display the data in the client application.  The nature of this depends on the nature of the OLE object.  For a sound object, it would be an Icon of the sound recorder.  For a graphic object, it would be a picture or bitmap of the graphic itself.  Have you wondered why you get silly icons of certain applications when you're copying formatted text?  This is because the application is conforming to OLE.

When defining your Application Profile for any given OLE Server (such as the Sound Recorder) make sure that you include all of the necessary formats: ObjectLink OwnerLink, Native, and a Presentation Format.  By your having done this, ClipMate will capture and preserve the OLE objects.  Beware that OLE objects can get quite large.  If you want to enable OLE2, then you will also need DataObject,  Object Descriptor, and Link Source Descriptor.

.topic 3280
The Format Viability Test can help you to troubleshoot problems with the Clipboard and determine whether an application does indeed provide any formats that are worth keeping.  Simply put, it involves using the Clipboard viewer that comes with Windows (Clipbrd.exe) to capture data, save it to a file, read the file back in, and paste it back into the originating application.  There are four likely results:

1.	A successful paste, with good-looking data.  This indicates that there is at least one format that has what you need.  All you need to do now is to figure out which format is the best, and create a filter for just that format, and maybe something that will show up in the Magnify Window, such as Text.
2.	A successful paste, with strange-looking data.  In this case, the application is holding back the most useful format.  Microsoft Excel is an example of such an application.  None of its 21 Clipboard formats are as good as an internal paste.  Try experimenting with different filters, to see which format comes closest.  Hopefully, something will be useful.
3.	A failure message.  The application tried to use one of the formats, but it was invalid.  The application was smart enough to recognize this.  Most likely, the offending format is a private format, used internally by the application.  It probably is a pointer to some data that is now invalid.  See if there are any special paste options, like Paste Special.  Perhaps one of the other formats will work better.  Try to use ClipMate's Application Profile to eliminate the offending format.  Often, private formats will have a name that indicates the application.  You need to find the best format(s) to include, and absolutely need to eliminate the offending formats by having them un-checked in the Application Profile
4.	A fatal error in the application.  The same case as (3) above, but the application wasn't smart enough to see the problem in time.  Use the same techniques to get out of trouble.

Conducting the Test:

1.	Close ClipMate, if it is running.  The test will be conducted without ClipMate, in order to avoid confusion.
2.	Open the Windows Clipboard viewer (the one that comes with Microsoft Windows - Clipbrd.exe or Clipbook.exe.  If it is not present under the Accessories portion of the start menu, you can re-install from your Windows95/98/NT CD.)
3.	From AppXYZ (your application), copy some data.  If AppXYZ is a word processor, copy several paragraphs, preferably with different fonts.
4.	Click on the Clipboard viewer.  Pull down the DISPLAY menu, and write down the list of the formats provided.
5.	Close AppXYZ.
6.	Click on the Clipboard viewer AGAIN.  Pull down the DISPLAY menu, and write down the list of the formats provided.  Has the list changed?  What's missing?
7.	Save the Clipboard to a file, using FILE | SAVE AS.  Call it AppXYZ.CLP
8.	Delete the Clipboard contents, using EDIT Delete.
9.	Open AppXYZ.CLP, using Clipboard's FILE, OPEN.
10.	Has the format list changed? (Use the DISPLAY Menu to check).
11.	Run AppXYZ again.
12.	Paste the data.  Does it look OK?  If so, then we're in business.  One of the formats on the Clipboard is a winner.  Experiment with filters, and see what you can eliminate.  I recommend keeping TEXT because it will help you to identify data and see it in the Preview/Edit Pane of ClipMate Explorer.

.topic 3680
ClipMate has an auto-update feature, where it can check our server to see if there are any updates to the program or special announcements (tips, tricks, alerts, offers) from Thornsoft.
You can enable the feature in the "General" tab of the User Preferences dialog box.  When enabled, it will silently poll our server every 15 days to see if updates are available. If updates are found, you'll be asked if you want to open the update wizard, where you can download and install the updates. Otherwise it'll just reset its "next update" date to check again in 15 days.
You can also manually check for updates under the Help menu - this will also set the next AutoUpdate check 15 days in the future (but it will only actually DO the check if you have enabled the option).

Technical/Security Notes:
No data is sent from your PC.  This a read-only operation.  Your PC is reading our server, deciding if we have newer files than you do, and then you are invited to download anything new, via the wizard.
We use the standard HTTP port 80.  This may fail to work in certain corporate firewall situations where proxy authentication is required.
The connection is only one-way. We cannot, for example, "see" into your computer, even when you are actively connecting.
Updates are downloaded into a folder called "Thornsoft_Updates" in your "my documents" folder.  Typically they're setup programs, self-extracting ZIP installers, or plain just HTML files.
Installation is optional - you can download a file and then elect not to install it.   However, it may still be listed as available to download, the next time you run the updater.
We are using AutoUpdate from ZaberSoft - http://www.zabersoft.com.

Troubleshooting:
If AutoUpdate fails to run, and particularly if it says "XML Error", then it may be having trouble reaching our server, due to your firewall.  If you are running firewall software, make sure that the AUTOUPDATE.EXE program, located in \program files\clipmate6\autoupdate, has permission to contact our server using the standard HTTP port 80.  If it still won't work, don't worry, it will then ask if you want to do a manual update, which takes you to a page letting you know if there is a newer version that you can update to.

.topic 3180

ClipMate's encryption is only applicable to TEXT clips.  If you attempt to encrypt a graphic, it will be ignored.  If you encrypt data containing TEXT but also other formats such as Rich Text or HTML, the other formats will be discarded.

Encrypting
Select a clip (or several clips) and use File | Encrypt.  You will be presented with the Encryption Key dialog box.  Enter a key that you can remember!  And not something too simple, or with repeating characters, such as "aaaa".  We recommend that you use the same encryption key for each clip, unless you have a reason to use (and remember) multiple keys.

Decrypting is a temporary process.  ClipMate will use the key to decrypt the data, so that it can be viewed and placed back on the clipboard.  But once you scroll away from that clip, the data is deleted from memory and it must be re-decrypted if you want to access it again.  This will happen automatically if your key is still being "remembered", according to the time limit set in the dialog.

But let's suppose you decrypt a clip, and then paste it somewhere.  But now you are going to step away from your computer.  You should do several things:  1) use File | Forget Encryption Key to cause ClipMate to discard the key from memory.  2) Select another clip, so that you overwrite the clipboard with non-sensitive data.  Otherwise even if you close ClipMate, the recently-pasted data is still on the clipboard!

Checksum: Although ClipMate does not keep a record of your encryption keys, it uses a 4-byte checksum to see if data has been decrypted correctly or not.  If you enter an incorrect key, the checksum will fail, and the clip will not be displayed.  You'll be prompted to re-enter the key.  This is useful in preventing the display of garbage characters, which can cause display problems in the editor and causes some headaches for the spellchecker.
Note that since the checksum is encrypted as well (with the same key as the data), there is no security vulnerability here.  An attacker will not know the checksum without the proper key, so the checksum is useless to the attacker.

Titles:
As a precaution, the titles of clips are replaced with a generic title when the clips are encrypted (unless you've already manually assigned a title with Ctrl+R).  Otherwise, the titles would give away your sensitive data.  So name them things like "Visa Number" or "eBay Password", which tell you what they are, without giving away the contents.

Recommended Practices:  To keep prying eyes away from your data, encrypt sensitive text clips.  Unless you have a good reason to use multiple encryption keys, we recommend using the same one.  Avoid overly simplistic keys with repeating characters such as "aaaa".  Use the Rename Title command (Ctrl+R) to assign meaningful, yet secure titles to your clips.  Usually, if a clip is important enough to encrypt, it's also important enough to assign a shortcut to.  So assign a shortcut while you're renaming the title.

Technical Notes:
ClipMate encrypts clear TEXT clips with 56-bit ARC4 (RC4), encoded with Base64 and appended to 6 salt bytes, and stored back into the database in encrypted form.  A CRC32 checksum is calculated, encrypted with the same ARC4 stream used to encrypt the data, and stored with the encrypted text.

   We have an online "viewlet" that will SHOW you this function as a live, online demo. View it online.

.topic 3210
Press Ctrl+R on any clip to bring up the Rename Clip dialog box.
Here you can assign a better title to the clip, and you can also change or set a "shortcut".
For more information, see ShortCuts.

The Title limit is 60 characters, and the NickName is 64 characters.

TIP: If you have a series of shortcuts to enter, be sure to enable the "Carry-Over Last Prefix option.  This will cause each clip to remember the "prefix" (all text up to the last ".") from the previous clip.

.topic 3190
This is a special diagnostic mode to help determine which data formats are "preferred" by applications.  This can help you fine-tune the Application Profile, so that ClipMate captures the data formats that an application "prefers".
For example, the popular graphics program, PaintShop Pro 6.0, is quite happy to paste the "Bitmap" format.  But analysis of the Trace Paste, shows that it will use the "JASC Paint Shop Pro 6.0 Clipboard Format" if it is available.

Usage

To use this function, first copy a fresh piece of data from an application.  Then, use the "Capture Special" function under the Edit menu, to produce a "fat" clip.  Capture most, if not all, of the data formats.  This is important, as we need to present the target application with app possible formats.
Now, invoke the Trace Paste function, under the Config menu.  Position the Trace Paste window where you can watch it, as you paste the data.
Go to the target application (where you want to paste into – can be the same as the application where you captured from) and paste a clip.

See what formats are named in the Trace Paste window.  If needed, go to the Application Profile to "fine tune" the profile, according to what you see in the Trace Paste window.
See:	Capture Special.
See:	Application Profile.

Further Tests

Before pasting again, you'll need to close the Trace Paste with the OK button, and open it again.  Otherwise the cumulative effects of the tool will cloud the further tests.
If there is a Paste Special option in the target application, you can try various forms of Paste Special, to see what data "looks good" in the application, and at the same time, see what formats are requested by the application by viewing the Trace Paste.
And you can try pasting the same clip into other applications as well, to see what formats they prefer. For example, if you want to copy from PaintShop Pro, and paste into another graphics program, you will find that one of the public formats such as Bitmap or DIB is required.

Finally – Don't Get Carried Away

Keep in mind that ClipMate can only display Picture and Bitmap graphics. So don't get carried away in trimming down the Application Profile.  For PaintShop Pro, for example, you'll need to always capture Bitmap, as well as any other formats that work well for you.

.topic 3170
This dialog allows you to specify a new collection by providing the collection name, and initial placement within the hierarchy.

Let's say you have a database called MyClips, containing InBox, Overflow, and Safe.  InBox is currently selected.  You can opt to place your new collection BELOW InBox, making it a CHILD of InBox.  Or, if you want it to be a SIBLING, then opt to place your new collection at the "top level" of the hierarchy.

As you press OK, you'll be taken to the Collection Properties dialog, where you can specify more properties

Access this dialog by right-clicking on a collection in the Collection Tree, or with the File | Add New Collection menu.

.topic 3160
This dialog box is used to set the properties of individual collections.  It is accessed from the File menu, or by right-clicking on a collection in the Collection Tree, and selecting "Properties".

Number of Items
This shows how many items are currently in the collection. It may be higher than the threshold of data retention (see below) since purging is not performed until shutdown.

Database
Shows information about the database where this collection resides.

ID, Parent ID
Used to associate clips, and establish the hierarchy in the database.

Favorite
Determines whether this collection is marked as "favorite".  See Favorite Collections / Collection Navigation.

Title
The title of the Collection.

Icon / Change Icon Button
Sets the icon of the clip, using the Select Bitmap Dialog.

Purging Rules
Here is where you control how ClipMate cleans out old data. You have several options, shown below.
By number of items in the collection - as new items come in, old ones are trimmed and placed into the Overflow collection.
By age of clips - as items reach their "expiration date", they are marked as DELETED, and placed in the trashcan.
Never - No Automatic Deletion - these are considered "safe" collections, and no automatic purging is ever performed.
For more information on the retention and overflow processes, see: Data Management

Garbage Avoidance
This feature lets you keep clutter out of your important collections, while you have them active.
Accept new Clips - If enabled, then new Clips will go into this collection when it is active (currently selected in the Collection Tree).  Otherwise, the new Clips will "bounce" into the first open collection in the tree, starting from the top.  Collections marked as "Divert" will be shown in Red or Maroon on the Collection Tree.
Accept Duplicates - Some applications send a lot of duplicate information, especially when closing down.  It can be a nuisance, so ClipMate rejects duplicates by default (you'll hear a "boing" sound when items are rejected).  But sometimes you need to capture duplicates, such as when working with long lists of numbers.  It is painful to copy 100 numbers from a spreadsheet, paste them somewhere else, and only end up with 85 of them.  So we let you control the duplicate rejection at the collection level, so that you can set up some collections to accept duplicates.
Read Only - no changes at all will be recorded.

Sort Key
Shows the sort key of the collection, used to order the Collections within the Collection Tree.  It is normally manipulated by the move up/down function, but you can edit it directly here.

.topic 3220
Accessed from the Collection Properties dialog, it simply allows you to select an icon to represent a clip.  You can add your own icons - see the readme_buttons.txt in the "buttons" directory, beneath the ClipMate program directory, usually under \program files.

.topic 676
This dialog box is used to view and set the properties of an individual clip.  It is accessed from the File menu, or by right-clicking on a clip in the ClipList, and selecting "Properties".

ID
Each clip is assigned an ID, which is used to track it in the database and assign the various parts (keeping the associated TEXT, RTF, Bitmap, NickName, etc., together)  It increments forever, and cannot be reset.  It is useful in that it gives a relative "age" of one clip to another, so it's handy to sort on.

Collection ID
Also a database key, this is used to assign a clip to a collection.

Title
60 characters that describe the clip. You can edit it here, if you like.

Source URL
If you copied the clip from a web page, this will be filled in.  You can modify it here, if you need to.

Creator
Which application did this data come from?

Timestamp
When was the clip captured?

Sort Key
If you sort your clip lists by the SortKey column, this is the value that is used.  It starts as the ID x 100, but gets adjusted if you move the clip up/down within the ClipList.

Locale
This is used to help assign a character set to a clip, when using TEXT in non-English languages.

Encrypted
This is checked if the clip is encrypted.  This is so that ClipMate knows to un-encrypt it for you.

Size
How big is the clip?  This is usually the size of the largest data format present.  If you copy an item that has both Text and Rich Text Format, you'll be surprised to see just how big that RTF can be.

User ID
Which user created this clip?  This is only useful with multi-user databases.

ShortCut
Access to the shortcut of the clip, if present.  Although you would normally change it with the Rename dialog, you can do it here too.

Data Formats Present
Here is a listing of the data formats present in the clip.  The list is usually generated according to the Application Profile, which acts as a filter.  You can turn formats on and off, to experiment with what works well and what doesn't.  See: Understanding Clipboard Formats and Application Profile.

.topic 3140
This function allows you to override the Application Profile, and capture a single clip from the system clipboard.  This is useful when working with the Trace Paste function, as you can capture a "fat" clip, with several (or all) data formats, for diagnostic purposes.
When you invoke this function, ClipMate will give you a list of formats that are presently on the clipboard.  Check the boxes next to the ones that you want to capture, and press OK.  You should have a new clip, containing those data formats.

.topic 3440
Sometimes you find yourself in a situation where sorting on the "sort key" field does not produce the desired result.  Maybe the clips have been re-arranged to the point where the sort keys are too close together, and need to be "spread out".  Or maybe you imported them from another database and they are in the reverse order.  Or maybe you now want to sort in descending order so that new clips are on top, but your existing clips would be listed in the reverse order.

Whatever the reason, this function can help.  It's powerful, but you have to give some thought to the desired result in order to have results that are desirable.

Selecting Clips
The re-order function operates on a selection of clips.  You must first select them with the mouse (hold down the SHIFT and CTRL keys to select multiple clips) or else use the Edit | Select All function.  Then use File | Re sequence menu to invoke the function.

Selecting Values:
You will be prompted for the starting value, and an incremental value.  The increment can be either positive, or negative.  For example, values of 1000 and 10 will re sequence with keys of 1000, 1010, 1020, etc..  If you use 100000 and -10, then you'll have 100000, 99990, 99980, etc..

Processing Order
The sequencing is always done in the order of the selection.  If you use the Edit | Select All, then the selection is from the top-down.  If you pick the clips with the mouse (usually by holding down the SHIFT key), then it pays attention to your last two clicks to determine top-down or bottom-up.

Examples:
Scenario 1 - User prefers sorting by MySort key, with new items on TOP (sort order is descending), but there are lots of clips here that imported incorrectly.
Recommendation - temporarily sort by date, such that they appear in the correct order.  Find the largest existing sort key - use that as the starting point, and increment by -10;

Scenario 2 - Clips have been re-arranged so much that they are "bunched", and won't move any more.
Recommendation - Sort on the SortKey column to sort them the best that you can.  If the "bunch" is localized to just a few clips, then select the first one, hold down SHIFT, and then the last one.  Otherwise use Edit | Select All.  Now find the largest sort key in the selection (probably at the top) and use it as the starting point.  Use a negative increment of at least 10, maybe 100 if you can do so without running past zero or running into other clips.

TIPS:
Arrange - If you can, arrange the items in the ClipList by sorting on some column that gives the intended result.  If they're merely upside-down, then sort by the existing Sort Key or Date/Time, and click again to invert.
Select - use Edit | Select All, if you can.  That will ensure a top-down processing order.
Pick a big starting number, and a small, negative increment.   But don't pick so big that new clips will get "lost".  A good strategy is to start with the largest existing sort key in the collection.  That way, new clips coming in, will have a higher sort value, and will therefore be placed at the top.

.topic 3460
This menu allows you to access certain maintenance functions at startup, before the system logs into the databases.  This is a handy way to intervene if you need to perform database maintenance, or if you want to abort ClipMate when it is set to run at windows startup.  Just hold down the SHIFT key while ClipMate starts (or while Windows loads), and the menu is shown before any window or database objects are created.
We used the SHIFT key because that is what you would normally be holding down to abort all "start menu" tasks.  Since ClipMate uses the "RUN=" registry setting, it isn't normally subject to the "SHIFT Trick".  So here we're extending the SHIFT Trick a bit.

Proceed Normally - just as if you had never touched the SHIFT key.
Abort ClipMate - use this to cancel ClipMate.  Handy when you are already aborting the "start menu" programs.
Reset Size/Position - If ClipMate isn't displaying properly, this will reset all size/position/font settings back to their defaults.  ClipMate will quit, so re-start it manually.
Reset ALL Registry Settings - similar to the above, but resets ALL user preferences, including the location of the database (but it won't hurt the data!)
Verify/Repair/Compact Databases - causes Database Maintenance to run before logon.
Backup Databases - causes database backup to run before logon.
Restore Databases - causes Database Restore to run before logon.
Open SQL Window - opens the SQL Window after the database is initialized, but before any data is loaded.  This can be useful when resolving certain technical support issues.  If you have multiple databases, the SQL window will open as each one is encountered during the login sequence.
Open Log/Database Directory: Opens those directories using Windows Explorer.

.topic 3660
Starting in ClipMate 6.2, you can load and unload databases dynamically, without restarting.  This is useful if you need to:
Disconnect or re-connect a laptop with a shared network database.
Reboot a machine acting as a server, hosting a shared network database.
Bring a seldom-used database back online.
Temporarily log off from a database so that your overnight backup can run.
And there may be many more unforeseen requirements!

How to use:
Click on the database icon in the Collection Tree of ClipMate Explorer, and use Activate Database, or De-Activate Database from the file menu.

Example1 - The Networked Laptop :
Suppose you have two databases - one primary, on your notebook, and one on a network server. It's time to go home, and you just want to suspend your laptop without shutting down ClipMate.
All you need to do is open ClipMate Explorer, click on the shared database (or any collection within), and then use File | De-Activate Database.  ClipMate will log off from the database, and the icon in the collection tree will be shown with a red circle/bar (international NO symbol).  The next time you want to re-connect to that database, just click on it and use File | Activate Database. You'll log back in.

Example2 - Digging Into The Archives:
You have a primary database, but also have an old one from 2002 that is in a different directory, that you need to refer to from time to time.  You've added the secondary database to your list of database definitions, and it is NOT set to auto-load.  When you start ClipMate, it shows up on the collection tree, with a red circle/bar, indicating that it is offline.  Now you want to open it up, and access the data.
Click on the icon in the collection tree, and then use File | Activate Database.  ClipMate will now log onto the database, and load the data.  You can de-activate it to free memory, when you're done.

Scheduled Downtime:
If you have an external backup program that needs to backup your ClipMate databases, you can schedule ClipMate to log off, prior to the scheduled backup time.  See Config | User Preferences | Databases.  The first time that you use ClipMate thereafter, it will automatically re-connect.

.topic 3670

Favorite Collection
You can designate one or more collections as "favorite", and then they can be quickly accessed with the F6 key.  This works like the "favorite channel" on a television remote control, where you program it to know your favorite channels, then you can quickly flip through them.  F6 works the same way.  Repeatedly press F6 to cycle through collections designated as "favorite".

To use, you first need to mark some collections as Favorite.
Suppose you want to be able to quickly bring up the InBox - mark it as a Favorite Collection.  Right-click on the InBox icon in the Collection Tree within ClipMate Explorer, and select Properties from the menu.  On the Collection Properties dialog, there is a checkbox for "Favorite Collection".  Check it, and OK the dialog.  Select any other collection, and wait until it loads. Now press F6, and you will be taken to the InBox.  If you designate others, then you'll cycle through them.

When used sparingly (in other words, don't mark ALL of your collections as "favorite"), this is a very handy function.

Select Last Collection
You can also use F5 to switch to the last collection that you accessed during the current session.  This also works like the "last channel" on Television Remotes.

Select Collection Toolbar Button
The "Select Collection" button on the Explorer and Classic toolbars can act two ways. It can bring up the Select Collection menu (default).  Or if you configure it to do so, it can select the next collection in the list.  See Config | User Preferences | General, if you want it to act this way.

.topic 3100
Here are answers to common questions and tasks.

How do I Undock A Window?
How do I Capture a Screen?
How do I E-Mail a Screen Shot?
How do I send TAB and/or ENTER keys to an application?
Minimize Resource Utilization
Backup My Database?
How do I import my ClipMate5 Data?
How do I turn on wordwrap?
How do I Move ClipMate To A New Computer?

Note that there are more answers to frequently asked questions (FAQ's) online on our support page.

.topic 3400
All 3 panels in ClipMate Explorer, are "dockable", meaning that you can drag 'n' drop them OUTSIDE of Explorer (or classic), so that they become their own window.

How to Undock:

Having a floating window is extremely useful if you have extensive work to do on a particular clip or collection.  For example, you can undock the Editor and then "tack" it to a particular clip.  That instance of the editor will then still view that same clip, no matter what the rest of ClipMate is doing.  So you can view 2, 3, or as many clips as you would like, in their own window.  Likewise, you can undock the ClipList, and "pin" it to a particular collection.  This can give you more room than you'd normally have within the 3-panel view.  It also gives you another option for pasting clips - undock a ClipList, pinned to a collection that you need to access, and you can use it as a "palette" to pick from, as you paste.
And don't worry about putting the windows back when you undock - Explorer will fill in the empty panel as soon as you undock.

Note that this also works in Classic!  But the editor in Classic is a bit more limited, as it de-allocates certain functionality (such as the HTML viewer and Binary viewer) to save memory.  So if you are in Classic, and want to pop open another editor, you may want to simply hit F2 instead, to create a brand new one.

When you are done with the undocked window, simply close it with the 'X' button.

.topic 2520
ClipMate can handle many simple screen capture tasks, allowing you to capture the whole screen, a single window, a region that you select with the mouse, or an "object".

The first two methods leverage the built-in function of the Windows PrintScreen key.  If you press PrintScreen, Windows generates a bitmap of the entire desktop and sends it to the clipboard.  Of course, ClipMate sees this, and makes a copy for itself.  Thus, you have a basic screen grab.  If you use the Alt key in addition to PrintScreen (Alt+PrintScreen), you get just the current window.

Object Screen Capture - Similar to the above, but you simply click on any screen object, and that object is captured as an image. For example, click in a browser window and you'll get a picture of the contents of the window - but not the toolbar, menu, title bar, etc..  Click on the toolbar, and you'll get an image of the toolbar.  Some will find it a bit odd - others will find it to be a lifesaver, as it can save a lot of clean-up that you'd otherwise get with an area capture.  This is definitely a "take it or leave it" feature.  If it works for you, great.  Otherwise, leave it alone.  Invoke this function with Alt+Ctrl+F11, or use the Edit menu.  Then click on something, and it should be captured by ClipMate.

Printing Screen Shots
ClipMate can print the screen shots.  And it can do it automatically, if you want to.  See the Print Properties dialog, for the "automatically print screen shots" option.

Also See: How do I E-Mail a Screen Shot?

.topic 3420
E-Mailing Screen Shots
Now that you know how to make a screen capture, you may want to e-mail it to someone.  Simply use File | Export to export the image to a .JPG file, and you can attach the resulting file to an E-Mail.  Use the "save as Jpeg" option, and opt to "open export folder when finished".  That way, you can most likely drag 'n' drop the resulting file into your e-mail program.  If your e-mail program won't accept drag 'n' drop files, simply note the location of the export directory and use your "attach file" function of your email to find that directory, and select the file.  See the Export Dialog for more information.

.topic 3410
During a QuickPaste operation, you can use the two little blue buttons on the QuickPaste toolbar to send these keys to the target, "on demand".  But if you want one sent automatically with every paste, use the QuickPaste Formatting Strings.

.topic 3470
Versions of windows built on Windows95 (Win95, Win98, Windows ME) have a limited amount of "system resources".  Applications with rich user interfaces (lots of buttons, menus, list boxes, etc.) can be a burden on these systems, and no matter how much RAM you have in your system, when you're out of resources, your system is going to become unstable. Note that NT-Based operating systems such as NT4, Windows2000, XP Home and Professional, do not share this limitation.

ClipMate's User Interface is therefore constructed in a modular fashion.  ClipMate Explorer, ClipMate Classic, and any "floating, undocked windows" can be opened and closed at will, thus using resources effectively.  However, if both Classic and Explorer are loaded into memory, ClipMate will use about 6-8% of your resources.  If you run lots of applications (and have lots of fonts installed, lots of things running in the system tray, etc.,) you may not be able to spare all of that.  So here are some tips to minimize resource utilization if you are tight on resources.

Startup
There are options to load Classic and Explorer at startup.  You can save memory by turning both of those off, and running whichever one you need, when you need it.  ClipMate will still be in the system tray, collecting data.  But will only use 2% of resources.  Alternately, if you use Classic every day but rarely Explorer, load Classic at startup, but not Explorer.  See the respective tabs of both of those windows, in the User Preferences dialog.

Classic and Explorer
As you move back and forth between Classic and Explorer with Ctrl+E or the toolbar buttons, ClipMate hides one, and shows the other.  But does not destroy the one that's being hidden. This is for performance reasons.  So if you are moving back and forth, you'll have both loaded into memory.

Close vs. Minimize
If you minimize either Classic or Explorer, it is merely hidden. But if you close it by clicking on the 'X' button on the titlebar, it is destroyed and freed from memory.  This will release the resources.

Close and Free All Windows
ClipMate does not need any windows open in order to function.  So you use the View | Close And Free All Windows function to remove Classic, Explorer, and any other "floating windows" from memory.  This should take ClipMate's utilization down to only 2%.  When you need to, you can click on the system tray icon to open a window and do your work.  Use this function again, or CLOSE the window with the 'X', and it's again removed from memory.

Speed Tips:
These techniques can also help save loading/unloading time.  If you have thousands of clips in your collections and a slow processor, you can save time by not allowing ClipMate to load data into hidden windows.  Unload them first, then open just the ones that you want. One ClipList loads in half the time as two.

Summary:
If you want to run ClipMate but can't afford the resources, then you can use the knowledge obtained here (Start with the bare minimum, close windows when not in use, and use the Close and Free All Windows function).

.topic 3490
In either ClipMate Classic or ClipMate Explorer, go to the File menu, and select "Import Data From ClipMate 5".
You'll be presented with a dialog box asking for the path to your old data.  It may be already populated with the location to your "My Clips" data directory, if ClipMate 6 was able to find it in the registry.

You want to select the directory that is the PARENT of your collections.  For example, if your short-term collection is in c:\clipmatedata\short-term, then you want to import c:\clipmatedata.  This is very important.

The import process will prompt you for each collection that it finds.  You can say yes or no to each of them, and if you select ALL, it will import all of the rest that it finds from that point forward.

Merging
Short-Term and Long-Term have been replaced by the less confusing "InBox" and "Safe" collections.  You have the option to divert data from Short-Term into InBox, and Long-Term into Safe.  Or if you opt not to, then you will have both sets of collections.  Most users will want to select YES, when prompted to merge.  Don't worry, it won't overwrite any existing data that you may have created already in the new v6 collections.

.topic 3570
In Explorer or an "undocked" editor window, there's a button on the editor toolbar.
If you are in Classic, you can right-click within the clip, and access WordWrap from the menu.
Each editor is independent of the others, with respect to this setting.

.topic 3580
In Explorer, you've got two buttons for spellchecking with the dialog, or with the Active Spell.
In Classic, you don't have the toolbar, so you can right-click within the clip, and access the spell checker that way.

There is also a Thesaurus, if you've installed it. Right-click on a word in the text editor, and you can access it from there.

Complete information on configuring the spellchecker, installing dictionaries and the Thesaurus, is here.

.topic 3710
If you get a new PC (for whatever reason - we've heard hundreds) you'll certainly want to take ClipMate with you.  This also applies to those of you recovering from hard drive crashes, rebuilds after virus attack, etc..

The process is simple:
1.	Back up the data on the old machine, using File | Database Maintenance | Backup Database.  You will now have a backup file named something like this:  ClipMate6_DB_My Clips_2004-04-13_0041.ZIP.  Note that the date and database name are part of the file name, and will be different on your system.
2.	Place the backup file somewhere that the new PC can get it*.
3.	Install a new version of ClipMate onto the new PC. Run the program, and establish your new database location.  Enter your registration key, if you have it handy.
4.	Restore the data from the backup, using File | Database Maintenance | Restore Database From Backup.

* You can transfer the ZIP file to the new PC using any method necessary. Including and not limited to:  over a network,  CD-R, ZIP disks, USB Flash devices, digital cameras (memory card acts like a disk drive), e-mail, laplink, etc..  It probably WON'T fit on a floppy diskette.

.topic 1040
Welcome new user!
This section will familiarize you with basic ClipMate operation, so that you can be productive as quickly as possible.  Here is a general overview of the main ClipMate "Classic" Window, which we'll use for the first few lessons:

First, a bit about navigation.
If ClipMate doesn't already look like either of the above, then you're likely in ClipMate Explorer, which is a 3-pane layout.  Please use the View | Open ClipMate Classic menu, or the click the toolbar button that looks like this:  , or press Ctrl+E, to switch to ClipMate Classic.  Note that you can easily move back and forth between Classic and Explorer with the Ctrl+E key, or by pressing the appropriate toolbar button.
  takes you from Explorer to Classic, and   takes you from Classic to Explorer. Additionally, you can open either one by right-clicking on the system tray icon (down near your clock).  A left-click on the system tray opens whichever one you had open last, whether it was minimized, or closed completely.

The "Drop-Down" list at the bottom of the window is what we'll focus on for now.  Here is where new items "show up" when captured by ClipMate.  Although it only shows one item right now, if you click on the   button at the far right end, it will "drop-down" to show the titles of all items.  It should now look like the image in the upper-right of this page.

But if you're new, it is probably empty, right?  So let's get some data!

More:
 Lesson 1: Basic Operation
 Lesson 2: PowerPaste
 Lesson 3: Glue
 Lesson 4: QuickPaste
 Lesson 5: Editing
Lesson 6: QuickPick
Lesson 7: Shortcuts

   We have several online "viewlets" that will SHOW you the tutorial as a live, online demo.  Visit our online viewlet page to see what we've added since this help topic was created.

.topic 704
One at a time, highlight each of the next lines with your mouse, and then press Ctrl+C.  (Copy them right out of this help system)  If you have ClipMate's "sounds" enabled, you'll hear little "pops" as you copy each.

Apple
Banana
Chicken Parmesan
Doughnut
Egg

If you've done this correctly, then ClipMate will now display "Egg" in the drop-down list of items.  Now, pull down the list – you should see all of the items that you copied.  Note that this is where ClipMate differs drastically from the standard Windows Clipboard – the "old" Clipboard would only show you the last item copied, but ClipMate has them all.

Now open NOTEPAD (the little text editor that comes with Windows.)  It should be in Start | Programs | Accessories | Notepad
From within Notepad, paste from the Clipboard, using Edit | Paste, or the Ctrl+V shortcut.  You get "Egg".  No surprise here.
Now, from ClipMate's drop-down list (the ClipList). Pick the entry titled "Apple".  Go back to Notepad and paste again.  You get "Apple".  Isn't that neat?  Repeat the process for all 5 items.

Next Lesson:
Lesson 2: PowerPaste

   We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.

.topic 705
PowerPaste is a very powerful function that allows you to paste a series of items, very rapidly.  It is very similar to a semi-automatic firearm, which reloads itself automatically after each round is fired.  Likewise, when PowerPasting a series of items, ClipMate will reload the Clipboard, after each time you paste.
Assuming you have the series of 5 food items from Lesson 1, and Notepad still open, perform the following:

Select the "Apple" item.
Click the PowerPaste button:   once and it should display the "up arrow" indicator:  .  This lets you know that it will work its way UP the list.  If the arrow points down, then just click again until it flips UP.
Go to Notepad, and paste an item.  You get Apple
Paste again, and you should get Banana
Keep pasting, until you get to Egg.

That's PowerPaste!  Note that you started with Apple, which was at the bottom of the list, so you used the Top plug to work your way UP.  If you wanted to PowerPaste in reverse, from Egg to Apple. You would start with Egg, and use the bottom plug to work your way DOWN.

Advanced Exercise - Exploding PowerPaste
Under the Edit menu, you will find an option for "explode into fragments".  This menu works as a checkbox - it's either on, or it's off.  Let's try it out.

First, copy this single line:
    John Doe, 123 Main Street, Anytown, NY, 12345, USA, Earth, Solar System, Milky Way
Now turn on the Exploding PowerPaste option (Edit | Explode Into Fragments) and then turn on PowerPaste.
Now go to Notepad and paste 9 times with the Ctrl+V key, hitting TAB or ENTER after each paste.

You should get each of the "fields" of the sample line, separately.  That is "Exploding PowerPaste".  And it's very powerful indeed. With Exploding PowerPaste turned on, the data pastes as "fragments".  ClipMate parses each clip, and  when it finds a delimiter (by default, commas, periods, semicolons, colons, tabs, linefeeds are used), it breaks the data down into "fragments".
If you have a lot of data to move, and if it's formatted with some predictable delimiter, then this can turn an all-day chore into a simple task.
You can configure the delimiters in the User Preferences dialog box, under "Pasting".

For More Information On PowerPaste:
PowerPaste  (general help topic)

Next Lesson:
Lesson 3: Append

   We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.

.topic 1050
Glue lets you combine several text items into one big new item.  It is very handy for gathering a bunch of items, and pasting into your word processor.

Open the ClipMate Explorer by pressing this button on the toolbar:
You'll now see the expanded layout. This is called the ClipMate Explorer, as opposed to the "Traditional View" that you were in before.
On the right side of the screen is the list of Clips, called the ClipList.
Holding down the Ctrl key, click on Apple, Banana, etc.  The direction matters, so work your way from the bottom to the top, to "glue" in the right order.
Press the Append button on ClipMate's toolbar:

You'll see a new item appear in the drop-down list, titled "Append: (5 Items)"
In Notepad, do a File | New to clear out anything remaining from the last lesson, and paste in your new data – you should see all 5 items appear as one block of new text.
Note: If ClipMate Explorer is taking up too much room, press Ctrl+E to go back to ClipMate Classic, or minimize Explorer.

That's how to do an Append, "after the fact".

Next Lesson:
3A Auto-Append

   We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.

.topic 707
You can also append continuously, by pressing the Append button without having first selected multiple items in the ClipList.  Using this method, every new item is appended to an ever-growing item.  Press the Append button again to stop it.  Try it!  Also note that as you copy items, you'll hear a different "pop" sound than you do when capturing regularly, this is to let you know that you're in Auto-Append mode.

Next Lesson:
Lesson 4: QuickPaste...

.topic 1060
QuickPaste lets you quickly access your most frequently-used Clips without having to leave the application that you're entering data into.  Unlike PowerPaste, which is geared toward pasting a series of items (and is still the best tool for that), QuickPaste can be used in an ad-hoc fashion, letting you pick and choose the items that you want.
Let's say that you are going on an internet shopping spree, and you need to order from several online stores.  You've made a collection with your name, address, phone numbers, E-Mail address, and of course, your credit card details.  But to your dismay, you find that the various online stores ask for information in different sequences.  Some ask for the shipping address first, some last.  Some ask for your phone number, some ask for two phone numbers (day/night) and some don't ask for any phone numbers!  PowerPaste isn't very useful here, as the format of the form doesn't match the sequence of the data items.  But QuickPaste will handle this just fine!

Navigation Tip:  QuickPaste is built on ClipMate Classic, so if you are in Explorer then there will be a lot of "flipping around".  To minimize this distraction, it is wise to switch to ClipMate Classic if you have a lot of QuickPasting to do.  Press Ctrl+E to switch from ClipMate Explorer to ClipMate Classic.

Copy these items into ClipMate:

(716) 555-1212
(716) 555-1234
1234123412341234
1203
5678567856785678
1204
John Doe
123 Main Street.
Anytown
NY
12345
USA
mailto:Johndoe@anyisp.net

Now open Notepad, and type a few characters to make sure that the cursor is properly positioned.
Now press Ctrl+Shift+Q, and ClipMate comes up – in special "QuickPaste mode".  Note the "bullseye" target icon in the status bar at the bottom - it should show you the title of the target application, in this case, "Notepad".

Now use your mouse or arrow keys to select the "John Doe" entry.  This places that clip onto the clipboard, and all you have to do now is press ENTER, and the data is pasted right back into Notepad.  You should now be IN Notepad as well, as QuickPaste returns you to where you were working.  There - you've done a QuickPaste!
Try another.  Let's pretend that you need the street address next.  Press Ctrl+Shift+Q to get back into QuickPaste, and arrow down to the street address.  Press Enter.  There - another QuickPaste.
Press Ctrl+Shift+Q again, and select John's credit card number, and enter that.  You can double-click the item with the mouse this time, if you'd like.
Go through the rest of the information, in a somewhat random order.  Notice that every time that you bring up QuickPaste, the last item selected is already highlighted.  Useful for repeat pasting, or when filling out a form which does happen to have some relationship to the order in which the items appear in ClipMate.

There is a LOT more to QuickPaste.   You can configure it to show you TWO collections at once, so that you can tab back and forth.  Great for pasting from your Safe, when you're capturing into InBox. You can also configure it to send special formatting strings to append the timestamp, title, or URL to a clip as it is pasted.  Review the topics below, for full information.

Related Topics:
Basic QuickPaste
Advanced QuickPaste
Using QuickPaste Format Strings

Next Lesson:
Lesson 5: Editing...

   We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.

.topic 1070
In the course of moving data in and out of ClipMate, you may encounter clips that "need some fixing" before they're ready to paste.   Sure, you could paste into your favorite editor, modify the data, and copy it back into ClipMate.  But ClipMate has a really neat editor of its own. Let's check it out!
First, if you are in ClipMate Classic, then go into ClipMate Explorer, by pressing the   button on the toolbar.  ClipMate expands into the ClipMate Explorer view, showing 3 panes:  the Collection Tree on the left, the ClipList on the upper-right, and the Preview/Edit pane in the lower right.  A typical screenshot is here.

Individual Lessons:
5.1 Creating New Text Clips
5.2 The Editor Toolbar
5.3 Clean-Up
5.4 Advanced Editing Techniques

.topic 712
Pull down the File menu, and select "Create New, Empty Clip".
Now you're looking at a blank clip, newly created right within ClipMate.  Your cursor is in the editor window, and you can start typing.  Type this:

this is a new clip.
isn't it fun?

Now, go to another application that can paste text, such as your Email, Notepad, etc., and select Edit | Paste from the menu.  You should see your new text pasted.

Next Lesson:
5.2 The Editor Toolbar

.topic 713
The editor toolbar has several sections of buttons. The first section only affects how the data is presented to you - and has no effect on what gets pasted later on.  The second section deals with creation of data via the clipboard, either by creating a new clip, or cut/copy/paste within a clip.  And the 3rd section is where you can make big editing changes to your data - the real power is here.  Then you have the spellchecking, highlighting, and finally, encryption.

But, since this is the tutorial section of the online help, we'll refer you to the general Editor Toolbar... section to explain what all the buttons do, and move on to the exercise which uses the last section of buttons, namely shift-left, shift-right, remove line-breaks, and change case.

Next Lesson:
5.3 Clean-Up

.topic 714
Suppose somebody sent you this Email:
Subject Fwd seti
Hi Joe, I received the following, and hoped you could put it into the newsletter. Thanks!
FYI - the URL is http://setiathome.ssl.berkeley.edu/
>>>
>>>SETI@HOME IS A SCIENTIFIC EXPERIMENT
>>>THAT WILL HARNESS THE POWER OF HUNDREDS
>>>OF THOUSANDS OF INTERNET-CONNECTED
>>>COMPUTERS IN THE SEARCH FOR
>>>EXTRATERRESTRIAL INTELLIGENCE (SETI).
>>>YOU CAN PARTICIPATE BY RUNNING A
>>>PROGRAM THAT DOWNLOADS AND ANALYZES
>>>RADIO TELESCOPE DATA. THERE'S A SMALL
>>>BUT CAPTIVATING POSSIBILITY THAT YOUR
>>>COMPUTER WILL DETECT THE FAINT MURMUR
>>>OF A CIVILIZATION BEYOND EARTH.

Looks like good information, but what a mess!  And now you have to put it into your newsletter, which you compose using the word processor, or web page editor of your choice.  You know you have to do a lot of clean-up, to make this fit into your format.  For starters, it has those ugly >>> marks.   Next, it's all caps. And finally, it's broken into individual lines of text, containing a hard carriage return at the end of each line. You want just one long line, so the word processor can handle the word-wrapping.

No problem!  ClipMate has tools to help you fix this. Copy the text above, starting with the first set of >>> marks, continuing to the bottom.  Now you see it in ClipMate's editor, and we can start working on it.
Step 1 - Get rid of the >>> marks.   Play with the shift right button.   Click it twice, and you'll see the whole paragraph move over to the right, by two columns.  Now go back left.  Neat!
Keep going left, and you'll see that it gets "stuck" on the left margin, when it runs out of "white space". By default, it'll only collapse tabs and spaces.  This is to keep you from accidentally chewing up your data.  Now hold down the CTRL key, and click the shift-left again. Now it destroys the first column of '>' symbols.  The CTRL key tells it "destroy ANY character in column 1".   Do it twice more, and you have removed all of them.  Be careful - there is no Undo for this.
Step 2 - Remove the unwanted line-breaks.   Click on the Remove Line-Breaks button.    The data changes dramatically.   If  you now see only one line of text, click the WordWrap button, to force the data to wrap within the display.  Note that this doesn't change the data - it's really one big long line of text, and your word processor will wrap it for you, as it sees fit.

Step 3 - Fix the case.  Click the little arrow attached to this button:  , if it is present - otherwise click on the button itself.  You'll have a menu of 4 case options.   Experiment with each, to see the effect. You'll want to end up on Sentence Case.   Experiment with selections - use your mouse to highlight just the last sentence, and notice how you can make this function operate just on the selection, and leave the rest alone. All 4 of these buttons (in the last group) act this way.

Step 4 - Paste.  Now paste into your word processor. You'll find that the data now will readily flow the way you want it, and the garbage is gone.

Step 5 – Use The Text Clean-Up Tool
We can do all of this in one easy step.  Copy the text over again, to create a new clip. Then click on the  "magic hat" button,    and you'll get a dialog asking what options you want.  It should already be set to remove the >> symbols from the left margin – leave that turned on.  Under the Paragraph Re-Formatting, select the second option, which removes unwanted linebreaks within paragraphs. Finally, select "sentence case" under the Change Case  option.  Press OK, and see the results.

Note that you can also use the new UNDO button, to UNDO an operation.  You can only undo the last operation.

Step 6 – Drag and Drop
You can use Drag 'n' Drop to re-arrange data within a clip.  Copy this sentence:

This order is in the wrong sentence.

Now in the ClipMate Editor, double-click the word "order".   Hold down your mouse button, and drag it to the right, and drop right before the 's' in the word "sentence".  It should drop right there.  Now highlight "sentence" and drag to where "order" used to be.  You have to be conscious of spacing, etc., but once you get the hang of it, it's really neat.

Next Lesson:
5.4 Advanced Editing Techniques

.topic 3500
The Tack
There is a "tack" icon at the left end of the toolbar.  Click it.  Notice how it looks "pushed in", or "tacked".  This will "tack" the editor to the clip that it is currently on.  It will no longer insist on displaying the current clip.  Try it - select another clip from the ClipList, and you'll see that the editor does not synchronize with the rest of ClipMate.  This opens up some interesting possibilities, as you can now use the cut/copy/paste buttons (on the editor toolbar) as if you were in a regular text editor, without the editor scrolling to the newly-copied data.

Untack the editor, and copy these two clips.

VERY

This is cool.

Now tack the editor again, so that it is frozen on "This is cool.".
Now select the "VERY" clip in the ClipList above.  The editor should still say "This is cool".
Position the cursor between "is" and "cool".
Click the Paste button on the editor toolbar.
I'm sure you'll agree, this is VERY cool!

Cut and copy work the same way - you will get new clips created from the clip being edited, but you'll stay on that clip.  You can, for example, cut a word from a sentence, and paste it back into the same clip somewhere else.

Floating Editors
Since the editor window is docked into Explorer, you can drag its dockbar and undock it from Explorer.  Or there is a button (2nd from the left) that will do this too. Or, you can simply pop open an editor window with the F2 key, (which also has the advantage of working in ClipMate Classic).
Floating windows are most effective when Tacked, and are great if you want to do some heavy editing on a particular clip, or keep it visible without the rest of ClipMate.

Next Lesson:
Lesson 6: QuickPick

.topic 3510
QuickPick is a method of retrieving clips from the active ClipList by filtering for text in the title.  Let's say you have 500 clips in your InBox, and you that somewhere in there, is a clip with the word "Enron" in the title.  You could certainly use the Search facility to search for all of those clips.  But there is a quicker way - use QuickPick.

Assuming that you have the clips from lesson 4 in your Inbox, and assuming that you are in ClipMate Classic, click the drop-down arrow to expose the ClipList.

That's it - pretty neat!  If you liked QuickPick, you are going to LOVE Shortcuts!

SEE:  We have a Viewlet for this online, where you can see this feature in action.

Next Lesson:
Lesson 7: Shortcuts

   We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.

.topic 3520
Shortcuts work in a similar fashion to QuickPick, in that a list of results is displayed at the top of the ClipList, and that it is also a natural fit for QuickPaste.  The difference however, is that while QuickPick acts as a "filter" against the current collection, ShortCuts can pull clips from any collection, even any database, that you have defined.  Just as your desktop can have a shortcut to any file on your system, and your web browser can have shortcuts to any web page, ClipMate Shortcuts can refer to any clip in your system.  But first, you have to create some shortcuts.

Back in lesson4, you copied some data that looks like credit card information:
1234123412341234
1203
5678567856785678
1204

Go ahead and re-copy them, if you don't still have them.  Now let's assume that they represent your VISA number and expiry date, and your MasterCard number and expiry date, respectively.
In a real example, you'd also have PIN or Security codes (those pesky extra digits), the spelling of your name as it appears on the card, etc.  You can make those if you want, and substitute your actual card info, if you like.

Creating Shortcuts
Now pick the first in the series, and press Ctrl+R.  You'll see the "Rename Clip" dialog.  It combines the rename and shortcut functions into one dialog, for convenience.  After all, any clip worth assigning a shortcut to, likely could use a better title as well.  So give the clip a title such as "Visa Number", and then for the shortcut, type in:
 .CC.V.NBR
Those are "periods", and you should make a habit of leading with a period, and using periods to define a "structure" to the shortcut.
For the next clip, rename to "Visa Exp Date", and assign a shortcut of:
.CC.V.DT
Then you can do the Mastercard (substitute M for V in the nickname).  Plus any other information that you may be entering, such as .NAME, .PIN, .ADDR, etc., if you're trying to use REAL data here.

TIP: If you enable "Carry-Over Last Prefix, then the shortcut will automatically remember the first ".CC.V." part of the shortcut - a big timesaver!

Move Them Somewhere Safe
Right now, these clips are probably sitting in your "InBox" collection.  Here's another tip: any clip worthy of a shortcut, is worthy of moving to another collection (after all, your InBox gets automatically cleaned out periodically).  So select these clips in the ClipList (tip: pick one, hold down SHIFT, and then pick the last one), and then select Edit | Move To Collection.  Now pick the collection called "Safe" from the menu.  They are now moved out of the InBox, into Safe, where they will reside until you delete them.  If you want to see where they went, click on the "select collection" button on the toolbar.  But then come back to the InBox to continue the exercise.  For more information on collections, see: Using Collections Effectively.

Using Shortcuts
You activate shortcuts by typing the "." (period or DOT) key.  All of your shortcut clips will now be displayed at the top of the ClipList (there may also be a "Welcome to ClipMate" sample clip.  Now keep typing the shortcut:

Now hit the Backspace, and notice how the search results are widened.  Try to pick the Visa Number this time:
.CC.V.N

You will want to create other hierarchies of information, so give some thought to the structure of the shortcut.  CC is obviously for credit card details.  But you may have other categories of important data such as U for URLs that you use frequently.  Then maybe .U.N for "News" URLs, .U.J for "Jokes", etc..  Or maybe Jokes are  so important that you place J at the top of the hierarchy, and have .J.U for "joke URLs", and .J.T for "text Jokes", or maybe .J.K.T for "Jokes, Knock-Knock, Text".  and .J.K.U for "Jokes, Knock-Knock, URLs".  Whatever floats your boat!

For additional reading:
ShortCuts 		(The main help topic for ShortCuts)
QuickPaste  	(The main help topic for QuickPaste)
Using Encryption	(Because you may want to encrypt your credit card details)

   We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.

.topic 3040
During your evaluation of ClipMate, you have been using an EVALUATION license (Shareware license) which entitles you to use ClipMate for 30 days while you evaluate its usefulness.  After this time you are required to purchase a Registered Copy.  If you feel that ClipMate doesn't meet your needs, or for any reason you decide that you don't want to purchase a registered copy, you are required to delete the program from your computer.  This is the ultimate "Try Before You Buy" marketing strategy.

Purchasing your registered copy of ClipMate entitles you to continue using the product, and restores full functionality to any disabled functions.  Also, the Registration Reminder screens will be removed!  You will also have access to our technical support.

NOTICE: Continued use of the unregistered version of ClipMate past the 30 day evaluation period is a violation of federal copyright laws.  See our Licensing Agreement.

How to Order

Simply visit our web site at http://www.thornsoft.com
or the web site of an authorized ClipMate dealer in your region, and you can order a registration key online.  Your personalized registration key will be generated, and send to your e-mail account within minutes.  Or if you prefer to order by phone, fax, or snail mail, we can accommodate that too.

Companies and Institutions
If you work for a company, government, or institution, you may need to have your purchasing department order for you.  That's ok!  They can order online, they can call us, or they can fax use the order form.  We've included it - the link is below.

Order from our web site - www.thornsoft.com  We offer secure ordering through Digibuy, eSellerate, and PayPal.
Order by phone - (585) 352-4223, or TOLL-FREE in (USA only) at 877-254-7628 (877-CLIPMATE).
Fax/Snail Mail order form - order.txt
View Site License Pricing Online
Order from our dealer in Europe
Order from our dealer in Germany
Order from our dealer in Japan
Order from our dealer in India

There's an order form right on your hard disk, which they can fax to us

.topic 3550
GERMANY (Deutschland) - Local Registration

You can contact this German company, which can accept registrations in DM.  Just fill-out ORDER.TXT, include a check (DM) or credit card info, and send to DER PD-PROFI.

PD-Profi Zoettlein
Software Vertriebs GmbH
Schulweg 13
D-86666 Burgheim/Wengen
Germany
Tel:  +49 (0) 174 / 995 4 166
Fax: +49 (0) 8432 / 8674 oder 920747
www.pd-profi.de
sales@pd-profi.de

Zahlung per NN, Vorkasse, Kreditkarte

.topic 3230
BT Software

We are pleased to offer ClipMate through BT Software, accepting payment in USD,  FRF,  NLG,  BEF,  DEM,  GBP, and EURO.  You can order an electronic-only version, or a CD.  Contact information for BT Software:
-----------------------------------------------------------
BTSoftware BV, Shareware Registration & Distribution
P.O Box 4911, 5604  CC Eindhoven, The Netherlands
Fax: +31 40 290 6460
Email: Info@BTSoftware.com
Web:  http://www.btsoftware.com
-----------------------------------------------------------
The direct link to the ClipMate ordering page is:

http://www.btsoftware.com/products/clipmate.htm

.topic 3240
P & A Shareware - Japan

This program can be registered locally in Japan. For details, contact:
P. & A. Shareware Distribution.
302 Bellwins, 1367-23
Nakagami, Akishima
Tokyo, 196  Japan
Tel: 0425-46-9141
Fax: 0425-46-9142
NIFTY-Serve: PAF02461
WWW.PANDASW.COM
Let them know that you are interested in purchasing a registered version of ClipMate 6.

.topic 3250
Bang Infotech

We have a special arrangement with Bang Infotech, to handle all sales and support in India.  :

Bang Infotech .,
Unit No.50 , Kewal Industrial Estate , Gr. Flr,
Lower Parel , Senapati Bapat Marg , Mumbai –13. INDIA

Phone : 91-22- 56607965 - 56607969
Fax : - 56607969

E.mail : ngb581@yahoo.co.in

If you have the special "India Distribution" of ClipMate, the order.txt file on your hard disk (in the ClipMate directory) has pricing and ordering information for Bang Infotech.

Special Pricing For India Region  Through Bang Infotech	INDIA ONLY
Item     Description                                      Cost
CM6-1K   ClipMate 6 (Key Only – software via download):   Rs.850/-
CM6-1P   ClipMate 6 CD                                    Rs.1025/-

.topic 3560
There is a formal EULA agreement in your program directory, called EULA.TXT, which you had the opportunity to review at installation time.

Basically it says that for the registered version, you can use the software on one computer - plus one other if you are the primary user.  If you have a desktop and a laptop, and even if they are networked and in use at the same time, then you don't need to buy another license.  But if you want to run it on 3 computers, or have other users using the other computers, then you DO need to buy additional licenses.

Q&A:

Q: I have a desktop and a laptop or second computer.  Do I need multiple licenses?
A: You can run one extra copy for your laptop or a second networked computer if you are the primary user of each.
The license manager will prevent more than one extra copy from running.

Q: I use the software at work, and want to use it at home as well.  Do I need multiple licenses?
A: You can run the software at home too, but only on one computer.

Q: I want to use it on two computers on the same network.  Do I need multiple licenses?
A: You can run one extra copy if you are the primary user of the other computer.  But if you need to
run simultaneously on more than two computers, or have other people using the software, then
additional licenses are required.  For example, if you move between two stations, then one license covers you.  But not if you use it on more than two stations, and not if the other stations are used by your co-workers, secretaries, etc..

Q: I have lots of users - is a site license available?
A: Yes - see our web site for multi-user discounts.

Q: In a multi-user situation, does everyone use the same key, or different keys?
A: This can vary.  Suppose you have 10 users, and buy a 10-user key. That can be used up to 10 times concurrently.  If you then decide that you need 25 seats, then you would purchase a new key for 15 users.  Or, you may have any mixture of single and multiple-seat keys, as long as you don't exceed the total licensing for any given key.  You can work with our customer service to merge smaller keys into bigger ones, if you need to.

Q: My wife and I use the same computer.  Do we need multiple licenses?
A: No - every user of the same computer can use the same license.

Q: What about "fast user switching" in XP?  We have 5 accounts, and they're often all logged in.
A: The same license will cover all copies - even if they are running at the same time, as long as they are on the same machine.

Q: I want to use Terminal Services (or another similar product) and run one copy of ClipMate on the server, and have multiple users use the same license.  Is that allowed?
A: No - you need to license each as many users as will simultaneously access the server and use ClipMate.

.topic 2890

Application Profile
Bitmap
Clipboard
Clipboard chain
Clip Item
Collection
Data Source
HTML
Registration Key
Retention Rules
Rich Text Format
Serial Number
Target Application

.topic 2910
These determine what data formats will be captured, on an application-by-application basis.
For example, you can capture TEXT from Excel, while leaving the other 20+ formats behind, thus saving time and memory.

.topic 3020
A common graphic, produced by most graphics programs and screen captures.  ClipMate shows it using a "painter's palette" icon.  ClipMate can print Bitmaps, and they're accepted by just about any graphics or drawing program.

.topic 2900
Deep inside Windows, there is a global memory area for exchanging data between applications.  This is the clipboard.  ClipMate talks to the clipboard all of the time, constantly keeping in sync with it.

.topic 2920
This is a mechanism where Windows notifies applications that new data has arrived on the clipboard.
The only reason that users need to be concerned about this, is because sometimes mis-behaving applications disrupt the clipboard chain, and you may have to reestablish the connection.

.topic 2930
A piece of data in ClipMate.  When you copy something to the clipboard, ClipMate grabs the data and creates a new Clip Item.  Besides the data, there are other attributes such as Timestamp, Source URL, Creator, Size, etc.

.topic 2940
Think of it as a "folder", within the database, where clips are categorized and segregated.  By default, you will have 3 collections: InBox, Overflow, and Safe.

.topic 2950
All data is kept in the database.  The database consists of a set of files on your hard disk.  You can set up more than one database, but most users won't need to.

.topic 2960
Hypertext Markup Language. This is the native format of web pages.

.topic 2970
When you purchase a license for ClipMate, you receive a registration key, which allows you to enjoy ClipMate past the 30-day trial period.

.topic 2980
ClipMate can automatically delete data from a collection in 3 different ways:

Length: when the collection grows past its retention limit, say 200 items, old items are deleted to bring it back to the retention limit.
Age: specify a number of days to keep clips.
Never:  never automatically delete clips from this collection.

The "purging" takes place at shut-down, and will move them either into the Overflow collection ,or the trashcan.

.topic 2990
Fancy text with fonts, color, bold, italic, margins, etc..  Usually used with word processors.

.topic 3000
As each clip is inserted into the database, it is assigned an ID, or Serial Number.  You cannot reset the serial number, it will just keep growing (the limit is 2^32 or about 4 billion).

Note: Only contact technical support regarding the serial number, if you feel that you are in imminent danger of surpassing 4 billion.

Note: We're not really serious about that last note.

.topic 3010
The application where you want to paste the data is known as the Target Application.